2023-07-02 02:06  kichik

	* /NSIS/tags/v309: Tagging for release 3.09

2023-07-02 02:06  kichik

	* /NSIS/trunk/Menu/images/header.gif: 3.09

2023-07-02 02:05  kichik

	* /NSIS/trunk/Docs/src/history.but: Prepare for 3.09

2023-07-02 02:00  kichik

	* /NSIS/trunk/Scripts: Ignore files in Scripts that should never be
	  committed

2023-07-02 01:54  kichik

	* /NSIS/trunk/Scripts/release.py: Update release script for Python
	  3, SCons 4.5, and Windows 11

2023-07-01 01:03  kichik

	* /NSIS/trunk/Examples/makensis.nsi: Match plugin case to old
	  installation method
	  This made release.py complain about a diff between `scons
	  install` and the EXE installer

2023-07-01 00:55  kichik

	* /NSIS/trunk/Examples/MultiUser.nsi,
	  /NSIS/trunk/Include/Win/RestartManager.nsh: Fix eol

2023-07-01 00:15  kichik

	* /NSIS/trunk/SCons/Config/ms: Workaround for rc /nologo in newer
	  SCons

2023-06-22 21:46  kichik

	* /NSIS/trunk/.github/workflows/build.yml: Python 2.7 EOL on GitHub
	  Actions

2023-06-21 23:38  anders_k

	* /NSIS/trunk/Source/exehead/util.c: Don't allow everyone to delete
	  the uninstaller directory

2023-06-04 20:50  anders_k

	* /NSIS/trunk/Docs/src/history.but,
	  /NSIS/trunk/Source/exehead/Main.c: Added bug report number for
	  bug #1296

2023-06-03 15:10  anders_k

	* /NSIS/trunk/Source/exehead/Main.c: Don't delete old uninstaller
	  if it points somewhere else

2023-06-03 13:06  anders_k

	* /NSIS/trunk/Source/scriptpp.cpp: Fixed /ifndef when combined with
	  /math

2023-05-21 22:35  anders_k

	* /NSIS/trunk/Contrib/Makensisw/wndspy.cpp: Don't activate the
	  outline window

2023-05-21 19:22  anders_k

	* /NSIS/trunk/Examples/makensis.nsi: Installer header image on the
	  right

2023-05-21 17:24  anders_k

	* /NSIS/trunk/Source/build.cpp, /NSIS/trunk/Source/build.h,
	  /NSIS/trunk/Source/scriptpp.cpp: Added internal pragma to dump
	  compiler state

2023-05-21 16:27  anders_k

	* /NSIS/trunk/Contrib/Makensisw/utils.h,
	  /NSIS/trunk/Docs/src/history.but,
	  /NSIS/trunk/Source/exehead/exec.c: Fixed mingw-w64 12 warnings
	  (patch #310)

2023-05-21 16:15  anders_k

	* /NSIS/trunk/Docs/src/history.but, /NSIS/trunk/Source/build.cpp,
	  /NSIS/trunk/Source/exehead/Main.c,
	  /NSIS/trunk/Source/exehead/util.c: Use isolated uninstaller temp
	  directory

2023-04-06 17:12  kichik

	* /NSIS/trunk/.github/workflows/build.yml: Windows 2022 can't find
	  VC

2023-04-06 16:49  kichik

	* /NSIS/trunk/.github/workflows/build.yml: Remove deprecated
	  runners

2023-04-06 16:38  kichik

	* /NSIS/trunk/.github/workflows/copy-svn.yml: Fix GitHub Actions
	  deprecations

2023-01-26 13:51  anders_k

	* /NSIS/trunk/Contrib/ExDLL/nsis_tchar.h,
	  /NSIS/trunk/Contrib/InstallOptions/Readme.html,
	  /NSIS/trunk/Contrib/Makensisw/lookup.cpp,
	  /NSIS/trunk/Contrib/Makensisw/makensisw.h,
	  /NSIS/trunk/Contrib/Makensisw/wndspy.cpp,
	  /NSIS/trunk/Contrib/Modern UI 2/License.txt,
	  /NSIS/trunk/Contrib/Modern UI 2/MUI2.nsh,
	  /NSIS/trunk/Contrib/Modern UI 2/Readme.html,
	  /NSIS/trunk/Contrib/Modern UI/License.txt,
	  /NSIS/trunk/Contrib/Modern UI/Readme.html,
	  /NSIS/trunk/Contrib/Modern UI/System.nsh,
	  /NSIS/trunk/Contrib/MultiUser/MultiUser.nsh,
	  /NSIS/trunk/Contrib/nsExec/nsexec.c,
	  /NSIS/trunk/Contrib/SubStart/substart.c,
	  /NSIS/trunk/Contrib/System/Source/Call.S,
	  /NSIS/trunk/Contrib/System/Source/Call-amd64.S,
	  /NSIS/trunk/Contrib/System/System.html, /NSIS/trunk/COPYING,
	  /NSIS/trunk/Docs/src/config.but,
	  /NSIS/trunk/Include/LangFile.nsh,
	  /NSIS/trunk/Include/VB6RunTime.nsh,
	  /NSIS/trunk/Source/7zip/7zGuids.cpp,
	  /NSIS/trunk/Source/7zip/7zip/Common/InBuffer.cpp,
	  /NSIS/trunk/Source/7zip/7zip/Common/InBuffer.h,
	  /NSIS/trunk/Source/7zip/7zip/Common/OutBuffer.cpp,
	  /NSIS/trunk/Source/7zip/7zip/Common/OutBuffer.h,
	  /NSIS/trunk/Source/7zip/7zip/Common/StreamUtils.cpp,
	  /NSIS/trunk/Source/7zip/7zip/Common/StreamUtils.h,
	  /NSIS/trunk/Source/7zip/7zip/Compress/LZ/BinTree/BinTree.h,
	  /NSIS/trunk/Source/7zip/7zip/Compress/LZ/BinTree/BinTree2.h,
	  /NSIS/trunk/Source/7zip/7zip/Compress/LZ/BinTree/BinTree3.h,
	  /NSIS/trunk/Source/7zip/7zip/Compress/LZ/BinTree/BinTree3Z.h,
	  /NSIS/trunk/Source/7zip/7zip/Compress/LZ/BinTree/BinTree3ZMain.h,
	  /NSIS/trunk/Source/7zip/7zip/Compress/LZ/BinTree/BinTree4.h,
	  /NSIS/trunk/Source/7zip/7zip/Compress/LZ/BinTree/BinTree4b.h,
	  /NSIS/trunk/Source/7zip/7zip/Compress/LZ/BinTree/BinTreeMain.h,
	  /NSIS/trunk/Source/7zip/7zip/Compress/LZ/BinTree/BinTreeMF.h,
	  /NSIS/trunk/Source/7zip/7zip/Compress/LZ/BinTree/BinTreeMFMain.h,
	  /NSIS/trunk/Source/7zip/7zip/Compress/LZ/IMatchFinder.h,
	  /NSIS/trunk/Source/7zip/7zip/Compress/LZ/LZInWindow.cpp,
	  /NSIS/trunk/Source/7zip/7zip/Compress/LZ/LZInWindow.h,
	  /NSIS/trunk/Source/7zip/7zip/Compress/LZ/LZOutWindow.cpp,
	  /NSIS/trunk/Source/7zip/7zip/Compress/LZ/LZOutWindow.h,
	  /NSIS/trunk/Source/7zip/7zip/Compress/LZMA/LZMA.h,
	  /NSIS/trunk/Source/7zip/7zip/Compress/LZMA/LZMAEncoder.cpp,
	  /NSIS/trunk/Source/7zip/7zip/Compress/LZMA/LZMAEncoder.h,
	  /NSIS/trunk/Source/7zip/7zip/Compress/RangeCoder/RangeCoder.h,
	  /NSIS/trunk/Source/7zip/7zip/Compress/RangeCoder/RangeCoderBit.cpp,
	  /NSIS/trunk/Source/7zip/7zip/Compress/RangeCoder/RangeCoderBit.h,
	  /NSIS/trunk/Source/7zip/7zip/Compress/RangeCoder/RangeCoderBitTree.h,
	  /NSIS/trunk/Source/7zip/7zip/Compress/RangeCoder/RangeCoderOpt.h,
	  /NSIS/trunk/Source/7zip/7zip/ICoder.h,
	  /NSIS/trunk/Source/7zip/7zip/IStream.h,
	  /NSIS/trunk/Source/7zip/Common/Alloc.cpp,
	  /NSIS/trunk/Source/7zip/Common/Alloc.h,
	  /NSIS/trunk/Source/7zip/Common/CRC.cpp,
	  /NSIS/trunk/Source/7zip/Common/CRC.h,
	  /NSIS/trunk/Source/7zip/Common/Defs.h,
	  /NSIS/trunk/Source/7zip/Common/MyCom.h,
	  /NSIS/trunk/Source/7zip/Common/MyGuidDef.h,
	  /NSIS/trunk/Source/7zip/Common/MyUnknown.h,
	  /NSIS/trunk/Source/7zip/Common/MyWindows.h,
	  /NSIS/trunk/Source/7zip/Common/StdAfx.h,
	  /NSIS/trunk/Source/7zip/Common/Types.h,
	  /NSIS/trunk/Source/7zip/LZMADecode.c,
	  /NSIS/trunk/Source/7zip/LZMADecode.h,
	  /NSIS/trunk/Source/afxres.h, /NSIS/trunk/Source/BinInterop.cpp,
	  /NSIS/trunk/Source/BinInterop.h, /NSIS/trunk/Source/build.cpp,
	  /NSIS/trunk/Source/build.h, /NSIS/trunk/Source/bzip2/blocksort.c,
	  /NSIS/trunk/Source/bzip2/bzlib.c,
	  /NSIS/trunk/Source/bzip2/bzlib.h,
	  /NSIS/trunk/Source/bzip2/compress.c,
	  /NSIS/trunk/Source/bzip2/decompress.c,
	  /NSIS/trunk/Source/bzip2/huffman.c, /NSIS/trunk/Source/cbzip2.h,
	  /NSIS/trunk/Source/clzma.cpp, /NSIS/trunk/Source/clzma.h,
	  /NSIS/trunk/Source/compressor.h, /NSIS/trunk/Source/crc32.c,
	  /NSIS/trunk/Source/crc32.h, /NSIS/trunk/Source/czlib.h,
	  /NSIS/trunk/Source/DialogTemplate.cpp,
	  /NSIS/trunk/Source/DialogTemplate.h,
	  /NSIS/trunk/Source/dirreader.cpp, /NSIS/trunk/Source/dirreader.h,
	  /NSIS/trunk/Source/exehead/afxres.h,
	  /NSIS/trunk/Source/exehead/api.h,
	  /NSIS/trunk/Source/exehead/bgbg.c,
	  /NSIS/trunk/Source/exehead/components.c,
	  /NSIS/trunk/Source/exehead/components.h,
	  /NSIS/trunk/Source/exehead/config.h,
	  /NSIS/trunk/Source/exehead/exec.c,
	  /NSIS/trunk/Source/exehead/exec.h,
	  /NSIS/trunk/Source/exehead/fileform.c,
	  /NSIS/trunk/Source/exehead/fileform.h,
	  /NSIS/trunk/Source/exehead/lang.h,
	  /NSIS/trunk/Source/exehead/Main.c,
	  /NSIS/trunk/Source/exehead/plugin.c,
	  /NSIS/trunk/Source/exehead/plugin.h,
	  /NSIS/trunk/Source/exehead/state.h,
	  /NSIS/trunk/Source/exehead/Ui.c, /NSIS/trunk/Source/exehead/ui.h,
	  /NSIS/trunk/Source/exehead/util.c,
	  /NSIS/trunk/Source/exehead/util.h,
	  /NSIS/trunk/Source/fileform.cpp, /NSIS/trunk/Source/fileform.h,
	  /NSIS/trunk/Source/growbuf.cpp, /NSIS/trunk/Source/growbuf.h,
	  /NSIS/trunk/Source/icon.cpp, /NSIS/trunk/Source/icon.h,
	  /NSIS/trunk/Source/lang.cpp, /NSIS/trunk/Source/lang.h,
	  /NSIS/trunk/Source/lineparse.cpp, /NSIS/trunk/Source/lineparse.h,
	  /NSIS/trunk/Source/makenssi.cpp, /NSIS/trunk/Source/manifest.cpp,
	  /NSIS/trunk/Source/manifest.h, /NSIS/trunk/Source/mmap.cpp,
	  /NSIS/trunk/Source/mmap.h, /NSIS/trunk/Source/Platform.h,
	  /NSIS/trunk/Source/Plugins.cpp, /NSIS/trunk/Source/Plugins.h,
	  /NSIS/trunk/Source/ResourceEditor.cpp,
	  /NSIS/trunk/Source/ResourceEditor.h,
	  /NSIS/trunk/Source/ResourceVersionInfo.cpp,
	  /NSIS/trunk/Source/ResourceVersionInfo.h,
	  /NSIS/trunk/Source/script.cpp, /NSIS/trunk/Source/scriptpp.cpp,
	  /NSIS/trunk/Source/ShConstants.cpp,
	  /NSIS/trunk/Source/ShConstants.h, /NSIS/trunk/Source/strlist.cpp,
	  /NSIS/trunk/Source/strlist.h, /NSIS/trunk/Source/tchar.h,
	  /NSIS/trunk/Source/tokens.cpp, /NSIS/trunk/Source/tokens.h,
	  /NSIS/trunk/Source/tstring.cpp, /NSIS/trunk/Source/tstring.h,
	  /NSIS/trunk/Source/uservars.h, /NSIS/trunk/Source/utf.cpp,
	  /NSIS/trunk/Source/utf.h, /NSIS/trunk/Source/util.cpp,
	  /NSIS/trunk/Source/util.h,
	  /NSIS/trunk/Source/validateunicode.cpp,
	  /NSIS/trunk/Source/validateunicode.h,
	  /NSIS/trunk/Source/winchar.cpp, /NSIS/trunk/Source/winchar.h,
	  /NSIS/trunk/Source/writer.cpp, /NSIS/trunk/Source/writer.h,
	  /NSIS/trunk/Source/zlib/INFBLOCK.C,
	  /NSIS/trunk/Source/zlib/ZCONF.H, /NSIS/trunk/Source/zlib/ZLIB.H,
	  /NSIS/trunk/Source/zlib/ZUTIL.H: (C) 2023

2022-12-19 20:19  anders_k

	* /NSIS/trunk/Contrib/Language files/Ukrainian.nlf,
	  /NSIS/trunk/Contrib/Language files/Ukrainian.nsh,
	  /NSIS/trunk/Docs/src/history.but: Updated Ukrainian (patch 308)

2022-12-19 19:59  anders_k

	* /NSIS/trunk/Source/makenssi.cpp: Use full path for the default
	  output path

2022-12-16 20:14  anders_k

	* /NSIS/trunk/Include/WinVer.nsh: Added October 2022

2022-12-14 22:46  anders_k

	* /NSIS/trunk/Examples/MultiUser.nsi: OutFile for CI

2022-12-13 18:10  anders_k

	* /NSIS/trunk/Examples/makensis.nsi,
	  /NSIS/trunk/Examples/MultiUser.nsi,
	  /NSIS/trunk/Examples/SConscript: Install MultiUser example

2022-12-12 20:36  anders_k

	* /NSIS/trunk/Source/util.cpp: Don't use _ environment variable
	  because it is sometimes incorrect

2022-12-12 20:07  anders_k

	* /NSIS/trunk/Source/build.cpp, /NSIS/trunk/Source/mmap.cpp,
	  /NSIS/trunk/Source/script.cpp: !uninstfinalize big uninstaller
	  fixes, part 2 (bug #1279)

2022-12-05 21:39  kichik

	* /NSIS/trunk/.github/workflows/build.yml,
	  /NSIS/trunk/.github/workflows/copy-svn.yml: Avoid node 12.x
	  deprecation warnings

2022-12-04 19:06  anders_k

	* /NSIS/trunk/Contrib/MultiUser/Readme.html,
	  /NSIS/trunk/Examples/MultiUser.nsi: Added MultiUser example

2022-12-04 18:52  anders_k

	* /NSIS/trunk/Docs/src/history.but, /NSIS/trunk/Source/build.cpp,
	  /NSIS/trunk/Source/build.h, /NSIS/trunk/Source/mmap.cpp,
	  /NSIS/trunk/Source/mmap.h, /NSIS/trunk/Source/script.cpp,
	  /NSIS/trunk/Source/util.cpp, /NSIS/trunk/Source/util.h: Further
	  !uninstfinalize big uninstaller fixes (bug #1279)

2022-10-24 15:55  anders_k

	* /NSIS/trunk/Contrib/zip2exe/zlib/unzip.c,
	  /NSIS/trunk/Contrib/zip2exe/zlib/unzip.h,
	  /NSIS/trunk/Include/StrFunc.txt: Fixed minor typos

2022-10-23 18:25  anders_k

	* /NSIS/trunk/Docs/src/history.but, /NSIS/trunk/Source/Plugins.h,
	  /NSIS/trunk/Source/ResourceEditor.cpp: Fixed GCC12
	  binary_function warning (patch #307)

2022-10-23 18:09  anders_k

	* /NSIS/trunk/Docs/src/history.but, /NSIS/trunk/Source/build.cpp,
	  /NSIS/trunk/Source/exehead/util.c,
	  /NSIS/trunk/Source/exehead/util.h: Use SHCloneSpecialIDList
	  instead of SHGetSpecialFolderLocation so missing folders can be
	  created on Win4.x

2022-09-20 21:38  anders_k

	* /NSIS/trunk/Include/WinVer.nsh: Windows 11 2022 Update

2022-09-20 21:31  anders_k

	* /NSIS/trunk/Contrib/nsDialogs/nsDialogs.nsh: Fixed NSD_ClearIcon
	  (bug #1286)

2022-09-20 21:29  anders_k

	* /NSIS/trunk/Include/LogicLib.nsh: Avoid unused label warning

2022-09-19 16:40  anders_k

	* /NSIS/trunk/Docs/src/history.but, /NSIS/trunk/SCons/Config/gnu,
	  /NSIS/trunk/SCons/utils.py: Disable stub relocations in newer GCC
	  (bug #1283)

2022-09-02 20:03  anders_k

	* /NSIS/trunk/SCons/Config/gnu: Don't generate relocation section
	  in stubs

2022-09-02 20:02  anders_k

	* /NSIS/trunk/SCons/Config/gnu, /NSIS/trunk/SCons/utils.py,
	  /NSIS/trunk/SConstruct: Reduce old GCC linker warnings

2022-09-02 16:45  anders_k

	* /NSIS/trunk/Contrib/Makensisw/makensisw.cpp,
	  /NSIS/trunk/Contrib/Makensisw/makensisw.h,
	  /NSIS/trunk/Contrib/Makensisw/utils.cpp,
	  /NSIS/trunk/Contrib/Makensisw/utils.h: Display error message if
	  starting the generated installer fails

2022-09-01 20:55  anders_k

	* /NSIS/trunk/Examples/example2.nsi: Fixed typo

2022-08-30 01:53  anders_k

	* /NSIS/trunk/Docs/src/history.but,
	  /NSIS/trunk/Include/LogicLib.nsh: Fixed LogicLib Switch Unicode
	  bug

2022-08-30 01:45  anders_k

	* /NSIS/trunk/Docs/src/history.but, /NSIS/trunk/Source/utf.cpp:
	  Fixed !appendfile not writing to non-empty files with a BOM

2022-06-19 20:09  anders_k

	* /NSIS/trunk/Include/WinVer.nsh: Improved Win11 support

2022-06-12 20:50  anders_k

	* /NSIS/trunk/Docs/src/bin/halibut/misc.c: Check define for MacOS
	  (Patch 306)

2022-03-29 21:37  anders_k

	* /NSIS/trunk/Contrib/Makensisw/utils.cpp,
	  /NSIS/trunk/Docs/src/history.but: Bug #1282: Apply zoom level
	  when editor is cleared

2022-01-21 18:52  anders_k

	* /NSIS/trunk/Contrib/ExDLL/exdll_with_unit.dpr,
	  /NSIS/trunk/Contrib/ExDLL/nsis.pas: Unicode fixes

2022-01-08 18:32  anders_k

	* /NSIS/trunk/Source/Tests/Platform.cpp,
	  /NSIS/trunk/Source/Tests/ResourceEditor.cpp: Added tests

2022-01-07 23:45  anders_k

	* /NSIS/trunk/Docs/src/history.but, /NSIS/trunk/Source/build.cpp,
	  /NSIS/trunk/Source/mmap.cpp, /NSIS/trunk/Source/mmap.h,
	  /NSIS/trunk/Source/Tests/mmap.cpp,
	  /NSIS/trunk/Source/Tests/Platform.cpp,
	  /NSIS/trunk/Source/Tests/SConscript, /NSIS/trunk/Source/util.h:
	  Fixed MMapBuf size bug

2022-01-02 17:18  anders_k

	* /NSIS/trunk/Source/ResourceEditor.cpp: Set the cursor hotspot
	  correctly

2021-12-31 18:46  anders_k

	* /NSIS/trunk/Contrib/ExDLL/nsis_tchar.h,
	  /NSIS/trunk/Contrib/InstallOptions/Readme.html,
	  /NSIS/trunk/Contrib/Language files/Romanian.nlf,
	  /NSIS/trunk/Contrib/Language files/Romanian.nsh,
	  /NSIS/trunk/Contrib/Makensisw/lookup.cpp,
	  /NSIS/trunk/Contrib/Makensisw/wndspy.cpp,
	  /NSIS/trunk/Contrib/Modern UI 2/License.txt,
	  /NSIS/trunk/Contrib/Modern UI 2/MUI2.nsh,
	  /NSIS/trunk/Contrib/Modern UI 2/Readme.html,
	  /NSIS/trunk/Contrib/Modern UI/License.txt,
	  /NSIS/trunk/Contrib/Modern UI/Readme.html,
	  /NSIS/trunk/Contrib/Modern UI/System.nsh,
	  /NSIS/trunk/Contrib/MultiUser/MultiUser.nsh,
	  /NSIS/trunk/Contrib/nsExec/nsexec.c,
	  /NSIS/trunk/Contrib/SubStart/substart.c,
	  /NSIS/trunk/Contrib/System/Source/Call.S,
	  /NSIS/trunk/Contrib/System/Source/Call-amd64.S,
	  /NSIS/trunk/Contrib/System/System.html,
	  /NSIS/trunk/Contrib/zip2exe/zlib/unzip.c,
	  /NSIS/trunk/Contrib/zip2exe/zlib/unzip.h, /NSIS/trunk/COPYING,
	  /NSIS/trunk/Docs/src/config.but,
	  /NSIS/trunk/Include/LangFile.nsh,
	  /NSIS/trunk/Include/StrFunc.txt,
	  /NSIS/trunk/Include/VB6RunTime.nsh,
	  /NSIS/trunk/Source/7zip/7zGuids.cpp,
	  /NSIS/trunk/Source/7zip/7zip/Common/InBuffer.cpp,
	  /NSIS/trunk/Source/7zip/7zip/Common/InBuffer.h,
	  /NSIS/trunk/Source/7zip/7zip/Common/OutBuffer.cpp,
	  /NSIS/trunk/Source/7zip/7zip/Common/OutBuffer.h,
	  /NSIS/trunk/Source/7zip/7zip/Common/StreamUtils.cpp,
	  /NSIS/trunk/Source/7zip/7zip/Common/StreamUtils.h,
	  /NSIS/trunk/Source/7zip/7zip/Compress/LZ/BinTree/BinTree.h,
	  /NSIS/trunk/Source/7zip/7zip/Compress/LZ/BinTree/BinTree2.h,
	  /NSIS/trunk/Source/7zip/7zip/Compress/LZ/BinTree/BinTree3.h,
	  /NSIS/trunk/Source/7zip/7zip/Compress/LZ/BinTree/BinTree3Z.h,
	  /NSIS/trunk/Source/7zip/7zip/Compress/LZ/BinTree/BinTree3ZMain.h,
	  /NSIS/trunk/Source/7zip/7zip/Compress/LZ/BinTree/BinTree4.h,
	  /NSIS/trunk/Source/7zip/7zip/Compress/LZ/BinTree/BinTree4b.h,
	  /NSIS/trunk/Source/7zip/7zip/Compress/LZ/BinTree/BinTreeMain.h,
	  /NSIS/trunk/Source/7zip/7zip/Compress/LZ/BinTree/BinTreeMF.h,
	  /NSIS/trunk/Source/7zip/7zip/Compress/LZ/BinTree/BinTreeMFMain.h,
	  /NSIS/trunk/Source/7zip/7zip/Compress/LZ/IMatchFinder.h,
	  /NSIS/trunk/Source/7zip/7zip/Compress/LZ/LZInWindow.cpp,
	  /NSIS/trunk/Source/7zip/7zip/Compress/LZ/LZInWindow.h,
	  /NSIS/trunk/Source/7zip/7zip/Compress/LZ/LZOutWindow.cpp,
	  /NSIS/trunk/Source/7zip/7zip/Compress/LZ/LZOutWindow.h,
	  /NSIS/trunk/Source/7zip/7zip/Compress/LZMA/LZMA.h,
	  /NSIS/trunk/Source/7zip/7zip/Compress/LZMA/LZMAEncoder.cpp,
	  /NSIS/trunk/Source/7zip/7zip/Compress/LZMA/LZMAEncoder.h,
	  /NSIS/trunk/Source/7zip/7zip/Compress/RangeCoder/RangeCoder.h,
	  /NSIS/trunk/Source/7zip/7zip/Compress/RangeCoder/RangeCoderBit.cpp,
	  /NSIS/trunk/Source/7zip/7zip/Compress/RangeCoder/RangeCoderBit.h,
	  /NSIS/trunk/Source/7zip/7zip/Compress/RangeCoder/RangeCoderBitTree.h,
	  /NSIS/trunk/Source/7zip/7zip/Compress/RangeCoder/RangeCoderOpt.h,
	  /NSIS/trunk/Source/7zip/7zip/ICoder.h,
	  /NSIS/trunk/Source/7zip/7zip/IStream.h,
	  /NSIS/trunk/Source/7zip/Common/Alloc.cpp,
	  /NSIS/trunk/Source/7zip/Common/Alloc.h,
	  /NSIS/trunk/Source/7zip/Common/CRC.cpp,
	  /NSIS/trunk/Source/7zip/Common/CRC.h,
	  /NSIS/trunk/Source/7zip/Common/Defs.h,
	  /NSIS/trunk/Source/7zip/Common/MyCom.h,
	  /NSIS/trunk/Source/7zip/Common/MyGuidDef.h,
	  /NSIS/trunk/Source/7zip/Common/MyUnknown.h,
	  /NSIS/trunk/Source/7zip/Common/MyWindows.h,
	  /NSIS/trunk/Source/7zip/Common/StdAfx.h,
	  /NSIS/trunk/Source/7zip/Common/Types.h,
	  /NSIS/trunk/Source/7zip/LZMADecode.c,
	  /NSIS/trunk/Source/7zip/LZMADecode.h,
	  /NSIS/trunk/Source/afxres.h, /NSIS/trunk/Source/BinInterop.cpp,
	  /NSIS/trunk/Source/BinInterop.h, /NSIS/trunk/Source/build.cpp,
	  /NSIS/trunk/Source/build.h, /NSIS/trunk/Source/bzip2/blocksort.c,
	  /NSIS/trunk/Source/bzip2/bzlib.c,
	  /NSIS/trunk/Source/bzip2/bzlib.h,
	  /NSIS/trunk/Source/bzip2/compress.c,
	  /NSIS/trunk/Source/bzip2/decompress.c,
	  /NSIS/trunk/Source/bzip2/huffman.c, /NSIS/trunk/Source/cbzip2.h,
	  /NSIS/trunk/Source/clzma.cpp, /NSIS/trunk/Source/clzma.h,
	  /NSIS/trunk/Source/compressor.h, /NSIS/trunk/Source/crc32.c,
	  /NSIS/trunk/Source/crc32.h, /NSIS/trunk/Source/czlib.h,
	  /NSIS/trunk/Source/DialogTemplate.cpp,
	  /NSIS/trunk/Source/DialogTemplate.h,
	  /NSIS/trunk/Source/dirreader.cpp, /NSIS/trunk/Source/dirreader.h,
	  /NSIS/trunk/Source/exehead/afxres.h,
	  /NSIS/trunk/Source/exehead/api.h,
	  /NSIS/trunk/Source/exehead/bgbg.c,
	  /NSIS/trunk/Source/exehead/components.c,
	  /NSIS/trunk/Source/exehead/components.h,
	  /NSIS/trunk/Source/exehead/config.h,
	  /NSIS/trunk/Source/exehead/exec.c,
	  /NSIS/trunk/Source/exehead/exec.h,
	  /NSIS/trunk/Source/exehead/fileform.c,
	  /NSIS/trunk/Source/exehead/fileform.h,
	  /NSIS/trunk/Source/exehead/lang.h,
	  /NSIS/trunk/Source/exehead/Main.c,
	  /NSIS/trunk/Source/exehead/plugin.c,
	  /NSIS/trunk/Source/exehead/plugin.h,
	  /NSIS/trunk/Source/exehead/state.h,
	  /NSIS/trunk/Source/exehead/Ui.c, /NSIS/trunk/Source/exehead/ui.h,
	  /NSIS/trunk/Source/exehead/util.c,
	  /NSIS/trunk/Source/exehead/util.h,
	  /NSIS/trunk/Source/fileform.cpp, /NSIS/trunk/Source/fileform.h,
	  /NSIS/trunk/Source/growbuf.cpp, /NSIS/trunk/Source/growbuf.h,
	  /NSIS/trunk/Source/icon.cpp, /NSIS/trunk/Source/icon.h,
	  /NSIS/trunk/Source/lang.cpp, /NSIS/trunk/Source/lang.h,
	  /NSIS/trunk/Source/lineparse.cpp, /NSIS/trunk/Source/lineparse.h,
	  /NSIS/trunk/Source/makenssi.cpp, /NSIS/trunk/Source/manifest.cpp,
	  /NSIS/trunk/Source/manifest.h, /NSIS/trunk/Source/mmap.cpp,
	  /NSIS/trunk/Source/mmap.h, /NSIS/trunk/Source/Platform.h,
	  /NSIS/trunk/Source/Plugins.cpp, /NSIS/trunk/Source/Plugins.h,
	  /NSIS/trunk/Source/ResourceEditor.cpp,
	  /NSIS/trunk/Source/ResourceEditor.h,
	  /NSIS/trunk/Source/ResourceVersionInfo.cpp,
	  /NSIS/trunk/Source/ResourceVersionInfo.h,
	  /NSIS/trunk/Source/script.cpp, /NSIS/trunk/Source/scriptpp.cpp,
	  /NSIS/trunk/Source/ShConstants.cpp,
	  /NSIS/trunk/Source/ShConstants.h, /NSIS/trunk/Source/strlist.cpp,
	  /NSIS/trunk/Source/strlist.h, /NSIS/trunk/Source/tchar.h,
	  /NSIS/trunk/Source/Tests/textrunner.cpp,
	  /NSIS/trunk/Source/tokens.cpp, /NSIS/trunk/Source/tokens.h,
	  /NSIS/trunk/Source/tstring.cpp, /NSIS/trunk/Source/tstring.h,
	  /NSIS/trunk/Source/uservars.h, /NSIS/trunk/Source/utf.cpp,
	  /NSIS/trunk/Source/utf.h, /NSIS/trunk/Source/util.cpp,
	  /NSIS/trunk/Source/util.h,
	  /NSIS/trunk/Source/validateunicode.cpp,
	  /NSIS/trunk/Source/validateunicode.h,
	  /NSIS/trunk/Source/winchar.cpp, /NSIS/trunk/Source/winchar.h,
	  /NSIS/trunk/Source/writer.cpp, /NSIS/trunk/Source/writer.h,
	  /NSIS/trunk/Source/zlib/INFBLOCK.C,
	  /NSIS/trunk/Source/zlib/ZCONF.H, /NSIS/trunk/Source/zlib/ZLIB.H,
	  /NSIS/trunk/Source/zlib/ZUTIL.H: 2022

2021-12-31 01:41  anders_k

	* /NSIS/trunk/.github/workflows/copy-svn.yml,
	  /NSIS/trunk/Contrib/AdvSplash/advsplash.c,
	  /NSIS/trunk/Contrib/Banner/Banner.c,
	  /NSIS/trunk/Contrib/Makensisw/makensisw.cpp,
	  /NSIS/trunk/Contrib/Makensisw/makensisw.h,
	  /NSIS/trunk/Contrib/Makensisw/Readme.txt,
	  /NSIS/trunk/Contrib/Math/Source/Math.c,
	  /NSIS/trunk/Contrib/Math/Source/MyMath.c,
	  /NSIS/trunk/Contrib/Modern UI 2/Localization.nsh,
	  /NSIS/trunk/Contrib/Modern UI 2/MUI2.nsh,
	  /NSIS/trunk/Contrib/Modern UI 2/Pages.nsh,
	  /NSIS/trunk/Contrib/Modern UI 2/Pages/Components.nsh,
	  /NSIS/trunk/Contrib/Modern UI 2/Readme.html,
	  /NSIS/trunk/Contrib/Modern UI/Changelog.txt,
	  /NSIS/trunk/Contrib/Modern UI/Readme.html,
	  /NSIS/trunk/Contrib/MultiUser/Readme.html,
	  /NSIS/trunk/Contrib/nsDialogs/Readme.html,
	  /NSIS/trunk/Contrib/NSIS Menu/wx/setup.h,
	  /NSIS/trunk/Contrib/NSISdl/connection.h,
	  /NSIS/trunk/Contrib/NSISdl/nsisdl.cpp,
	  /NSIS/trunk/Contrib/NSISdl/ReadMe.txt,
	  /NSIS/trunk/Contrib/System/Source/System.c,
	  /NSIS/trunk/Contrib/System/Source/System.h,
	  /NSIS/trunk/Contrib/System/System.html,
	  /NSIS/trunk/Contrib/System/System.nsi,
	  /NSIS/trunk/Contrib/VPatch/Source/GenPat/FileFormat1.cpp,
	  /NSIS/trunk/Contrib/VPatch/Source/GenPat/FileFormat1.h,
	  /NSIS/trunk/Contrib/VPatch/Source/GenPat/main.cpp,
	  /NSIS/trunk/Contrib/VPatch/Source/GenPat/PatchGenerator.cpp,
	  /NSIS/trunk/Contrib/VPatch/Source/Plugin/vpatchdll.c,
	  /NSIS/trunk/Contrib/zip2exe/zlib/unzip.c,
	  /NSIS/trunk/Contrib/zip2exe/zlib/unzip.h,
	  /NSIS/trunk/Docs/src/attributes.but,
	  /NSIS/trunk/Docs/src/bin/halibut/input.c,
	  /NSIS/trunk/Docs/src/bin/halibut/malloc.c,
	  /NSIS/trunk/Docs/src/defines.but,
	  /NSIS/trunk/Docs/src/headers.but,
	  /NSIS/trunk/Docs/src/history.but, /NSIS/trunk/Docs/src/ui.but,
	  /NSIS/trunk/Examples/languages.nsi, /NSIS/trunk/Examples/Modern
	  UI/MultiLanguage.nsi, /NSIS/trunk/Examples/NSISMenu.nsi,
	  /NSIS/trunk/Examples/primes.nsi, /NSIS/trunk/Include/Library.nsh,
	  /NSIS/trunk/Include/LogicLib.nsh,
	  /NSIS/trunk/Include/Memento.nsh,
	  /NSIS/trunk/Include/Sections.nsh,
	  /NSIS/trunk/Include/StrFunc.txt,
	  /NSIS/trunk/Include/Win/RestartManager.nsh,
	  /NSIS/trunk/Include/WinCore.nsh,
	  /NSIS/trunk/Include/WinMessages.nsh,
	  /NSIS/trunk/SCons/Config/gnu,
	  /NSIS/trunk/SCons/Config/linker_script,
	  /NSIS/trunk/SCons/Tools/mstoolkit.py,
	  /NSIS/trunk/Source/build.cpp,
	  /NSIS/trunk/Source/DialogTemplate.h,
	  /NSIS/trunk/Source/dirreader.cpp,
	  /NSIS/trunk/Source/exehead/fileform.h,
	  /NSIS/trunk/Source/exehead/util.c, /NSIS/trunk/Source/icon.cpp,
	  /NSIS/trunk/Source/makenssi.cpp, /NSIS/trunk/Source/mmap.h,
	  /NSIS/trunk/Source/ResourceEditor.cpp,
	  /NSIS/trunk/Source/ResourceEditor.h,
	  /NSIS/trunk/Source/ResourceVersionInfo.cpp,
	  /NSIS/trunk/Source/script.cpp,
	  /NSIS/trunk/Source/Tests/textrunner.cpp,
	  /NSIS/trunk/Source/Tests/winchar.cpp,
	  /NSIS/trunk/Source/tokens.cpp: Fix typos found by codespell
	  (DimitriPapadopoulos PR)

2021-12-28 23:24  anders_k

	* /NSIS/trunk/Docs/src/compiler.but,
	  /NSIS/trunk/Docs/src/history.but, /NSIS/trunk/Source/build.h,
	  /NSIS/trunk/Source/script.cpp, /NSIS/trunk/Source/scriptpp.cpp,
	  /NSIS/trunk/Source/Tests/preprocessor.nsi,
	  /NSIS/trunk/Source/tokens.cpp, /NSIS/trunk/Source/tokens.h: Added
	  !assert

2021-12-23 22:31  anders_k

	* /NSIS/trunk/Docs/src/bin/halibut/bk_xhtml.c,
	  /NSIS/trunk/Docs/src/bin/halibut/error.c,
	  /NSIS/trunk/Docs/src/bin/halibut/halibut.h,
	  /NSIS/trunk/Docs/src/bin/halibut/input.c,
	  /NSIS/trunk/Docs/src/bin/halibut/misc.c,
	  /NSIS/trunk/Docs/src/bin/halibut/version.c: Cherry pick halibut
	  upstream

2021-12-06 18:05  anders_k

	* /NSIS/trunk/Docs/src/var.but, /NSIS/trunk/Source/build.cpp: Allow
	  . in variable names

2021-12-02 20:18  anders_k

	* /NSIS/trunk/Include/WinVer.nsh: Added WinVer_WaaS 21H2 and Win11

2021-11-21 17:16  anders_k

	* /NSIS/trunk/Docs/src/bin/halibut/SConscript,
	  /NSIS/trunk/Docs/src/history.but,
	  /NSIS/trunk/Source/exehead/Main.c,
	  /NSIS/trunk/Source/exehead/util.h: Fixed old GCC issues (bug
	  #1275)

2021-11-17 22:24  anders_k

	* /NSIS/trunk/Source/7zip/Common/MyCom.h: Fixed silly GCC warning
	  (Bug #1274)

2021-11-06 20:34  anders_k

	* /NSIS/trunk/Docs/src/history.but, /NSIS/trunk/Source/build.cpp,
	  /NSIS/trunk/Source/exehead/exec.c: Fixed plug-in call overwriting
	  SetDetailsPrint lastused (bug #1271)

2021-11-04 21:40  anders_k

	* /NSIS/trunk/.github/workflows/build.yml,
	  /NSIS/trunk/Contrib/Makensisw/wndspy.cpp,
	  /NSIS/trunk/SCons/Tools/mstoolkit.py, /NSIS/trunk/SConstruct:
	  Python 3 fixes (Github PR 20)

2021-11-04 20:32  anders_k

	* /NSIS/trunk/Examples/makensis.nsi,
	  /NSIS/trunk/Include/SConscript,
	  /NSIS/trunk/Include/Win/RestartManager.nsh: Added RestartManager
	  defines

2021-10-07 14:45  anders_k

	* /NSIS/trunk/Docs/src/bin/halibut/bk_xhtml.c,
	  /NSIS/trunk/Docs/src/history.but: Fixed halibut fprintf format
	  security warnings (patch #304)

2021-09-29 21:12  anders_k

	* /NSIS/trunk/Contrib/Language files/PortugueseBR.nlf,
	  /NSIS/trunk/Contrib/Language files/PortugueseBR.nsh,
	  /NSIS/trunk/Docs/src/history.but: Updated PortugueseBR (Bug
	  #1269)

2021-09-25 21:40  kichik

	* /NSIS/tags/v308: Tagging for release 3.08

2021-09-25 21:36  kichik

	* /NSIS/trunk/Menu/images/header.gif: 3.08

2021-09-25 21:22  kichik

	* /NSIS/trunk/Docs/src/history.but: 3.08

2021-09-20 17:21  anders_k

	* /NSIS/trunk/Contrib/Makensisw/makensisw.cpp,
	  /NSIS/trunk/Contrib/Makensisw/makensisw.h,
	  /NSIS/trunk/Contrib/Makensisw/utils.cpp,
	  /NSIS/trunk/Contrib/Makensisw/utils.h: Store log window handle in
	  a global

2021-09-20 16:48  anders_k

	* /NSIS/trunk/Contrib/Makensisw/makensisw.cpp,
	  /NSIS/trunk/Contrib/Makensisw/makensisw.h,
	  /NSIS/trunk/Contrib/Makensisw/Readme.txt,
	  /NSIS/trunk/Contrib/Makensisw/resource.h,
	  /NSIS/trunk/Contrib/Makensisw/resource.rc: Added log window
	  zooming accelerators

2021-09-19 22:41  kichik

	* /NSIS/trunk/README.md: Update build badges

2021-09-19 21:10  anders_k

	* /NSIS/trunk/Include/LogicLib.nsh, /NSIS/trunk/Include/WinVer.nsh,
	  /NSIS/trunk/Source/Tests/winver.nsi: Optimize known conditions

2021-09-19 18:24  anders_k

	* /NSIS/trunk/Source/icon.cpp,
	  /NSIS/trunk/Source/ResourceEditor.cpp: Fixed types for POSIX

2021-09-18 20:24  anders_k

	* /NSIS/trunk/Source/icon.cpp, /NSIS/trunk/Source/icon.h,
	  /NSIS/trunk/Source/ResourceEditor.cpp,
	  /NSIS/trunk/Source/ResourceEditor.h,
	  /NSIS/trunk/Source/script.cpp, /NSIS/trunk/Source/util.h: Icon
	  now supports the res:// protocol

2021-09-17 18:13  anders_k

	* /NSIS/trunk/Docs/src/basic.but, /NSIS/trunk/Source/script.cpp:
	  Added ExecShell /ALLOWERRORUI

2021-09-15 11:54  anders_k

	* /NSIS/trunk/.github/workflows/build.yml: curl retry

2021-09-15 01:41  anders_k

	* /NSIS/trunk/Docs/src/attributes.but,
	  /NSIS/trunk/Docs/src/basic.but,
	  /NSIS/trunk/Docs/src/bin/halibut/bk_xhtml.c,
	  /NSIS/trunk/Docs/src/bin/halibut/halibut.h,
	  /NSIS/trunk/Docs/src/bin/halibut/help.c,
	  /NSIS/trunk/Docs/src/bin/halibut/input.c,
	  /NSIS/trunk/Docs/src/bin/halibut/main.c,
	  /NSIS/trunk/Docs/src/config.but,
	  /NSIS/trunk/Docs/src/flowcontrol.but,
	  /NSIS/trunk/Docs/src/library.but, /NSIS/trunk/Docs/src/misc.but,
	  /NSIS/trunk/Docs/src/sec.but, /NSIS/trunk/Docs/src/ui.but,
	  /NSIS/trunk/Docs/src/usection.but,
	  /NSIS/trunk/Docs/src/usefulinfos.but,
	  /NSIS/trunk/Docs/src/var.but: Added \s command from upstream and
	  custom \bold and \html commands

2021-09-14 22:42  anders_k

	* /NSIS/trunk/Docs/src/bin/halibut/bk_xhtml.c,
	  /NSIS/trunk/Docs/src/bin/halibut/halibut.h,
	  /NSIS/trunk/Docs/src/bin/halibut/input.c,
	  /NSIS/trunk/Docs/src/bin/halibut/main.c,
	  /NSIS/trunk/Docs/src/bin/halibut/malloc.c,
	  /NSIS/trunk/Docs/src/bin/halibut/misc.c,
	  /NSIS/trunk/Docs/src/bin/halibut/ustring.c,
	  /NSIS/trunk/Docs/src/config_web.but,
	  /NSIS/trunk/Docs/unreleased.png: Force nightly fresh external
	  files

2021-09-13 23:21  anders_k

	* /NSIS/trunk/Contrib/MultiUser/Readme.html,
	  /NSIS/trunk/Contrib/nsDialogs/Readme.html,
	  /NSIS/trunk/Contrib/System/System.html,
	  /NSIS/trunk/Contrib/VPatch/Readme.html,
	  /NSIS/trunk/Docs/src/bin/halibut/bk_xhtml.c,
	  /NSIS/trunk/Docs/src/bin/halibut/halibut.h,
	  /NSIS/trunk/Docs/src/bin/halibut/ustring.c,
	  /NSIS/trunk/Docs/src/config.but, /NSIS/trunk/Docs/style.css:
	  Basic dark mode for main docs and MultiUser

2021-09-13 16:34  anders_k

	* /NSIS/trunk/Contrib/nsDialogs/Readme.html,
	  /NSIS/trunk/Contrib/System/System.html,
	  /NSIS/trunk/Contrib/VPatch/Readme.html: Support dark mode in
	  simple docs

2021-09-13 14:01  anders_k

	* /NSIS/trunk/Docs/src/bin/halibut/halibut.h,
	  /NSIS/trunk/Docs/src/bin/halibut/ustring.c: Constify

2021-09-12 03:30  kichik

	* /NSIS/trunk/.github/workflows/build.yml: Ignore svn2git-cache
	  branch as it contains no code

2021-09-11 23:54  anders_k

	* /NSIS/trunk/Docs/src/bin/halibut/biblio.c,
	  /NSIS/trunk/Docs/src/bin/halibut/contents.c,
	  /NSIS/trunk/Docs/src/bin/halibut/input.c,
	  /NSIS/trunk/Docs/src/bin/halibut/keywords.c,
	  /NSIS/trunk/Docs/src/bin/halibut/ustring.c: Cherrypicked minor
	  upstream fixes

2021-09-11 22:57  anders_k

	* /NSIS/trunk/Docs/src/bin/halibut/bk_xhtml.c,
	  /NSIS/trunk/Docs/src/bin/halibut/halibut.h,
	  /NSIS/trunk/Docs/src/bin/halibut/ustring.c,
	  /NSIS/trunk/Docs/src/bin/halibut/version.c,
	  /NSIS/trunk/Docs/src/config.but,
	  /NSIS/trunk/Source/ResourceEditor.cpp: Better xhtml
	  compatibility, default charset and optional lang tag

2021-09-05 18:27  kichik

	* /NSIS/trunk/.github/workflows/build.yml: Don't build trunk (it's
	  copied to master which is also built)

2021-09-05 18:26  kichik

	* /NSIS/trunk/.github/workflows/build.yml,
	  /NSIS/trunk/.github/workflows/copy-svn.yml: Clean-up

2021-09-04 21:59  kichik

	* /NSIS/trunk/.github/workflows/copy-svn.yml: Fix workflow updating
	  permissions
	  Update workflow on the fly
	  Set schedules

2021-09-04 19:40  kichik

	* /NSIS/trunk/.github/workflows/copy-svn.yml,
	  /NSIS/trunk/.github/workflows/svn-authors: Attempt number one at
	  copying SourceForge SVN to GitHub using Actions

2021-09-04 01:13  anders_k

	* /NSIS/trunk/Source/build.cpp: Nameless sections also have to be
	  selected to be counted as required

2021-09-04 01:06  anders_k

	* /NSIS/trunk/Source/build.cpp: Only count a section as required if
	  it is both SELECTED and RO

2021-09-01 18:58  anders_k

	* /NSIS/trunk/Contrib/Makensisw/makensisw.cpp,
	  /NSIS/trunk/Contrib/Makensisw/utils.cpp,
	  /NSIS/trunk/Contrib/Makensisw/utils.h,
	  /NSIS/trunk/Contrib/UserInfo/UserInfo.c,
	  /NSIS/trunk/Source/BinInterop.cpp,
	  /NSIS/trunk/Source/ResourceEditor.cpp,
	  /NSIS/trunk/Source/util.cpp: Make GCC happy

2021-08-30 00:06  anders_k

	* /NSIS/trunk/Docs/src/compiler.but,
	  /NSIS/trunk/Docs/src/generalpurpose.but,
	  /NSIS/trunk/Docs/src/history.but,
	  /NSIS/trunk/Source/BinInterop.cpp,
	  /NSIS/trunk/Source/BinInterop.h,
	  /NSIS/trunk/Source/exehead/exec.c,
	  /NSIS/trunk/Source/exehead/fileform.h,
	  /NSIS/trunk/Source/script.cpp, /NSIS/trunk/Source/scriptpp.cpp,
	  /NSIS/trunk/Source/tokens.cpp: Added GetDllVersion
	  /ProductVersion switch

2021-08-29 18:39  anders_k

	* /NSIS/trunk/Docs/src/generalpurpose.but,
	  /NSIS/trunk/Docs/src/history.but, /NSIS/trunk/Include/WinVer.nsh,
	  /NSIS/trunk/Source/exehead/exec.c,
	  /NSIS/trunk/Source/exehead/exec.h,
	  /NSIS/trunk/Source/exehead/fileform.h,
	  /NSIS/trunk/Source/exehead/Main.c,
	  /NSIS/trunk/Source/exehead/state.h,
	  /NSIS/trunk/Source/exehead/util.c,
	  /NSIS/trunk/Source/exehead/util.h, /NSIS/trunk/Source/script.cpp,
	  /NSIS/trunk/Source/Tests/winver.nsi,
	  /NSIS/trunk/Source/tokens.cpp, /NSIS/trunk/Source/tokens.h: Added
	  GetWinVer instruction

2021-08-27 18:23  anders_k

	* /NSIS/trunk/Source/Tests/winver.nsi: NT4 < SP6 test must be
	  client, not server

2021-08-26 17:09  anders_k

	* /NSIS/trunk/Contrib/Makensisw/makensisw.cpp,
	  /NSIS/trunk/Contrib/Makensisw/makensisw.h,
	  /NSIS/trunk/Contrib/Makensisw/utils.cpp: Force RichEdit COM calls
	  to UI thread

2021-08-26 16:23  anders_k

	* /NSIS/trunk/Source/utf.cpp: Allow Cygwin to use fast ASCII range

2021-08-26 14:49  anders_k

	* /NSIS/trunk/Contrib/System/Source/Buffers.c,
	  /NSIS/trunk/Contrib/System/System.html,
	  /NSIS/trunk/Docs/src/history.but: System::Store can push/pop the
	  flags state

2021-08-26 12:57  anders_k

	* /NSIS/trunk/Docs/src/history.but, /NSIS/trunk/Docs/src/misc.but,
	  /NSIS/trunk/Docs/src/var.but, /NSIS/trunk/Source/build.cpp,
	  /NSIS/trunk/Source/script.cpp, /NSIS/trunk/Source/tokens.cpp:
	  Added $USER.. and $COMMON.. alias constants

2021-08-25 17:36  anders_k

	* /NSIS/trunk/Contrib/InstallOptions/Readme.html,
	  /NSIS/trunk/Contrib/Modern UI 2/Readme.html,
	  /NSIS/trunk/Contrib/Modern UI/Readme.html,
	  /NSIS/trunk/Contrib/MultiUser/Readme.html,
	  /NSIS/trunk/Contrib/nsDialogs/Readme.html,
	  /NSIS/trunk/Contrib/System/System.html,
	  /NSIS/trunk/Contrib/VPatch/Readme.html,
	  /NSIS/trunk/Docs/src/bin/halibut/bk_xhtml.c,
	  /NSIS/trunk/Docs/src/compiler.but,
	  /NSIS/trunk/Docs/src/generalpurpose.but,
	  /NSIS/trunk/Docs/src/intro.but, /NSIS/trunk/Docs/src/script.but,
	  /NSIS/trunk/Docs/src/stack.but, /NSIS/trunk/Docs/src/var.but,
	  /NSIS/trunk/Docs/style.css, /NSIS/trunk/Examples/example1.nsi,
	  /NSIS/trunk/Examples/unicode.nsi: Docs update and font size fixes

2021-08-23 22:24  anders_k

	* /NSIS/trunk/Source/ResourceEditor.cpp: Endian fix

2021-08-23 21:50  anders_k

	* /NSIS/trunk/Docs/src/attributes.but,
	  /NSIS/trunk/Docs/src/history.but,
	  /NSIS/trunk/Source/BinInterop.cpp,
	  /NSIS/trunk/Source/BinInterop.h,
	  /NSIS/trunk/Source/ResourceEditor.cpp,
	  /NSIS/trunk/Source/ResourceEditor.h,
	  /NSIS/trunk/Source/script.cpp, /NSIS/trunk/Source/util.cpp,
	  /NSIS/trunk/Source/util.h: PEAddResource now supports the res:
	  protocol

2021-08-21 22:18  anders_k

	* /NSIS/trunk/Contrib/Makensisw/makensisw.cpp,
	  /NSIS/trunk/Contrib/Makensisw/toolbar.cpp,
	  /NSIS/trunk/Contrib/Makensisw/utils.cpp,
	  /NSIS/trunk/Contrib/Makensisw/utils.h: Use old bitmap on low-bpp
	  displays

2021-08-20 14:56  anders_k

	* /NSIS/trunk/Contrib/Makensisw/makensisw.cpp,
	  /NSIS/trunk/Contrib/Makensisw/makensisw.h,
	  /NSIS/trunk/Contrib/Makensisw/toolbar.cpp,
	  /NSIS/trunk/Contrib/Makensisw/utils.cpp,
	  /NSIS/trunk/Contrib/Makensisw/utils.h: Refactored Tooltip text
	  handling

2021-08-20 11:46  anders_k

	* /NSIS/trunk/Contrib/Makensisw/makensisw.cpp,
	  /NSIS/trunk/Contrib/Makensisw/makensisw.h,
	  /NSIS/trunk/Contrib/Makensisw/Readme.txt,
	  /NSIS/trunk/Contrib/Makensisw/resource.h,
	  /NSIS/trunk/Contrib/Makensisw/resource.rc,
	  /NSIS/trunk/Contrib/Makensisw/utils.cpp,
	  /NSIS/trunk/Contrib/Makensisw/utils.h: Close button moonlights as
	  Abort

2021-08-18 23:48  anders_k

	* /NSIS/trunk/Contrib/Makensisw/lookup.cpp,
	  /NSIS/trunk/Contrib/Makensisw/makensisw.cpp,
	  /NSIS/trunk/Contrib/Makensisw/makensisw.h,
	  /NSIS/trunk/Contrib/Makensisw/Readme.txt,
	  /NSIS/trunk/Contrib/Makensisw/SConscript,
	  /NSIS/trunk/Contrib/Makensisw/toolbar.cpp,
	  /NSIS/trunk/Contrib/Makensisw/utils.cpp,
	  /NSIS/trunk/Contrib/Makensisw/utils.h,
	  /NSIS/trunk/Source/SConscript: Attempt to prevent a selection
	  change from currupting the log

2021-08-18 17:53  anders_k

	* /NSIS/trunk/Contrib/nsDialogs/Readme.html,
	  /NSIS/trunk/Docs/style.css: Twice the Monospace, not half the
	  size

2021-08-18 16:38  anders_k

	* /NSIS/trunk/Contrib/Makensisw/makensisw.cpp,
	  /NSIS/trunk/Contrib/Makensisw/makensisw.h,
	  /NSIS/trunk/Contrib/Makensisw/toolbar.cpp,
	  /NSIS/trunk/Contrib/Makensisw/utils.h: Respect context-menu drop
	  alignment

2021-08-18 13:53  anders_k

	* /NSIS/trunk/Docs/src/compiler.but,
	  /NSIS/trunk/Docs/src/history.but, /NSIS/trunk/Source/build.cpp,
	  /NSIS/trunk/Source/build.h, /NSIS/trunk/Source/exehead/exec.c,
	  /NSIS/trunk/Source/script.cpp, /NSIS/trunk/Source/scriptpp.cpp,
	  /NSIS/trunk/Source/tokens.cpp, /NSIS/trunk/Source/tokens.h,
	  /NSIS/trunk/Source/util.cpp, /NSIS/trunk/Source/util.h: Added
	  !uninstfinalize (patch 280)

2021-08-17 18:30  anders_k

	* /NSIS/trunk/Contrib/Makensisw/toolbar.cpp,
	  /NSIS/trunk/Contrib/Makensisw/update.cpp,
	  /NSIS/trunk/Contrib/Makensisw/utils.cpp: Just load the library

2021-08-17 15:08  anders_k

	* /NSIS/trunk/Docs/src/history.but, /NSIS/trunk/Docs/src/usage.but,
	  /NSIS/trunk/Source/build.h, /NSIS/trunk/Source/makenssi.cpp,
	  /NSIS/trunk/Source/SConscript: Added /LAUNCH compiler switch

2021-08-04 20:15  anders_k

	* /NSIS/trunk/Contrib/ExDLL/SConscript: Fix build with scons>=4.2
	  (xantares PR)

2021-08-04 17:24  anders_k

	* /NSIS/trunk/Contrib/nsDialogs/example.nsi: Added Radio buttons

2021-08-04 17:10  anders_k

	* /NSIS/trunk/Contrib/MakeLangId/MakeLangId.cpp,
	  /NSIS/trunk/Contrib/Makensisw/lookup.cpp,
	  /NSIS/trunk/Contrib/Makensisw/wndspy.cpp,
	  /NSIS/trunk/Contrib/nsDialogs/nsDialogs.nsh,
	  /NSIS/trunk/Contrib/System/Source/System.h,
	  /NSIS/trunk/Contrib/System/System.nsh,
	  /NSIS/trunk/Contrib/zip2exe/main.cpp,
	  /NSIS/trunk/Docs/src/history.but,
	  /NSIS/trunk/Source/exehead/Ui.c: Disallow
	  STARTF_USESHOWWINDOW+SW_MAXIMIZE

2021-07-29 12:11  anders_k

	* /NSIS/trunk/Contrib/Makensisw/lookup.cpp: Always free the library

2021-07-28 15:07  anders_k

	* /NSIS/trunk/Contrib/Makensisw/utils.cpp: To 0 and not to NULL,
	  that is the answer

2021-07-27 18:56  anders_k

	* /NSIS/trunk/Contrib/Makensisw/makensisw.cpp,
	  /NSIS/trunk/Contrib/Makensisw/utils.cpp,
	  /NSIS/trunk/Source/util.cpp: Minor optimizations

2021-07-24 21:56  kichik

	* /NSIS/tags/v307: Tagging for release 3.07

2021-07-24 21:51  kichik

	* /NSIS/trunk/Menu/images/header.gif: 3.07

2021-07-24 21:32  kichik

	* /NSIS/trunk/Examples/AppGen.nsi: fix eol

2021-07-24 20:49  kichik

	* /NSIS/trunk/Docs/src/history.but: 3.07

2021-07-10 20:19  anders_k

	* /NSIS/trunk/.github/workflows/build.yml,
	  /web-scripts/trunk/cppunit.rb: Fix GitHub actions brew cppunit

2021-07-10 18:23  anders_k

	* /NSIS/trunk/Contrib/Makensisw/lookup.cpp,
	  /NSIS/trunk/Contrib/Makensisw/resource.rc: Added Visual Studio
	  compatible accelerators

2021-07-08 21:25  anders_k

	* /NSIS/trunk/Docs/src/credits.but,
	  /NSIS/trunk/Docs/src/history.but,
	  /NSIS/trunk/Include/Memento.nsh: Overridable Memento storage
	  macros

2021-07-08 18:31  anders_k

	* /NSIS/trunk/Contrib/zip2exe/main.cpp: Ignore error message
	  inserts

2021-07-08 18:23  anders_k

	* /NSIS/trunk/Examples/NSISMenu.nsi: Chasing the dark mode dragon

2021-06-25 21:18  anders_k

	* /NSIS/trunk/Contrib/Language files/Albanian.nlf,
	  /NSIS/trunk/Contrib/Language files/Albanian.nsh,
	  /NSIS/trunk/Docs/src/history.but: Updated Albanian (Patch #303)

2021-06-25 21:07  anders_k

	* /NSIS/trunk/Contrib/Makensisw/lookup.cpp,
	  /NSIS/trunk/Source/Platform.h: Fix old MinGW

2021-06-25 20:44  anders_k

	* /NSIS/trunk/Contrib/Modern UI 2/Interface.nsh,
	  /NSIS/trunk/Contrib/Modern UI 2/Pages/Finish.nsh,
	  /NSIS/trunk/Contrib/Modern UI 2/Pages/Welcome.nsh,
	  /NSIS/trunk/Contrib/Modern UI/System.nsh,
	  /NSIS/trunk/Source/BinInterop.cpp,
	  /NSIS/trunk/Source/BinInterop.h, /NSIS/trunk/Source/build.cpp,
	  /NSIS/trunk/Source/build.h, /NSIS/trunk/Source/utf.cpp,
	  /NSIS/trunk/Source/utf.h, /NSIS/trunk/Source/util.cpp: Warn if a
	  unsupported bitmap format is used (Bug #681 & FR #559)

2021-06-15 16:56  anders_k

	* /NSIS/trunk/Docs/src/basic.but: Added REBOOTOK volume warning

2021-06-09 22:04  anders_k

	* /NSIS/trunk/Include/FileFunc.nsh: Limit output to NSIS_MAX_STRLEN

2021-06-09 20:33  anders_k

	* /NSIS/trunk/Docs/src/history.but,
	  /NSIS/trunk/Include/FileFunc.nsh: Fixed ${GetTime} hour padding
	  (bug #980)

2021-06-07 21:33  anders_k

	* /NSIS/trunk/Include/Win/COM.nsh: Added IApplicationDestinations
	  and ICustomDestinationList

2021-06-03 18:10  anders_k

	* /NSIS/trunk/Include/WinVer.nsh: Win10 21H1

2021-05-11 19:14  anders_k

	* /NSIS/trunk/Source/script.cpp: Abort if adding plug-in to
	  installer fails (Bug #1264, part 2)

2021-05-03 22:23  anders_k

	* /NSIS/trunk/Docs/src/history.but,
	  /NSIS/trunk/Include/StrFunc.nsh: Fixed StrClb Unicode bug (patch
	  302)

2021-05-03 21:56  anders_k

	* /NSIS/trunk/Include/StrFunc.nsh: Use the correct "Un" mode even
	  if it is unused

2021-05-02 14:29  anders_k

	* /NSIS/trunk/Docs/src/history.but, /NSIS/trunk/Source/Plugins.cpp:
	  Fixed !addplugindir relative path bug (Bug #1264)

2021-02-16 15:57  anders_k

	* /NSIS/trunk/Contrib/MultiUser/MultiUser.nsh,
	  /NSIS/trunk/Contrib/MultiUser/Readme.html: Call
	  MULTIUSER_INIT_QUIT if command line is incompatible (Bug #1253)

2021-02-16 14:19  anders_k

	* /NSIS/trunk/Examples/makensis.nsi: Don't create desktop shortcut

2021-02-16 13:47  anders_k

	* /NSIS/trunk/Examples/install-per-user.nsi,
	  /NSIS/trunk/Examples/install-shared.nsi: Handle app running

2021-02-15 13:52  anders_k

	* /NSIS/trunk/Docs/src/usefulinfos.but,
	  /NSIS/trunk/Examples/install-per-user.nsi,
	  /NSIS/trunk/Examples/install-shared.nsi,
	  /NSIS/trunk/Examples/makensis.nsi: Added QuietUninstallString

2021-01-29 05:29  kichik

	* /NSIS/trunk/.github/workflows/build.yml: no more htmlhelp.exe
	  from microsoft

2021-01-29 00:20  anders_k

	* /NSIS/trunk/Contrib/UIs/modern.rc,
	  /NSIS/trunk/Docs/src/history.but: Fixed clipped Chinese text (Bug
	  #1261)

2021-01-27 02:27  anders_k

	* /NSIS/trunk/Docs/src/compiler.but,
	  /NSIS/trunk/Include/StrFunc.nsh: Try to warn the user if they
	  forgot to declare the function

2021-01-27 01:34  anders_k

	* /NSIS/trunk/Include/StrFunc.nsh: Using:StrFunc must be a nop in
	  the artificial function mode

2021-01-23 17:06  anders_k

	* /NSIS/trunk/Examples/NSISMenu.nsi, /nsisweb/trunk/r/.htaccess:
	  Switch from Slack to Discord

2021-01-19 03:31  anders_k

	* /NSIS/trunk/Contrib/Makensisw/lookup.cpp,
	  /NSIS/trunk/Contrib/Makensisw/makensisw.h,
	  /NSIS/trunk/Contrib/Makensisw/resource.rc,
	  /NSIS/trunk/Contrib/Makensisw/wndspy.cpp: Lookup can parse hex
	  numbers

2021-01-17 21:59  anders_k

	* /NSIS/trunk/Contrib/Makensisw/lookup.cpp,
	  /NSIS/trunk/Contrib/Makensisw/resource.rc: Added FormatMessage
	  lookup

2021-01-17 20:57  anders_k

	* /NSIS/trunk/Contrib/Makensisw/lookup.cpp,
	  /NSIS/trunk/Contrib/Makensisw/makensisw.cpp,
	  /NSIS/trunk/Contrib/Makensisw/makensisw.h,
	  /NSIS/trunk/Contrib/Makensisw/Readme.txt,
	  /NSIS/trunk/Contrib/Makensisw/resource.h,
	  /NSIS/trunk/Contrib/Makensisw/resource.rc,
	  /NSIS/trunk/Contrib/Makensisw/SConscript,
	  /NSIS/trunk/Contrib/Makensisw/utils.cpp,
	  /NSIS/trunk/Contrib/Makensisw/utils.h,
	  /NSIS/trunk/Contrib/Makensisw/wndspy.cpp: Added string lookup
	  tool

2021-01-16 18:42  anders_k

	* /NSIS/trunk/Contrib/nsDialogs/nsDialogs.nsh,
	  /NSIS/trunk/Contrib/nsDialogs/Readme.html: Added FirstRadioButton
	  and AdditionalRadioButton controls for better GROUP and TABSTOP
	  handling

2021-01-15 16:51  kichik

	* /NSIS/trunk/.github/workflows/build.yml: don't run nightly on
	  branches

2021-01-15 16:31  kichik

	* /NSIS/trunk/SConstruct: Honour SOURCE_DATE_EPOCH for VERSION
	  default (GitHub PR #13)

2021-01-15 16:27  anders_k

	* /NSIS/trunk/Docs/src/misc.but: Added negative errorlevels warning

2021-01-15 16:21  anders_k

	* /NSIS/trunk/Include/Win/WinError.nsh: Added more error codes

2021-01-01 20:27  anders_k

	* /NSIS/trunk/Contrib/ExDLL/nsis_tchar.h,
	  /NSIS/trunk/Contrib/InstallOptions/Readme.html,
	  /NSIS/trunk/Contrib/Makensisw/wndspy.cpp,
	  /NSIS/trunk/Contrib/Modern UI 2/License.txt,
	  /NSIS/trunk/Contrib/Modern UI 2/MUI2.nsh,
	  /NSIS/trunk/Contrib/Modern UI 2/Readme.html,
	  /NSIS/trunk/Contrib/Modern UI/License.txt,
	  /NSIS/trunk/Contrib/Modern UI/Readme.html,
	  /NSIS/trunk/Contrib/Modern UI/System.nsh,
	  /NSIS/trunk/Contrib/MultiUser/MultiUser.nsh,
	  /NSIS/trunk/Contrib/nsExec/nsexec.c,
	  /NSIS/trunk/Contrib/SubStart/substart.c,
	  /NSIS/trunk/Contrib/System/Source/Call.S,
	  /NSIS/trunk/Contrib/System/Source/Call-amd64.S,
	  /NSIS/trunk/Contrib/System/System.html, /NSIS/trunk/COPYING,
	  /NSIS/trunk/Docs/src/config.but,
	  /NSIS/trunk/Include/LangFile.nsh,
	  /NSIS/trunk/Include/VB6RunTime.nsh,
	  /NSIS/trunk/Source/7zip/7zGuids.cpp,
	  /NSIS/trunk/Source/7zip/7zip/Common/InBuffer.cpp,
	  /NSIS/trunk/Source/7zip/7zip/Common/InBuffer.h,
	  /NSIS/trunk/Source/7zip/7zip/Common/OutBuffer.cpp,
	  /NSIS/trunk/Source/7zip/7zip/Common/OutBuffer.h,
	  /NSIS/trunk/Source/7zip/7zip/Common/StreamUtils.cpp,
	  /NSIS/trunk/Source/7zip/7zip/Common/StreamUtils.h,
	  /NSIS/trunk/Source/7zip/7zip/Compress/LZ/BinTree/BinTree.h,
	  /NSIS/trunk/Source/7zip/7zip/Compress/LZ/BinTree/BinTree2.h,
	  /NSIS/trunk/Source/7zip/7zip/Compress/LZ/BinTree/BinTree3.h,
	  /NSIS/trunk/Source/7zip/7zip/Compress/LZ/BinTree/BinTree3Z.h,
	  /NSIS/trunk/Source/7zip/7zip/Compress/LZ/BinTree/BinTree3ZMain.h,
	  /NSIS/trunk/Source/7zip/7zip/Compress/LZ/BinTree/BinTree4.h,
	  /NSIS/trunk/Source/7zip/7zip/Compress/LZ/BinTree/BinTree4b.h,
	  /NSIS/trunk/Source/7zip/7zip/Compress/LZ/BinTree/BinTreeMain.h,
	  /NSIS/trunk/Source/7zip/7zip/Compress/LZ/BinTree/BinTreeMF.h,
	  /NSIS/trunk/Source/7zip/7zip/Compress/LZ/BinTree/BinTreeMFMain.h,
	  /NSIS/trunk/Source/7zip/7zip/Compress/LZ/IMatchFinder.h,
	  /NSIS/trunk/Source/7zip/7zip/Compress/LZ/LZInWindow.cpp,
	  /NSIS/trunk/Source/7zip/7zip/Compress/LZ/LZInWindow.h,
	  /NSIS/trunk/Source/7zip/7zip/Compress/LZ/LZOutWindow.cpp,
	  /NSIS/trunk/Source/7zip/7zip/Compress/LZ/LZOutWindow.h,
	  /NSIS/trunk/Source/7zip/7zip/Compress/LZMA/LZMA.h,
	  /NSIS/trunk/Source/7zip/7zip/Compress/LZMA/LZMAEncoder.cpp,
	  /NSIS/trunk/Source/7zip/7zip/Compress/LZMA/LZMAEncoder.h,
	  /NSIS/trunk/Source/7zip/7zip/Compress/RangeCoder/RangeCoder.h,
	  /NSIS/trunk/Source/7zip/7zip/Compress/RangeCoder/RangeCoderBit.cpp,
	  /NSIS/trunk/Source/7zip/7zip/Compress/RangeCoder/RangeCoderBit.h,
	  /NSIS/trunk/Source/7zip/7zip/Compress/RangeCoder/RangeCoderBitTree.h,
	  /NSIS/trunk/Source/7zip/7zip/Compress/RangeCoder/RangeCoderOpt.h,
	  /NSIS/trunk/Source/7zip/7zip/ICoder.h,
	  /NSIS/trunk/Source/7zip/7zip/IStream.h,
	  /NSIS/trunk/Source/7zip/Common/Alloc.cpp,
	  /NSIS/trunk/Source/7zip/Common/Alloc.h,
	  /NSIS/trunk/Source/7zip/Common/CRC.cpp,
	  /NSIS/trunk/Source/7zip/Common/CRC.h,
	  /NSIS/trunk/Source/7zip/Common/Defs.h,
	  /NSIS/trunk/Source/7zip/Common/MyCom.h,
	  /NSIS/trunk/Source/7zip/Common/MyGuidDef.h,
	  /NSIS/trunk/Source/7zip/Common/MyUnknown.h,
	  /NSIS/trunk/Source/7zip/Common/MyWindows.h,
	  /NSIS/trunk/Source/7zip/Common/StdAfx.h,
	  /NSIS/trunk/Source/7zip/Common/Types.h,
	  /NSIS/trunk/Source/7zip/LZMADecode.c,
	  /NSIS/trunk/Source/7zip/LZMADecode.h,
	  /NSIS/trunk/Source/afxres.h, /NSIS/trunk/Source/BinInterop.cpp,
	  /NSIS/trunk/Source/BinInterop.h, /NSIS/trunk/Source/build.cpp,
	  /NSIS/trunk/Source/build.h, /NSIS/trunk/Source/bzip2/blocksort.c,
	  /NSIS/trunk/Source/bzip2/bzlib.c,
	  /NSIS/trunk/Source/bzip2/bzlib.h,
	  /NSIS/trunk/Source/bzip2/compress.c,
	  /NSIS/trunk/Source/bzip2/decompress.c,
	  /NSIS/trunk/Source/bzip2/huffman.c, /NSIS/trunk/Source/cbzip2.h,
	  /NSIS/trunk/Source/clzma.cpp, /NSIS/trunk/Source/clzma.h,
	  /NSIS/trunk/Source/compressor.h, /NSIS/trunk/Source/crc32.c,
	  /NSIS/trunk/Source/crc32.h, /NSIS/trunk/Source/czlib.h,
	  /NSIS/trunk/Source/DialogTemplate.cpp,
	  /NSIS/trunk/Source/DialogTemplate.h,
	  /NSIS/trunk/Source/dirreader.cpp, /NSIS/trunk/Source/dirreader.h,
	  /NSIS/trunk/Source/exehead/afxres.h,
	  /NSIS/trunk/Source/exehead/api.h,
	  /NSIS/trunk/Source/exehead/bgbg.c,
	  /NSIS/trunk/Source/exehead/components.c,
	  /NSIS/trunk/Source/exehead/components.h,
	  /NSIS/trunk/Source/exehead/config.h,
	  /NSIS/trunk/Source/exehead/exec.c,
	  /NSIS/trunk/Source/exehead/exec.h,
	  /NSIS/trunk/Source/exehead/fileform.c,
	  /NSIS/trunk/Source/exehead/fileform.h,
	  /NSIS/trunk/Source/exehead/lang.h,
	  /NSIS/trunk/Source/exehead/Main.c,
	  /NSIS/trunk/Source/exehead/plugin.c,
	  /NSIS/trunk/Source/exehead/plugin.h,
	  /NSIS/trunk/Source/exehead/state.h,
	  /NSIS/trunk/Source/exehead/Ui.c, /NSIS/trunk/Source/exehead/ui.h,
	  /NSIS/trunk/Source/exehead/util.c,
	  /NSIS/trunk/Source/exehead/util.h,
	  /NSIS/trunk/Source/fileform.cpp, /NSIS/trunk/Source/fileform.h,
	  /NSIS/trunk/Source/growbuf.cpp, /NSIS/trunk/Source/growbuf.h,
	  /NSIS/trunk/Source/icon.cpp, /NSIS/trunk/Source/icon.h,
	  /NSIS/trunk/Source/lang.cpp, /NSIS/trunk/Source/lang.h,
	  /NSIS/trunk/Source/lineparse.cpp, /NSIS/trunk/Source/lineparse.h,
	  /NSIS/trunk/Source/makenssi.cpp, /NSIS/trunk/Source/manifest.cpp,
	  /NSIS/trunk/Source/manifest.h, /NSIS/trunk/Source/mmap.cpp,
	  /NSIS/trunk/Source/mmap.h, /NSIS/trunk/Source/Platform.h,
	  /NSIS/trunk/Source/Plugins.cpp, /NSIS/trunk/Source/Plugins.h,
	  /NSIS/trunk/Source/ResourceEditor.cpp,
	  /NSIS/trunk/Source/ResourceEditor.h,
	  /NSIS/trunk/Source/ResourceVersionInfo.cpp,
	  /NSIS/trunk/Source/ResourceVersionInfo.h,
	  /NSIS/trunk/Source/script.cpp, /NSIS/trunk/Source/scriptpp.cpp,
	  /NSIS/trunk/Source/ShConstants.cpp,
	  /NSIS/trunk/Source/ShConstants.h, /NSIS/trunk/Source/strlist.cpp,
	  /NSIS/trunk/Source/strlist.h, /NSIS/trunk/Source/tchar.h,
	  /NSIS/trunk/Source/tokens.cpp, /NSIS/trunk/Source/tokens.h,
	  /NSIS/trunk/Source/tstring.cpp, /NSIS/trunk/Source/tstring.h,
	  /NSIS/trunk/Source/uservars.h, /NSIS/trunk/Source/utf.cpp,
	  /NSIS/trunk/Source/utf.h, /NSIS/trunk/Source/util.cpp,
	  /NSIS/trunk/Source/util.h,
	  /NSIS/trunk/Source/validateunicode.cpp,
	  /NSIS/trunk/Source/validateunicode.h,
	  /NSIS/trunk/Source/winchar.cpp, /NSIS/trunk/Source/winchar.h,
	  /NSIS/trunk/Source/writer.cpp, /NSIS/trunk/Source/writer.h,
	  /NSIS/trunk/Source/zlib/INFBLOCK.C,
	  /NSIS/trunk/Source/zlib/ZCONF.H, /NSIS/trunk/Source/zlib/ZLIB.H,
	  /NSIS/trunk/Source/zlib/ZUTIL.H: (C) 2021

2021-01-01 20:10  anders_k

	* /NSIS/trunk/Contrib/Makensisw/makensisw.cpp,
	  /NSIS/trunk/Contrib/Makensisw/makensisw.h,
	  /NSIS/trunk/Contrib/Makensisw/Readme.txt,
	  /NSIS/trunk/Contrib/Makensisw/SConscript,
	  /NSIS/trunk/Contrib/Makensisw/utils.cpp,
	  /NSIS/trunk/Contrib/Makensisw/utils.h,
	  /NSIS/trunk/Source/Platform.h: Use Consolas font if it exists,
	  special Japanese font if required

2020-12-30 15:44  anders_k

	* /NSIS/trunk/Source/script.cpp: Fixed ExecShell command
	  detailprint when the verb is empty

2020-12-30 01:11  anders_k

	* /NSIS/trunk/Docs/src/generalpurpose.but,
	  /NSIS/trunk/Source/Platform.h, /NSIS/trunk/Source/script.cpp:
	  NOTINDEXED file attribute ability

2020-12-29 20:25  anders_k

	* /NSIS/trunk/Include/WinVer.nsh: Added 20H2 detection

2020-11-03 00:17  kichik

	* /NSIS/trunk/.github/workflows/build.yml: missed a few changes

2020-11-02 23:58  kichik

	* /NSIS/trunk/.github/workflows/build.yml,
	  /NSIS/trunk/Docs/src/config_web.but,
	  /NSIS/trunk/Docs/src/SConscript, /NSIS/trunk/Docs/unreleased.png,
	  /NSIS/trunk/SConstruct: avoid (extremely buggy) sf shell

2020-11-02 22:51  anders_k

	* /NSIS/trunk/Docs/src/basic.but,
	  /NSIS/trunk/Docs/src/usefulinfos.but,
	  /NSIS/trunk/Source/tokens.cpp: Minor doc update

2020-10-25 00:42  anders_k

	* /NSIS/trunk/Contrib/MakeLangId/MakeLangId.cpp: Added special
	  locales

2020-10-13 23:56  kichik

	* /NSIS/trunk/Docs/src/compilerflags.but: Unicode true is the
	  default

2020-10-13 23:23  kichik

	* /NSIS/trunk/.github/workflows/build.yml: zip doesn't like
	  wildcards

2020-10-13 23:00  kichik

	* /NSIS/trunk/Docs/src/history.but: mroe

2020-10-13 22:48  kichik

	* /NSIS/trunk/Docs/src/history.but: typo

2020-10-13 22:46  kichik

	* /NSIS/trunk/.github/workflows/build.yml: last one?!

2020-10-13 22:24  kichik

	* /NSIS/trunk/.github/workflows/build.yml: fix scp host

2020-10-13 21:10  kichik

	* /NSIS/trunk/.github/workflows/build.yml: sf is very picky

2020-10-13 20:49  kichik

	* /NSIS/trunk/.github/workflows/build.yml: try scp instead

2020-10-13 20:14  kichik

	* /NSIS/trunk/.github/workflows/build.yml: try a different method

2020-10-13 19:08  kichik

	* /NSIS/trunk/.github/workflows/build.yml: wait for upload

2020-10-13 18:52  kichik

	* /NSIS/trunk/.github/workflows/build.yml: binary zip and html docs

2020-10-13 17:38  kichik

	* /NSIS/trunk/.github, /NSIS/trunk/.github/workflows,
	  /NSIS/trunk/.github/workflows/build.yml, /NSIS/trunk/.travis.yml,
	  /NSIS/trunk/README.md: switch to github actions

2020-10-08 00:25  anders_k

	* /NSIS/trunk/Docs/src/history.but, /NSIS/trunk/Source/strlist.cpp:
	  Fixed Unicode compiler crash (bug #1254, patch #300)

2020-08-29 19:30  anders_k

	* /NSIS/trunk/SConstruct: Never test AppGen.nsi

2020-08-29 17:20  anders_k

	* /NSIS/trunk/Examples/AppGen.nsi,
	  /NSIS/trunk/Examples/install-per-user.nsi,
	  /NSIS/trunk/Examples/install-shared.nsi,
	  /NSIS/trunk/Examples/makensis.nsi,
	  /NSIS/trunk/Examples/SConscript: Generate simple application in
	  examples (bug #1252)

2020-08-22 16:24  anders_k

	* /NSIS/trunk/Contrib/nsExec/nsexec.c,
	  /NSIS/trunk/Contrib/nsExec/nsExec.txt,
	  /NSIS/trunk/Docs/src/history.but: Added nsExec /MBCS switch

2020-08-16 16:19  anders_k

	* /NSIS/trunk/Contrib/Makensisw/makensisw.cpp,
	  /NSIS/trunk/Contrib/Makensisw/utils.h,
	  /NSIS/trunk/Contrib/Makensisw/wndspy.cpp: Destroy the header font

2020-08-16 15:50  anders_k

	* /NSIS/trunk/Contrib/Language files/Japanese.nlf,
	  /NSIS/trunk/Contrib/Language files/Japanese.nsh,
	  /NSIS/trunk/Docs/src/history.but: Updated Japanese

2020-08-16 15:37  anders_k

	* /NSIS/trunk/Contrib/Language files/Corsican.nlf,
	  /NSIS/trunk/Contrib/Language files/Corsican.nsh,
	  /NSIS/trunk/Docs/src/history.but: Updated Corsican (Forum)

2020-08-13 00:49  anders_k

	* /NSIS/trunk/Source/build.h: Fix the .h as well

2020-08-12 23:32  anders_k

	* /NSIS/trunk/Source/build.cpp: Fix 64-bit warnings

2020-08-12 23:27  anders_k

	* /NSIS/trunk/SCons/utils.py: Another Python fix

2020-08-11 23:14  anders_k

	* /NSIS/trunk/SConstruct: Python equality vs identity fix

2020-08-11 22:52  anders_k

	* /NSIS/trunk/Source/makenssi.cpp: Postpone leak check so that
	  global destructors can run first

2020-08-10 22:26  anders_k

	* /NSIS/trunk/Docs/src/history.but, /NSIS/trunk/Source/build.cpp:
	  Unicode is the now default for i386

2020-08-09 21:07  anders_k

	* /NSIS/trunk/Examples/NSISMenu.nsi: Draw the header icon
	  background correctly

2020-08-01 23:20  anders_k

	* /NSIS/trunk/Contrib/Makensisw/makensisw.cpp,
	  /NSIS/trunk/Contrib/Makensisw/makensisw.h: Win2000 has a very
	  limited HTML parser, only plain A tags

2020-08-01 02:28  kichik

	* /NSIS/tags/v3061: Tagging for release 3.06.1

2020-08-01 02:24  kichik

	* /NSIS/trunk/Menu/images/header.gif: 3.06.1

2020-08-01 02:09  kichik

	* /NSIS/trunk/Docs/src/history.but: update history

2020-08-01 01:40  anders_k

	* /NSIS/trunk/Docs/src/history.but,
	  /NSIS/trunk/Source/exehead/exec.c, /NSIS/trunk/Source/script.cpp:
	  Fixed SetBrandingImage crash

2020-08-01 00:29  anders_k

	* /NSIS/trunk/Source/manifest.cpp: Fix GCC TtoC conversion

2020-08-01 00:25  kichik

	* /NSIS/trunk/.travis.yml: don't ignore errors

2020-07-31 23:11  kichik

	* /NSIS/tags/v306: Tagging for release 3.06

2020-07-31 23:08  kichik

	* /NSIS/trunk/Menu/images/header.gif: 3.06

2020-07-31 22:53  kichik

	* /NSIS/trunk/Include/Integration.nsh: fix eol

2020-07-31 22:40  kichik

	* /NSIS/trunk/Examples/install-per-user.nsi,
	  /NSIS/trunk/Examples/install-shared.nsi: fix eol

2020-07-31 21:38  kichik

	* /NSIS/trunk/Source/build.cpp, /NSIS/trunk/Source/manifest.cpp:
	  vc6 build fixes

2020-07-31 21:06  anders_k

	* /NSIS/trunk/Source/build.cpp: Help VC6 find the type

2020-07-31 20:07  kichik

	* /NSIS/trunk/Contrib/InstallOptions/testlink.ini,
	  /NSIS/trunk/Contrib/Makensisw/makensisw.h,
	  /NSIS/trunk/Contrib/System/System.html,
	  /NSIS/trunk/Docs/src/basic.but, /NSIS/trunk/Docs/src/build.but,
	  /NSIS/trunk/Docs/src/config.but,
	  /NSIS/trunk/Docs/src/headers.but,
	  /NSIS/trunk/Docs/src/history.but, /NSIS/trunk/Docs/src/intro.but,
	  /NSIS/trunk/Docs/src/library.but,
	  /NSIS/trunk/Docs/src/tutorial.but,
	  /NSIS/trunk/Docs/src/usefulfunc.but,
	  /NSIS/trunk/Docs/src/var.but, /NSIS/trunk/Examples/makensis.nsi,
	  /NSIS/trunk/Examples/NSISMenu.nsi,
	  /NSIS/trunk/Include/Sections.nsh,
	  /NSIS/trunk/Include/VB6RunTime.nsh, /NSIS/trunk/Menu/index.html,
	  /NSIS/trunk/README.md, /NSIS/trunk/Scripts/release.py: use https

2020-07-31 19:52  kichik

	* /NSIS/trunk/Docs/src/history.but: update for release

2020-07-25 20:13  anders_k

	* /NSIS/trunk/Docs/src/history.but,
	  /NSIS/trunk/Source/manifest.cpp, /NSIS/trunk/Source/manifest.h,
	  /NSIS/trunk/Source/script.cpp, /NSIS/trunk/Source/tokens.cpp,
	  /NSIS/trunk/Source/tokens.h: Added experimental
	  ManifestAppendCustomString

2020-07-18 23:18  anders_k

	* /NSIS/trunk/Source/icon.cpp: Fix unaligned memory access (bug
	  #290)

2020-06-29 23:08  anders_k

	* /NSIS/trunk/Contrib/ExDLL/exdll.dsp,
	  /NSIS/trunk/Contrib/Library/RegTool/SConscript,
	  /NSIS/trunk/Contrib/Makensisw/SConscript,
	  /NSIS/trunk/Contrib/nsExec/SConscript,
	  /NSIS/trunk/Contrib/NSISdl/SConscript,
	  /NSIS/trunk/Contrib/UserInfo/SConscript,
	  /NSIS/trunk/Contrib/UserInfo/UserInfo.c,
	  /NSIS/trunk/Contrib/zip2exe/SConscript,
	  /NSIS/trunk/Source/exehead/SConscript: Try to work around the
	  mingw-w64 kernel32:OpenThreadToken library issue

2020-06-28 22:02  anders_k

	* /NSIS/trunk/Source/exehead/util.h: Don't perform workaround on
	  98/ME

2020-06-28 21:55  anders_k

	* /NSIS/trunk/Source/exehead/Ui.c,
	  /NSIS/trunk/Source/exehead/util.h: Only perform component list
	  redraw hack on 95/NT4 to avoid flicker

2020-06-27 23:18  anders_k

	* /NSIS/trunk/Docs/src/history.but, /NSIS/trunk/SCons/Config/gnu:
	  Don't let GCC 10 generate memmove calls (bug #1248)

2020-06-26 22:52  anders_k

	* /NSIS/trunk/Docs/src/history.but, /NSIS/trunk/SCons/Config/gnu,
	  /NSIS/trunk/SCons/Tools/mstoolkit.py, /NSIS/trunk/SCons/utils.py,
	  /NSIS/trunk/SConstruct, /NSIS/trunk/Source/build.cpp: Primitive
	  SOURCE_DATE_EPOCH support for reproducible builds (patches 294)

2020-06-07 21:05  anders_k

	* /NSIS/trunk/Contrib/Language files/SimpChinese.nlf,
	  /NSIS/trunk/Contrib/Language files/SimpChinese.nsh,
	  /NSIS/trunk/Docs/src/credits.but,
	  /NSIS/trunk/Docs/src/history.but: Improved Simplified Chinese
	  translation (Patch 297)

2020-06-06 14:14  anders_k

	* /NSIS/trunk/Examples/NSISMenu.nsi, /NSIS/trunk/SConstruct: Try
	  harder to generate a usable version string

2020-06-06 13:17  anders_k

	* /NSIS/trunk/Source/lineparse.cpp: Avoid GCC maybe-uninitialized
	  warning

2020-05-23 19:28  anders_k

	* /NSIS/trunk/Source/tokens.cpp: Make all preprocessor instructions
	  lower case (patch 287)

2020-05-21 00:44  anders_k

	* /NSIS/trunk/Docs/src/history.but,
	  /NSIS/trunk/Examples/install-per-user.nsi,
	  /NSIS/trunk/Examples/install-shared.nsi,
	  /NSIS/trunk/Examples/makensis.nsi,
	  /NSIS/trunk/Include/Integration.nsh,
	  /NSIS/trunk/Include/SConscript: Added UnpinShortcut and
	  NotifyShell_AssocChanged macros

2020-05-17 21:37  anders_k

	* /NSIS/trunk/Docs/src/bin/halibut/halibut.h: GCC -fno-common is
	  now the defaul in GCC 10 (xantares PR for RH/Fedora bug 1799650)

2020-05-17 21:21  anders_k

	* /NSIS/trunk/Include/WinVer.nsh: WinVer Win10 20H1 detection

2020-05-02 21:53  anders_k

	* /NSIS/trunk/Contrib/nsDialogs/nsDialogs.nsh,
	  /NSIS/trunk/Source/build.cpp, /NSIS/trunk/Source/build.h,
	  /NSIS/trunk/Source/lineparse.cpp, /NSIS/trunk/Source/lineparse.h,
	  /NSIS/trunk/Source/script.cpp,
	  /NSIS/trunk/Source/Tests/preprocessor.nsi,
	  /NSIS/trunk/Source/tokens.cpp: Added LineParser::gettoken_intx
	  with basic arithmetic expression handling for LoadAndSetImage,
	  SectionSetFlags and SectionSetInstTypes.

2020-05-01 13:15  anders_k

	* /NSIS/trunk/Contrib/nsDialogs/nsDialogs.nsh,
	  /NSIS/trunk/Docs/src/ui.but, /NSIS/trunk/Source/build.h,
	  /NSIS/trunk/Source/exehead/exec.c,
	  /NSIS/trunk/Source/exehead/fileform.h,
	  /NSIS/trunk/Source/script.cpp, /NSIS/trunk/Source/tokens.cpp:
	  LoadAndSetImage can return the image handle

2020-04-27 12:37  anders_k

	* /NSIS/trunk/Examples/install-shared.nsi: HKLM, not HKCU

2020-04-27 12:36  anders_k

	* /NSIS/trunk/Contrib/nsDialogs/nsDialogs.nsh,
	  /NSIS/trunk/Contrib/nsDialogs/Readme.html,
	  /NSIS/trunk/Docs/src/history.but: Added NSD NetAddress control
	  and Date macros

2020-04-23 18:31  anders_k

	* /NSIS/trunk/Contrib/Modern UI 2/Readme.html,
	  /NSIS/trunk/Contrib/nsDialogs/example.nsi,
	  /NSIS/trunk/Contrib/nsDialogs/nsDialogs.nsh,
	  /NSIS/trunk/Contrib/nsDialogs/Readme.html,
	  /NSIS/trunk/Include/WinMessages.nsh: Added DatePicker NSD control

2020-04-22 21:37  anders_k

	* /NSIS/trunk/Contrib/nsDialogs/browse.c: Make sure filter buffer
	  has room for the double terminator

2020-04-22 21:31  anders_k

	* /NSIS/trunk/Contrib/nsDialogs/Readme.html: Improved
	  nsDialogs::SelectFileDialog filter string format documentation

2020-04-22 21:14  anders_k

	* /NSIS/trunk/Contrib/nsDialogs/nsDialogs.nsh,
	  /NSIS/trunk/Docs/src/defines.but,
	  /NSIS/trunk/Docs/src/history.but,
	  /NSIS/trunk/Source/scriptpp.cpp,
	  /NSIS/trunk/Source/Tests/preprocessor.nsi,
	  /NSIS/trunk/Source/tokens.cpp: Added !define /intfmt

2020-04-21 19:02  anders_k

	* /NSIS/trunk/Docs/src/usefulinfos.but: DumpLog example function
	  should not return anything

2020-04-21 18:53  anders_k

	* /NSIS/trunk/Contrib/Makensisw/makensisw.cpp,
	  /NSIS/trunk/Contrib/Makensisw/makensisw.h,
	  /NSIS/trunk/Contrib/Makensisw/Readme.txt,
	  /NSIS/trunk/Contrib/Makensisw/resource.h,
	  /NSIS/trunk/Contrib/Makensisw/resource.rc,
	  /NSIS/trunk/Contrib/Makensisw/SConscript,
	  /NSIS/trunk/Contrib/Makensisw/utils.cpp: Added MakeNsisW GUID
	  generator command

2020-04-20 17:48  anders_k

	* /NSIS/trunk/SConstruct: Make sure NSIS_VERSION is not just "v"

2020-04-20 17:21  anders_k

	* /NSIS/trunk/Contrib/Makensisw/makensisw.cpp,
	  /NSIS/trunk/Contrib/Makensisw/makensisw.h,
	  /NSIS/trunk/Contrib/Makensisw/utils.h,
	  /NSIS/trunk/Source/build.cpp, /NSIS/trunk/Source/build.h,
	  /NSIS/trunk/Source/growbuf.h: Added API for compiler host to
	  choose a different output path on output error

2020-04-14 17:37  anders_k

	* /NSIS/trunk/Docs/src/history.but,
	  /NSIS/trunk/Docs/src/usefulfunc.but,
	  /NSIS/trunk/Docs/src/usefulinfos.but: Updated example functions
	  in the main documentation

2020-04-13 19:16  anders_k

	* /NSIS/trunk/Docs/src/registry.but,
	  /NSIS/trunk/Examples/example1.nsi,
	  /NSIS/trunk/Examples/example2.nsi,
	  /NSIS/trunk/Examples/install-per-user.nsi,
	  /NSIS/trunk/Examples/install-shared.nsi,
	  /NSIS/trunk/Source/exehead/fileform.h: Added a file association
	  example to install-per-user.nsi

2020-04-12 18:25  anders_k

	* /NSIS/trunk/Docs/src/history.but,
	  /NSIS/trunk/Docs/src/registry.but,
	  /NSIS/trunk/Source/exehead/exec.c,
	  /NSIS/trunk/Source/exehead/fileform.h,
	  /NSIS/trunk/Source/exehead/util.c,
	  /NSIS/trunk/Source/exehead/util.h, /NSIS/trunk/Source/script.cpp,
	  /NSIS/trunk/Source/tokens.cpp: DeleteRegKey /ifempty now also
	  checks for values

2020-04-06 18:04  anders_k

	* /NSIS/trunk/Docs/src/generalpurpose.but,
	  /NSIS/trunk/Docs/src/history.but,
	  /NSIS/trunk/Include/LogicLib.nsh, /NSIS/trunk/Include/x64.nsh:
	  Added RegKeyIsEmpty LogicLib operator

2020-03-29 20:08  anders_k

	* /NSIS/trunk/Contrib/Language files/German.nlf,
	  /NSIS/trunk/Contrib/Language files/German.nsh,
	  /NSIS/trunk/Docs/src/history.but: Updated German (SebStange PR)

2020-03-29 19:10  anders_k

	* /NSIS/trunk/Examples/makensis.nsi,
	  /NSIS/trunk/Examples/SConscript,
	  /NSIS/trunk/Examples/viewhtml.nsi: Removed viewhtml.nsi

2020-03-26 00:19  anders_k

	* /NSIS/trunk/Examples/makensis.nsi,
	  /NSIS/trunk/Examples/SConscript,
	  /NSIS/trunk/Examples/unicode.nsi,
	  /NSIS/trunk/Examples/UserVars.nsi: Updated unicode.nsi and
	  removed UserVars.nsi

2020-03-24 02:35  anders_k

	* /NSIS/trunk/Contrib/Graphics/SConscript,
	  /NSIS/trunk/Contrib/Modern UI 2/SConscript,
	  /NSIS/trunk/Contrib/Modern UI/SConscript,
	  /NSIS/trunk/Docs/src/history.but, /NSIS/trunk/SConstruct: Python
	  3 fixes (patch #296)

2020-03-24 02:01  anders_k

	* /NSIS/trunk/Contrib/Language files/English.nsh,
	  /NSIS/trunk/Contrib/MultiUser/MultiUser.nsh,
	  /NSIS/trunk/Contrib/MultiUser/Readme.html,
	  /NSIS/trunk/Docs/src/history.but: * Added
	  MULTIUSER_INSTALLMODEPAGE_SHOWUSERNAME
	  * Decoupled the page from MUI
	  * Try FOLDERID_UserProgramFiles

2020-03-18 21:27  anders_k

	* /NSIS/trunk/Contrib/Modern UI 2/Readme.html,
	  /NSIS/trunk/Contrib/Modern UI/Readme.html,
	  /NSIS/trunk/Contrib/MultiUser/MultiUser.nsh,
	  /NSIS/trunk/Contrib/MultiUser/Readme.html,
	  /NSIS/trunk/Docs/src/basic.but: Fixed
	  MULTIUSER_INSTALLMODE_FUNCTION and minor typos

2020-03-18 01:01  anders_k

	* /NSIS/trunk/Docs/src/var.but,
	  /NSIS/trunk/Examples/install-per-user.nsi,
	  /NSIS/trunk/Examples/install-shared.nsi,
	  /NSIS/trunk/Examples/makensis.nsi,
	  /NSIS/trunk/Examples/SConscript: Added the install-shared.nsi
	  example

2020-03-17 19:02  anders_k

	* /NSIS/trunk/Docs/src/generalpurpose.but,
	  /NSIS/trunk/Examples/install-per-user.nsi,
	  /NSIS/trunk/Examples/makensis.nsi,
	  /NSIS/trunk/Examples/SConscript: Added install-per-user.nsi
	  example

2020-03-12 23:43  anders_k

	* /NSIS/trunk/Docs/src/generalpurpose.but,
	  /NSIS/trunk/Docs/src/history.but,
	  /NSIS/trunk/Include/WinCore.nsh,
	  /NSIS/trunk/Source/exehead/exec.c,
	  /NSIS/trunk/Source/exehead/fileform.h,
	  /NSIS/trunk/Source/exehead/util.c,
	  /NSIS/trunk/Source/exehead/util.h, /NSIS/trunk/Source/script.cpp,
	  /NSIS/trunk/Source/tokens.cpp, /NSIS/trunk/Source/tokens.h: Added
	  GetKnownFolderPath

2020-03-10 18:16  anders_k

	* /NSIS/trunk/Docs/src/flowcontrol.but,
	  /NSIS/trunk/Docs/src/history.but,
	  /NSIS/trunk/Docs/src/registry.but,
	  /NSIS/trunk/Include/LogicLib.nsh,
	  /NSIS/trunk/Source/exehead/api.h, /NSIS/trunk/Source/script.cpp,
	  /NSIS/trunk/Source/tokens.cpp, /NSIS/trunk/Source/tokens.h: Added
	  IfRtlLanguage and GetRegView

2020-03-10 01:44  anders_k

	* /NSIS/trunk/Docs/src/flowcontrol.but,
	  /NSIS/trunk/Docs/src/history.but,
	  /NSIS/trunk/Include/LogicLib.nsh, /NSIS/trunk/Source/build.h,
	  /NSIS/trunk/Source/script.cpp, /NSIS/trunk/Source/tokens.cpp,
	  /NSIS/trunk/Source/tokens.h: Added IfShellVarContextAll and
	  refactored flag instructions generation

2020-03-05 00:07  kichik

	* /NSIS/trunk/.travis.yml: fix deploy

2020-03-03 19:57  kichik

	* /NSIS/trunk/Contrib/SubStart/SConscript: fix #1242 - don't
	  install substart on linux

2020-01-02 21:36  anders_k

	* /NSIS/trunk/.travis.yml: Update travis deploy script

2020-01-01 21:13  anders_k

	* /NSIS/trunk/Contrib/ExDLL/nsis_tchar.h,
	  /NSIS/trunk/Contrib/InstallOptions/Readme.html,
	  /NSIS/trunk/Contrib/Makensisw/wndspy.cpp,
	  /NSIS/trunk/Contrib/Modern UI 2/License.txt,
	  /NSIS/trunk/Contrib/Modern UI 2/MUI2.nsh,
	  /NSIS/trunk/Contrib/Modern UI 2/Readme.html,
	  /NSIS/trunk/Contrib/Modern UI/License.txt,
	  /NSIS/trunk/Contrib/Modern UI/Readme.html,
	  /NSIS/trunk/Contrib/Modern UI/System.nsh,
	  /NSIS/trunk/Contrib/MultiUser/MultiUser.nsh,
	  /NSIS/trunk/Contrib/nsExec/nsexec.c,
	  /NSIS/trunk/Contrib/SubStart/substart.c,
	  /NSIS/trunk/Contrib/System/Source/Call.S,
	  /NSIS/trunk/Contrib/System/Source/Call-amd64.S,
	  /NSIS/trunk/Contrib/System/System.html, /NSIS/trunk/COPYING,
	  /NSIS/trunk/Docs/src/config.but,
	  /NSIS/trunk/Include/LangFile.nsh,
	  /NSIS/trunk/Include/VB6RunTime.nsh,
	  /NSIS/trunk/Source/7zip/7zGuids.cpp,
	  /NSIS/trunk/Source/7zip/7zip/Common/InBuffer.cpp,
	  /NSIS/trunk/Source/7zip/7zip/Common/InBuffer.h,
	  /NSIS/trunk/Source/7zip/7zip/Common/OutBuffer.cpp,
	  /NSIS/trunk/Source/7zip/7zip/Common/OutBuffer.h,
	  /NSIS/trunk/Source/7zip/7zip/Common/StreamUtils.cpp,
	  /NSIS/trunk/Source/7zip/7zip/Common/StreamUtils.h,
	  /NSIS/trunk/Source/7zip/7zip/Compress/LZ/BinTree/BinTree.h,
	  /NSIS/trunk/Source/7zip/7zip/Compress/LZ/BinTree/BinTree2.h,
	  /NSIS/trunk/Source/7zip/7zip/Compress/LZ/BinTree/BinTree3.h,
	  /NSIS/trunk/Source/7zip/7zip/Compress/LZ/BinTree/BinTree3Z.h,
	  /NSIS/trunk/Source/7zip/7zip/Compress/LZ/BinTree/BinTree3ZMain.h,
	  /NSIS/trunk/Source/7zip/7zip/Compress/LZ/BinTree/BinTree4.h,
	  /NSIS/trunk/Source/7zip/7zip/Compress/LZ/BinTree/BinTree4b.h,
	  /NSIS/trunk/Source/7zip/7zip/Compress/LZ/BinTree/BinTreeMain.h,
	  /NSIS/trunk/Source/7zip/7zip/Compress/LZ/BinTree/BinTreeMF.h,
	  /NSIS/trunk/Source/7zip/7zip/Compress/LZ/BinTree/BinTreeMFMain.h,
	  /NSIS/trunk/Source/7zip/7zip/Compress/LZ/IMatchFinder.h,
	  /NSIS/trunk/Source/7zip/7zip/Compress/LZ/LZInWindow.cpp,
	  /NSIS/trunk/Source/7zip/7zip/Compress/LZ/LZInWindow.h,
	  /NSIS/trunk/Source/7zip/7zip/Compress/LZ/LZOutWindow.cpp,
	  /NSIS/trunk/Source/7zip/7zip/Compress/LZ/LZOutWindow.h,
	  /NSIS/trunk/Source/7zip/7zip/Compress/LZMA/LZMA.h,
	  /NSIS/trunk/Source/7zip/7zip/Compress/LZMA/LZMAEncoder.cpp,
	  /NSIS/trunk/Source/7zip/7zip/Compress/LZMA/LZMAEncoder.h,
	  /NSIS/trunk/Source/7zip/7zip/Compress/RangeCoder/RangeCoder.h,
	  /NSIS/trunk/Source/7zip/7zip/Compress/RangeCoder/RangeCoderBit.cpp,
	  /NSIS/trunk/Source/7zip/7zip/Compress/RangeCoder/RangeCoderBit.h,
	  /NSIS/trunk/Source/7zip/7zip/Compress/RangeCoder/RangeCoderBitTree.h,
	  /NSIS/trunk/Source/7zip/7zip/Compress/RangeCoder/RangeCoderOpt.h,
	  /NSIS/trunk/Source/7zip/7zip/ICoder.h,
	  /NSIS/trunk/Source/7zip/7zip/IStream.h,
	  /NSIS/trunk/Source/7zip/Common/Alloc.cpp,
	  /NSIS/trunk/Source/7zip/Common/Alloc.h,
	  /NSIS/trunk/Source/7zip/Common/CRC.cpp,
	  /NSIS/trunk/Source/7zip/Common/CRC.h,
	  /NSIS/trunk/Source/7zip/Common/Defs.h,
	  /NSIS/trunk/Source/7zip/Common/MyCom.h,
	  /NSIS/trunk/Source/7zip/Common/MyGuidDef.h,
	  /NSIS/trunk/Source/7zip/Common/MyUnknown.h,
	  /NSIS/trunk/Source/7zip/Common/MyWindows.h,
	  /NSIS/trunk/Source/7zip/Common/StdAfx.h,
	  /NSIS/trunk/Source/7zip/Common/Types.h,
	  /NSIS/trunk/Source/7zip/LZMADecode.c,
	  /NSIS/trunk/Source/7zip/LZMADecode.h,
	  /NSIS/trunk/Source/afxres.h, /NSIS/trunk/Source/BinInterop.cpp,
	  /NSIS/trunk/Source/BinInterop.h, /NSIS/trunk/Source/build.cpp,
	  /NSIS/trunk/Source/build.h, /NSIS/trunk/Source/bzip2/blocksort.c,
	  /NSIS/trunk/Source/bzip2/bzlib.c,
	  /NSIS/trunk/Source/bzip2/bzlib.h,
	  /NSIS/trunk/Source/bzip2/compress.c,
	  /NSIS/trunk/Source/bzip2/decompress.c,
	  /NSIS/trunk/Source/bzip2/huffman.c, /NSIS/trunk/Source/cbzip2.h,
	  /NSIS/trunk/Source/clzma.cpp, /NSIS/trunk/Source/clzma.h,
	  /NSIS/trunk/Source/compressor.h, /NSIS/trunk/Source/crc32.c,
	  /NSIS/trunk/Source/crc32.h, /NSIS/trunk/Source/czlib.h,
	  /NSIS/trunk/Source/DialogTemplate.cpp,
	  /NSIS/trunk/Source/DialogTemplate.h,
	  /NSIS/trunk/Source/dirreader.cpp, /NSIS/trunk/Source/dirreader.h,
	  /NSIS/trunk/Source/exehead/afxres.h,
	  /NSIS/trunk/Source/exehead/api.h,
	  /NSIS/trunk/Source/exehead/bgbg.c,
	  /NSIS/trunk/Source/exehead/components.c,
	  /NSIS/trunk/Source/exehead/components.h,
	  /NSIS/trunk/Source/exehead/config.h,
	  /NSIS/trunk/Source/exehead/exec.c,
	  /NSIS/trunk/Source/exehead/exec.h,
	  /NSIS/trunk/Source/exehead/fileform.c,
	  /NSIS/trunk/Source/exehead/fileform.h,
	  /NSIS/trunk/Source/exehead/lang.h,
	  /NSIS/trunk/Source/exehead/Main.c,
	  /NSIS/trunk/Source/exehead/plugin.c,
	  /NSIS/trunk/Source/exehead/plugin.h,
	  /NSIS/trunk/Source/exehead/state.h,
	  /NSIS/trunk/Source/exehead/Ui.c, /NSIS/trunk/Source/exehead/ui.h,
	  /NSIS/trunk/Source/exehead/util.c,
	  /NSIS/trunk/Source/exehead/util.h,
	  /NSIS/trunk/Source/fileform.cpp, /NSIS/trunk/Source/fileform.h,
	  /NSIS/trunk/Source/growbuf.cpp, /NSIS/trunk/Source/growbuf.h,
	  /NSIS/trunk/Source/icon.cpp, /NSIS/trunk/Source/icon.h,
	  /NSIS/trunk/Source/lang.cpp, /NSIS/trunk/Source/lang.h,
	  /NSIS/trunk/Source/lineparse.cpp, /NSIS/trunk/Source/lineparse.h,
	  /NSIS/trunk/Source/makenssi.cpp, /NSIS/trunk/Source/manifest.cpp,
	  /NSIS/trunk/Source/manifest.h, /NSIS/trunk/Source/mmap.cpp,
	  /NSIS/trunk/Source/mmap.h, /NSIS/trunk/Source/Platform.h,
	  /NSIS/trunk/Source/Plugins.cpp, /NSIS/trunk/Source/Plugins.h,
	  /NSIS/trunk/Source/ResourceEditor.cpp,
	  /NSIS/trunk/Source/ResourceEditor.h,
	  /NSIS/trunk/Source/ResourceVersionInfo.cpp,
	  /NSIS/trunk/Source/ResourceVersionInfo.h,
	  /NSIS/trunk/Source/script.cpp, /NSIS/trunk/Source/scriptpp.cpp,
	  /NSIS/trunk/Source/ShConstants.cpp,
	  /NSIS/trunk/Source/ShConstants.h, /NSIS/trunk/Source/strlist.cpp,
	  /NSIS/trunk/Source/strlist.h, /NSIS/trunk/Source/tchar.h,
	  /NSIS/trunk/Source/tokens.cpp, /NSIS/trunk/Source/tokens.h,
	  /NSIS/trunk/Source/tstring.cpp, /NSIS/trunk/Source/tstring.h,
	  /NSIS/trunk/Source/uservars.h, /NSIS/trunk/Source/utf.cpp,
	  /NSIS/trunk/Source/utf.h, /NSIS/trunk/Source/util.cpp,
	  /NSIS/trunk/Source/util.h,
	  /NSIS/trunk/Source/validateunicode.cpp,
	  /NSIS/trunk/Source/validateunicode.h,
	  /NSIS/trunk/Source/winchar.cpp, /NSIS/trunk/Source/winchar.h,
	  /NSIS/trunk/Source/writer.cpp, /NSIS/trunk/Source/writer.h,
	  /NSIS/trunk/Source/zlib/INFBLOCK.C,
	  /NSIS/trunk/Source/zlib/ZCONF.H, /NSIS/trunk/Source/zlib/ZLIB.H,
	  /NSIS/trunk/Source/zlib/ZUTIL.H: (C) 2020

2019-12-29 02:17  anders_k

	* /NSIS/trunk/Docs/src/headers.but,
	  /NSIS/trunk/Docs/src/history.but: Added links to more useful
	  headers (Bug #1196)

2019-12-16 03:13  kichik

	* /NSIS/trunk/.travis.yml: add build.log to nightly zip

2019-12-16 02:47  kichik

	* /NSIS/trunk/.travis.yml: fix nightly

2019-12-16 01:08  kichik

	* /NSIS/trunk/Scripts/release.py: nuke old folders so release
	  doesn't fail for no reason

2019-12-16 00:47  kichik

	* /NSIS/tags/v305: Tagging for release 3.05

2019-12-16 00:44  kichik

	* /NSIS/trunk/Menu/images/header.gif: 3.05

2019-12-16 00:16  kichik

	* /NSIS/trunk/Docs/src/history.but: update history

2019-12-14 23:07  anders_k

	* /NSIS/trunk/Contrib/nsDialogs/nsDialogs.nsh,
	  /NSIS/trunk/Docs/src/history.but: Fixed nsDialogs
	  CB/LB_Get/SetItemData macros (bug #1238)

2019-12-11 19:10  anders_k

	* /NSIS/trunk/Contrib/BgImage/SConscript,
	  /NSIS/trunk/Contrib/InstallOptions/SConscript: Set C++ flag on
	  C++ plug-ins (Patch 228)

2019-12-11 18:29  anders_k

	* /NSIS/trunk/Include/Win/Propkey.nsh: Make VARIANT same size as
	  PROPVARIANT

2019-11-22 00:02  anders_k

	* /NSIS/trunk/Docs/src/attributes.but,
	  /NSIS/trunk/Docs/src/history.but,
	  /NSIS/trunk/Docs/src/sections.but,
	  /NSIS/trunk/Source/lineparse.cpp, /NSIS/trunk/Source/script.cpp,
	  /NSIS/trunk/Source/tokens.cpp, /NSIS/trunk/Source/tokens.h: Added
	  SectionInstType as a SectionIn replacement

2019-11-19 16:58  anders_k

	* /NSIS/trunk/Include/Win/Propkey.nsh: "Type" is PV not V

2019-11-03 16:14  anders_k

	* /NSIS/trunk/Contrib/UserInfo/UserInfo.c,
	  /NSIS/trunk/Contrib/UserInfo/UserInfo.nsi: Clarify GetUserName
	  failure on Win9x

2019-10-24 22:15  anders_k

	* /NSIS/trunk/Docs/src/history.but, /NSIS/trunk/Source/build.h,
	  /NSIS/trunk/Source/lang.cpp, /NSIS/trunk/Source/script.cpp,
	  /NSIS/trunk/Source/util.cpp, /NSIS/trunk/Source/util.h:
	  Automatically double ampersands in the name attribute

2019-10-24 19:27  anders_k

	* /NSIS/trunk/Contrib/nsExec/nsexec.c,
	  /NSIS/trunk/Source/build.cpp: Fix minor GCC warnings

2019-10-23 02:50  anders_k

	* /NSIS/trunk/Contrib/Makensisw/makensisw.cpp,
	  /NSIS/trunk/Contrib/Makensisw/makensisw.h,
	  /NSIS/trunk/Contrib/Makensisw/resource.h,
	  /NSIS/trunk/Contrib/Makensisw/resource.rc: * Re-use find window
	  * Focus toolbar with F6
	  * Unicode symbols in usage text

2019-10-21 23:21  anders_k

	* /NSIS/trunk/Include/WinVer.nsh: Update WinVer Win10

2019-10-16 19:55  anders_k

	* /NSIS/trunk/Contrib/Makensisw/resource.h,
	  /NSIS/trunk/Contrib/Makensisw/resource.rc,
	  /NSIS/trunk/Contrib/Makensisw/utils.cpp,
	  /NSIS/trunk/Contrib/Makensisw/utils.h,
	  /NSIS/trunk/Contrib/Makensisw/wndspy.cpp,
	  /NSIS/trunk/Source/manifest.h: Improved window spy size
	  information and added window outline

2019-10-13 16:49  anders_k

	* /NSIS/trunk/Contrib/Makensisw/makensisw.cpp,
	  /NSIS/trunk/Contrib/Makensisw/makensisw.h,
	  /NSIS/trunk/Contrib/Makensisw/Readme.txt,
	  /NSIS/trunk/Contrib/Makensisw/SConscript,
	  /NSIS/trunk/Contrib/Makensisw/utils.cpp,
	  /NSIS/trunk/Contrib/Makensisw/utils.h: Added custom log colors
	  and customizable sounds.

2019-10-07 18:01  anders_k

	* /NSIS/trunk/Contrib/nsExec/nsexec.c: Fix truncation warning for
	  64-bit

2019-10-06 16:15  anders_k

	* /NSIS/trunk/Docs/src/SConscript,
	  /NSIS/trunk/SCons/Tools/crossmingw.py,
	  /NSIS/trunk/SCons/utils.py, /NSIS/trunk/SConstruct: Port SCons
	  scripts to py3k (xantares/py3k PR)

2019-10-04 19:54  anders_k

	* /NSIS/trunk/Docs/src/int.but: Better IntFmt format specification
	  syntax documentation.

2019-09-15 17:10  anders_k

	* /NSIS/trunk/Contrib/nsExec/nsexec.c: Help CharNext handle
	  surrogate pairs

2019-09-11 23:36  anders_k

	* /NSIS/trunk/Contrib/nsExec/nsexec.c,
	  /NSIS/trunk/Docs/src/history.but: Fixed nsExec Unicode and tab
	  output parsing (bug #1232)

2019-09-06 17:55  anders_k

	* /NSIS/trunk/Examples/NSISMenu.nsi: Added NSIS menu PE version
	  info

2019-09-04 19:50  anders_k

	* /NSIS/trunk/Docs/src/attributes.but: Minor docs corrections

2019-09-04 19:39  anders_k

	* /NSIS/trunk/Include/Win/Propkey.nsh: Added PropVariantChangeType
	  macro

2019-08-22 22:59  anders_k

	* /NSIS/trunk/Contrib/Language files/Turkish.nlf: Reduced button
	  text length to "Agree" to prevent truncation (Bug #1069)

2019-08-18 22:54  anders_k

	* /NSIS/trunk/Source/BinInterop.cpp,
	  /NSIS/trunk/Source/BinInterop.h: BITMAPCOREHEADER bitmaps cannot
	  be top-down bitmaps

2019-08-18 22:15  anders_k

	* /NSIS/trunk/Source/growbuf.cpp: Don't display non-fatal growbuf
	  allocation warning

2019-08-17 20:13  anders_k

	* /NSIS/trunk/Include/Win/Propkey.nsh,
	  /NSIS/trunk/Source/build.cpp, /NSIS/trunk/Source/manifest.cpp,
	  /NSIS/trunk/Source/manifest.h: VC6 cannot handle class reference
	  initialization in structs

2019-08-17 19:33  kichik

	* /NSIS/trunk/SConstruct: bug #1218 - build NSIS.exe for dist-zip

2019-08-16 21:43  anders_k

	* /NSIS/trunk/Include/Win/Propkey.nsh: Added more AppUserModel
	  PKEYs

2019-08-16 19:07  anders_k

	* /NSIS/trunk/Docs/src/attributes.but,
	  /NSIS/trunk/Docs/src/history.but, /NSIS/trunk/Docs/style.css,
	  /NSIS/trunk/Source/build.cpp, /NSIS/trunk/Source/build.h,
	  /NSIS/trunk/Source/manifest.cpp, /NSIS/trunk/Source/manifest.h,
	  /NSIS/trunk/Source/script.cpp, /NSIS/trunk/Source/tokens.cpp,
	  /NSIS/trunk/Source/tokens.h, /NSIS/trunk/Source/util.cpp: Added
	  the ManifestLongPathAware attribute

2019-08-14 22:28  anders_k

	* /NSIS/trunk/Docs/src/ui.but: Docs: Clarify that SetDetailsView is
	  for the InstFiles page

2019-08-11 17:12  anders_k

	* /NSIS/trunk/Include/Win/Propkey.nsh: PROPVARIANT struct is larger
	  on 64-bit

2019-08-04 17:00  anders_k

	* /NSIS/trunk/Contrib/System/System.html: Updated System plug-in
	  readme

2019-08-03 18:01  anders_k

	* /NSIS/trunk/Contrib/nsDialogs/nsDialogs.nsh,
	  /NSIS/trunk/Contrib/nsDialogs/Readme.html: Added NSD_CreateMLText

2019-08-01 18:06  anders_k

	* /NSIS/trunk/.travis.yml: Force trusty for all

2019-08-01 17:41  anders_k

	* /NSIS/trunk/.travis.yml: Force TravisCI linux trusty

2019-07-31 19:59  anders_k

	* /NSIS/trunk/Docs/src/history.but, /NSIS/trunk/Source/icon.cpp:
	  Zero uninitialized icon group data for reproducible builds (bug
	  #1230)

2019-07-16 14:28  anders_k

	* /NSIS/trunk/Examples/NSISMenu.nsi, /NSIS/trunk/Menu/index.html:
	  IRC server is gone

2019-06-27 23:22  anders_k

	* /NSIS/trunk/Contrib/System/System.nsi,
	  /NSIS/trunk/Docs/src/history.but: Added quoted path and ordinal
	  System::Call examples.

2019-06-27 00:05  anders_k

	* /NSIS/trunk/Contrib/Language files/Italian.nlf: Updated Italian
	  translation credits

2019-06-25 20:29  anders_k

	* /NSIS/trunk/Examples/StrFunc.nsi,
	  /NSIS/trunk/Include/StrFunc.nsh, /NSIS/trunk/Include/StrFunc.txt:
	  Fixed StrFunc parameter order.

2019-06-23 21:32  anders_k

	* /NSIS/trunk/Docs/src/history.but,
	  /NSIS/trunk/Include/StrFunc.nsh, /NSIS/trunk/Include/StrFunc.txt:
	  StrFunc.nsh now supports a "using" idiom to help with
	  forward-declaration of functions (bug #1229)

2019-06-16 14:08  anders_k

	* /NSIS/trunk/Source/exehead/fileform.c,
	  /NSIS/trunk/Source/exehead/fileform.h: Allow up to 4 GiB of
	  3rd-party appended data.

2019-06-06 00:42  anders_k

	* /NSIS/trunk/Docs/src/attributes.but,
	  /NSIS/trunk/Docs/src/history.but, /NSIS/trunk/Source/build.cpp,
	  /NSIS/trunk/Source/build.h, /NSIS/trunk/Source/manifest.cpp,
	  /NSIS/trunk/Source/manifest.h, /NSIS/trunk/Source/script.cpp,
	  /NSIS/trunk/Source/tokens.cpp, /NSIS/trunk/Source/tokens.h: Added
	  ManifestMaxVersionTested

2019-05-23 21:58  anders_k

	* /NSIS/trunk/Contrib/Makensisw/makensisw.cpp,
	  /NSIS/trunk/Contrib/Makensisw/makensisw.h: Log window height
	  based on dialog units to fix minimize bug

2019-04-18 21:36  anders_k

	* /NSIS/trunk/SCons/Tools/crossmingw.py: Auto-detection of 64 bit
	  mingw-w64 on non-windows platforms (Patch #293)

2019-03-17 18:51  anders_k

	* /NSIS/trunk/Docs/src/history.but,
	  /NSIS/trunk/Include/Library.nsh: Fixed InstallLib .NSI
	  space-in-path script bug (bug #1222)

2019-03-13 19:56  anders_k

	* /NSIS/trunk/Docs/src/history.but, /NSIS/trunk/Source/build.cpp:
	  %1 in !finalize command can be specified multiple times

2019-03-12 17:15  anders_k

	* /NSIS/trunk/Examples/NSISMenu.nsi: NSIS Menu Dark mode support

2019-03-11 19:33  anders_k

	* /NSIS/trunk/Contrib/System/Source/System.c,
	  /NSIS/trunk/Contrib/System/System.html,
	  /NSIS/trunk/Docs/src/history.but: Allow quoted library path in
	  System::Call (bug #546)

2019-03-06 19:00  anders_k

	* /NSIS/trunk/Contrib/nsDialogs/example.nsi,
	  /NSIS/trunk/Include/WinMessages.nsh: Force ANSI RichEdit in nsD
	  example because UTF-16 encoded RTF is not valid

2019-03-04 22:15  anders_k

	* /NSIS/trunk/Contrib/nsExec/nsexec.c: Fix WoW64 detection on ARM64
	  so we can avoid using the CUI helper application

2019-02-15 20:19  anders_k

	* /NSIS/trunk/Contrib/nsDialogs/nsDialogs.nsh,
	  /NSIS/trunk/Contrib/nsDialogs/Readme.html,
	  /NSIS/trunk/Include/WinMessages.nsh,
	  /NSIS/trunk/Source/BinInterop.h,
	  /NSIS/trunk/Source/ResourceEditor.cpp,
	  /NSIS/trunk/Source/util.cpp: Added NSD_Remove[Ex]Style and NCM_*
	  messages

2019-02-14 23:06  anders_k

	* /NSIS/trunk/Source/exehead/Ui.c, /NSIS/trunk/Source/util.cpp:
	  LR_CREATEDIBSECTION breaks modern.bmp so we must disallow TopDown
	  CheckBitmaps

2019-02-14 22:59  anders_k

	* /NSIS/trunk/Docs/src/ui.but, /NSIS/trunk/Source/BinInterop.cpp,
	  /NSIS/trunk/Source/BinInterop.h, /NSIS/trunk/Source/exehead/Ui.c,
	  /NSIS/trunk/Source/ResourceEditor.cpp: Support TopDown
	  CheckBitmap

2019-02-12 00:05  anders_k

	* /NSIS/trunk/Docs/src/history.but,
	  /NSIS/trunk/Source/makenssi.cpp: Fixed -O double fclose (bug
	  #1221)

2019-02-11 20:32  anders_k

	* /NSIS/trunk/Source/Platform.h,
	  /NSIS/trunk/Source/ResourceEditor.cpp: Cast away MAKEINTRESOURCE
	  wchar_t* vs WORD* issue we don't care about

2019-02-11 17:45  anders_k

	* /NSIS/trunk/Contrib/System/System.html,
	  /NSIS/trunk/Docs/src/attributes.but,
	  /NSIS/trunk/Docs/src/misc.but, /NSIS/trunk/Include/WinVer.nsh:
	  Minor documentation fixes

2019-02-11 16:04  anders_k

	* /NSIS/trunk/Docs/src/history.but,
	  /NSIS/trunk/Examples/example1.nsi,
	  /NSIS/trunk/Examples/example2.nsi,
	  /NSIS/trunk/Examples/languages.nsi, /NSIS/trunk/Examples/Modern
	  UI/Basic.nsi, /NSIS/trunk/Examples/Modern UI/HeaderBitmap.nsi,
	  /NSIS/trunk/Examples/Modern UI/StartMenu.nsi,
	  /NSIS/trunk/Examples/Modern UI/WelcomeFinish.nsi: ANSI targets
	  are deprecated, force the important examples to use Unicode.

2019-02-10 20:45  anders_k

	* /NSIS/trunk/Docs/src/attributes.but,
	  /NSIS/trunk/Docs/src/history.but,
	  /NSIS/trunk/Source/BinInterop.cpp,
	  /NSIS/trunk/Source/BinInterop.h, /NSIS/trunk/Source/build.cpp,
	  /NSIS/trunk/Source/icon.cpp, /NSIS/trunk/Source/icon.h,
	  /NSIS/trunk/Source/Platform.h,
	  /NSIS/trunk/Source/ResourceEditor.cpp,
	  /NSIS/trunk/Source/ResourceEditor.h,
	  /NSIS/trunk/Source/script.cpp,
	  /NSIS/trunk/Source/Tests/ResourceEditor.cpp,
	  /NSIS/trunk/Source/Tests/SConscript,
	  /NSIS/trunk/Source/tokens.cpp, /NSIS/trunk/Source/tokens.h,
	  /NSIS/trunk/Source/util.cpp, /NSIS/trunk/Source/util.h: Added
	  PEAddResource and PERemoveResource

2019-02-03 20:53  anders_k

	* /NSIS/trunk/Docs/src/history.but, /NSIS/trunk/Docs/src/ui.but,
	  /NSIS/trunk/Source/exehead/exec.c,
	  /NSIS/trunk/Source/exehead/fileform.c,
	  /NSIS/trunk/Source/exehead/fileform.h,
	  /NSIS/trunk/Source/script.cpp, /NSIS/trunk/Source/tokens.cpp,
	  /NSIS/trunk/Source/tokens.h: Added LoadAndSetImage instruction

2019-02-02 20:25  anders_k

	* /NSIS/trunk/Source/build.cpp, /NSIS/trunk/Source/build.h: Print
	  "ANSI targets are deprecated" warning if Unicode/Target
	  attributes are never used.

2019-01-29 23:15  anders_k

	* /NSIS/trunk/Contrib/Language files/Hindi.nsh,
	  /NSIS/trunk/Docs/src/history.but: Fixed Hindi (patch #291)

2019-01-29 22:11  anders_k

	* /NSIS/trunk/Include/Win/Propkey.nsh: Added more PropVariant
	  helper macros

2019-01-26 20:34  anders_k

	* /NSIS/trunk/Include/Win/COM.nsh,
	  /NSIS/trunk/Include/Win/Propkey.nsh: Added
	  IUniformResourceLocator to COM.nsh

2019-01-16 00:14  anders_k

	* /NSIS/trunk/Docs/src/generalpurpose.but: Docs: Clarify that
	  $outdir is used as a shortcut property and that the path to the
	  .lnk cannot be relative.

2019-01-07 14:30  anders_k

	* /NSIS/trunk/Contrib/ExDLL/nsis_tchar.h,
	  /NSIS/trunk/Contrib/InstallOptions/Readme.html,
	  /NSIS/trunk/Contrib/Language files/English.nsh,
	  /NSIS/trunk/Contrib/Makensisw/wndspy.cpp,
	  /NSIS/trunk/Contrib/Modern UI 2/License.txt,
	  /NSIS/trunk/Contrib/Modern UI 2/MUI2.nsh,
	  /NSIS/trunk/Contrib/Modern UI 2/Readme.html,
	  /NSIS/trunk/Contrib/Modern UI/License.txt,
	  /NSIS/trunk/Contrib/Modern UI/Readme.html,
	  /NSIS/trunk/Contrib/Modern UI/System.nsh,
	  /NSIS/trunk/Contrib/MultiUser/MultiUser.nsh,
	  /NSIS/trunk/Contrib/SubStart/substart.c,
	  /NSIS/trunk/Contrib/System/Source/Call.S,
	  /NSIS/trunk/Contrib/System/Source/Call-amd64.S,
	  /NSIS/trunk/Contrib/System/System.html, /NSIS/trunk/COPYING,
	  /NSIS/trunk/Docs/src/config.but,
	  /NSIS/trunk/Include/LangFile.nsh,
	  /NSIS/trunk/Include/VB6RunTime.nsh,
	  /NSIS/trunk/Source/7zip/7zGuids.cpp,
	  /NSIS/trunk/Source/7zip/7zip/Common/InBuffer.cpp,
	  /NSIS/trunk/Source/7zip/7zip/Common/InBuffer.h,
	  /NSIS/trunk/Source/7zip/7zip/Common/OutBuffer.cpp,
	  /NSIS/trunk/Source/7zip/7zip/Common/OutBuffer.h,
	  /NSIS/trunk/Source/7zip/7zip/Common/StreamUtils.cpp,
	  /NSIS/trunk/Source/7zip/7zip/Common/StreamUtils.h,
	  /NSIS/trunk/Source/7zip/7zip/Compress/LZ/BinTree/BinTree.h,
	  /NSIS/trunk/Source/7zip/7zip/Compress/LZ/BinTree/BinTree2.h,
	  /NSIS/trunk/Source/7zip/7zip/Compress/LZ/BinTree/BinTree3.h,
	  /NSIS/trunk/Source/7zip/7zip/Compress/LZ/BinTree/BinTree3Z.h,
	  /NSIS/trunk/Source/7zip/7zip/Compress/LZ/BinTree/BinTree3ZMain.h,
	  /NSIS/trunk/Source/7zip/7zip/Compress/LZ/BinTree/BinTree4.h,
	  /NSIS/trunk/Source/7zip/7zip/Compress/LZ/BinTree/BinTree4b.h,
	  /NSIS/trunk/Source/7zip/7zip/Compress/LZ/BinTree/BinTreeMain.h,
	  /NSIS/trunk/Source/7zip/7zip/Compress/LZ/BinTree/BinTreeMF.h,
	  /NSIS/trunk/Source/7zip/7zip/Compress/LZ/BinTree/BinTreeMFMain.h,
	  /NSIS/trunk/Source/7zip/7zip/Compress/LZ/IMatchFinder.h,
	  /NSIS/trunk/Source/7zip/7zip/Compress/LZ/LZInWindow.cpp,
	  /NSIS/trunk/Source/7zip/7zip/Compress/LZ/LZInWindow.h,
	  /NSIS/trunk/Source/7zip/7zip/Compress/LZ/LZOutWindow.cpp,
	  /NSIS/trunk/Source/7zip/7zip/Compress/LZ/LZOutWindow.h,
	  /NSIS/trunk/Source/7zip/7zip/Compress/LZMA/LZMA.h,
	  /NSIS/trunk/Source/7zip/7zip/Compress/LZMA/LZMAEncoder.cpp,
	  /NSIS/trunk/Source/7zip/7zip/Compress/LZMA/LZMAEncoder.h,
	  /NSIS/trunk/Source/7zip/7zip/Compress/RangeCoder/RangeCoder.h,
	  /NSIS/trunk/Source/7zip/7zip/Compress/RangeCoder/RangeCoderBit.cpp,
	  /NSIS/trunk/Source/7zip/7zip/Compress/RangeCoder/RangeCoderBit.h,
	  /NSIS/trunk/Source/7zip/7zip/Compress/RangeCoder/RangeCoderBitTree.h,
	  /NSIS/trunk/Source/7zip/7zip/Compress/RangeCoder/RangeCoderOpt.h,
	  /NSIS/trunk/Source/7zip/7zip/ICoder.h,
	  /NSIS/trunk/Source/7zip/7zip/IStream.h,
	  /NSIS/trunk/Source/7zip/Common/Alloc.cpp,
	  /NSIS/trunk/Source/7zip/Common/Alloc.h,
	  /NSIS/trunk/Source/7zip/Common/CRC.cpp,
	  /NSIS/trunk/Source/7zip/Common/CRC.h,
	  /NSIS/trunk/Source/7zip/Common/Defs.h,
	  /NSIS/trunk/Source/7zip/Common/MyCom.h,
	  /NSIS/trunk/Source/7zip/Common/MyGuidDef.h,
	  /NSIS/trunk/Source/7zip/Common/MyUnknown.h,
	  /NSIS/trunk/Source/7zip/Common/MyWindows.h,
	  /NSIS/trunk/Source/7zip/Common/StdAfx.h,
	  /NSIS/trunk/Source/7zip/Common/Types.h,
	  /NSIS/trunk/Source/7zip/LZMADecode.c,
	  /NSIS/trunk/Source/7zip/LZMADecode.h,
	  /NSIS/trunk/Source/afxres.h, /NSIS/trunk/Source/BinInterop.cpp,
	  /NSIS/trunk/Source/BinInterop.h, /NSIS/trunk/Source/build.cpp,
	  /NSIS/trunk/Source/build.h, /NSIS/trunk/Source/bzip2/blocksort.c,
	  /NSIS/trunk/Source/bzip2/bzlib.c,
	  /NSIS/trunk/Source/bzip2/bzlib.h,
	  /NSIS/trunk/Source/bzip2/compress.c,
	  /NSIS/trunk/Source/bzip2/decompress.c,
	  /NSIS/trunk/Source/bzip2/huffman.c, /NSIS/trunk/Source/cbzip2.h,
	  /NSIS/trunk/Source/clzma.cpp, /NSIS/trunk/Source/clzma.h,
	  /NSIS/trunk/Source/compressor.h, /NSIS/trunk/Source/crc32.c,
	  /NSIS/trunk/Source/crc32.h, /NSIS/trunk/Source/czlib.h,
	  /NSIS/trunk/Source/DialogTemplate.cpp,
	  /NSIS/trunk/Source/DialogTemplate.h,
	  /NSIS/trunk/Source/dirreader.cpp, /NSIS/trunk/Source/dirreader.h,
	  /NSIS/trunk/Source/exehead/afxres.h,
	  /NSIS/trunk/Source/exehead/api.h,
	  /NSIS/trunk/Source/exehead/bgbg.c,
	  /NSIS/trunk/Source/exehead/components.c,
	  /NSIS/trunk/Source/exehead/components.h,
	  /NSIS/trunk/Source/exehead/config.h,
	  /NSIS/trunk/Source/exehead/exec.c,
	  /NSIS/trunk/Source/exehead/exec.h,
	  /NSIS/trunk/Source/exehead/fileform.c,
	  /NSIS/trunk/Source/exehead/fileform.h,
	  /NSIS/trunk/Source/exehead/lang.h,
	  /NSIS/trunk/Source/exehead/Main.c,
	  /NSIS/trunk/Source/exehead/plugin.c,
	  /NSIS/trunk/Source/exehead/plugin.h,
	  /NSIS/trunk/Source/exehead/state.h,
	  /NSIS/trunk/Source/exehead/Ui.c, /NSIS/trunk/Source/exehead/ui.h,
	  /NSIS/trunk/Source/exehead/util.c,
	  /NSIS/trunk/Source/exehead/util.h,
	  /NSIS/trunk/Source/fileform.cpp, /NSIS/trunk/Source/fileform.h,
	  /NSIS/trunk/Source/growbuf.cpp, /NSIS/trunk/Source/growbuf.h,
	  /NSIS/trunk/Source/icon.cpp, /NSIS/trunk/Source/icon.h,
	  /NSIS/trunk/Source/lang.cpp, /NSIS/trunk/Source/lang.h,
	  /NSIS/trunk/Source/lineparse.cpp, /NSIS/trunk/Source/lineparse.h,
	  /NSIS/trunk/Source/makenssi.cpp, /NSIS/trunk/Source/manifest.cpp,
	  /NSIS/trunk/Source/manifest.h, /NSIS/trunk/Source/mmap.cpp,
	  /NSIS/trunk/Source/mmap.h, /NSIS/trunk/Source/Platform.h,
	  /NSIS/trunk/Source/Plugins.cpp, /NSIS/trunk/Source/Plugins.h,
	  /NSIS/trunk/Source/ResourceEditor.cpp,
	  /NSIS/trunk/Source/ResourceEditor.h,
	  /NSIS/trunk/Source/ResourceVersionInfo.cpp,
	  /NSIS/trunk/Source/ResourceVersionInfo.h,
	  /NSIS/trunk/Source/script.cpp, /NSIS/trunk/Source/scriptpp.cpp,
	  /NSIS/trunk/Source/ShConstants.cpp,
	  /NSIS/trunk/Source/ShConstants.h, /NSIS/trunk/Source/strlist.cpp,
	  /NSIS/trunk/Source/strlist.h, /NSIS/trunk/Source/tchar.h,
	  /NSIS/trunk/Source/tokens.cpp, /NSIS/trunk/Source/tokens.h,
	  /NSIS/trunk/Source/tstring.cpp, /NSIS/trunk/Source/tstring.h,
	  /NSIS/trunk/Source/uservars.h, /NSIS/trunk/Source/utf.cpp,
	  /NSIS/trunk/Source/utf.h, /NSIS/trunk/Source/util.cpp,
	  /NSIS/trunk/Source/util.h,
	  /NSIS/trunk/Source/validateunicode.cpp,
	  /NSIS/trunk/Source/validateunicode.h,
	  /NSIS/trunk/Source/winchar.cpp, /NSIS/trunk/Source/winchar.h,
	  /NSIS/trunk/Source/writer.cpp, /NSIS/trunk/Source/writer.h,
	  /NSIS/trunk/Source/zlib/INFBLOCK.C,
	  /NSIS/trunk/Source/zlib/ZCONF.H, /NSIS/trunk/Source/zlib/ZLIB.H,
	  /NSIS/trunk/Source/zlib/ZUTIL.H: (C) 2019

2019-01-05 21:26  anders_k

	* /NSIS/trunk/Contrib/Language files/Portuguese.nlf,
	  /NSIS/trunk/Docs/src/history.but: Updated Portuguese (Bug #1219)

2018-12-15 22:14  kichik

	* /NSIS/tags/v304: Tagging for release 3.04

2018-12-15 22:11  kichik

	* /NSIS/trunk/Examples/makensis.nsi,
	  /NSIS/trunk/Scripts/release.py: fix release scons/inst diff

2018-12-15 22:00  kichik

	* /NSIS/trunk/Menu/images/header.gif: 3.04

2018-12-15 21:59  kichik

	* /NSIS/trunk/Examples/NSISMenu.nsi: fix eol

2018-12-15 21:57  kichik

	* /NSIS/trunk/Contrib/Language files/Hindi.nsh: fix eol

2018-12-15 21:48  kichik

	* /NSIS/trunk/Docs/src/history.but: release date

2018-12-07 22:56  anders_k

	* /NSIS/trunk/Include/WinVer.nsh: Removed WinVer WaaS diagnostic
	  warning

2018-12-07 22:53  anders_k

	* /NSIS/trunk/Docs/src/history.but, /NSIS/trunk/Include/WinVer.nsh:
	  Added WinVer "Windows as a Service" detection macros

2018-12-07 22:06  anders_k

	* /NSIS/trunk/Contrib/Library/LibraryLocal,
	  /NSIS/trunk/Docs/src/build.but, /NSIS/trunk/Docs/src/history.but,
	  /NSIS/trunk/Examples/makensis.nsi,
	  /NSIS/trunk/Include/Library.nsh, /NSIS/trunk/SConstruct: Removed
	  LibraryLocal utility

2018-12-07 21:04  anders_k

	* /NSIS/trunk/Contrib/MultiUser/MultiUser.nsh,
	  /NSIS/trunk/Docs/src/history.but: Fixed MultiUser caption
	  langstring bug (bug #1012)

2018-12-06 23:00  anders_k

	* /NSIS/trunk/Contrib/Language files/German.nlf,
	  /NSIS/trunk/Docs/src/history.but: Minor German translation fixes
	  (bug #1023)

2018-12-06 01:12  anders_k

	* /NSIS/trunk/SConstruct, /NSIS/trunk/Source/build.cpp:
	  NSIS_PACKEDVERSION no longer optional. Tries to find a usable
	  fallback value if not specified.

2018-12-03 19:20  anders_k

	* /NSIS/trunk/Contrib/Language files/Belarusian.nlf,
	  /NSIS/trunk/Contrib/Language files/Belarusian.nsh,
	  /NSIS/trunk/Docs/src/history.but: Updated Belarusian (Bug #1217)

2018-11-30 16:49  anders_k

	* /NSIS/trunk/Contrib/nsDialogs/example.nsi,
	  /NSIS/trunk/Include/WinVer.nsh: Added WinVer AtLeastBuild and
	  AtMostBuild

2018-11-27 22:36  anders_k

	* /NSIS/trunk/Contrib/nsDialogs/defs.h,
	  /NSIS/trunk/Contrib/nsDialogs/example.nsi,
	  /NSIS/trunk/Contrib/nsDialogs/nsDialogs.c,
	  /NSIS/trunk/Contrib/nsDialogs/nsDialogs.nsh,
	  /NSIS/trunk/Source/build.cpp: Use a undocumented variable as the
	  nsDialogs::OnNotify return value so we don't have to worry about
	  restoring it

2018-11-27 22:15  anders_k

	* /NSIS/trunk/Contrib/nsDialogs/defs.h,
	  /NSIS/trunk/Contrib/nsDialogs/example.nsi,
	  /NSIS/trunk/Contrib/nsDialogs/nsDialogs.c,
	  /NSIS/trunk/Contrib/nsDialogs/nsDialogs.nsh,
	  /NSIS/trunk/Contrib/nsDialogs/Readme.html,
	  /NSIS/trunk/Docs/src/history.but: nsDialogs::OnNotify can now
	  return values back to Windows, also fixes bug #1216

2018-11-11 22:05  anders_k

	* /NSIS/trunk/Contrib/Makensisw/afxres.h,
	  /NSIS/trunk/Contrib/Makensisw/makensisw.cpp,
	  /NSIS/trunk/Contrib/Makensisw/makensisw.h,
	  /NSIS/trunk/Contrib/Makensisw/resource.h,
	  /NSIS/trunk/Contrib/Makensisw/resource.rc,
	  /NSIS/trunk/Contrib/Makensisw/utils.cpp,
	  /NSIS/trunk/Contrib/Makensisw/utils.h,
	  /NSIS/trunk/Contrib/Makensisw/wndspy.cpp,
	  /nsisweb/trunk/.htaccess,
	  /nsisweb/trunk/mediawiki/extensions/NSISDonate.php,
	  /nsisweb/trunk/mediawiki/LocalSettings.php,
	  /nsisweb/trunk/r/.htaccess: Added MakeNSISW donate link to
	  permalink redirected donate page

2018-11-10 22:31  anders_k

	* /NSIS/trunk/Examples/NSISMenu.nsi, /nsisweb/trunk/r,
	  /nsisweb/trunk/r/.htaccess: Added permalink redirects for NSIS
	  Menu

2018-11-07 16:58  anders_k

	* /NSIS/trunk/Contrib/Makensisw/makensisw.cpp,
	  /NSIS/trunk/Contrib/Makensisw/utils.cpp,
	  /NSIS/trunk/Contrib/UserInfo/UserInfo.c,
	  /NSIS/trunk/Source/build.h, /NSIS/trunk/Source/Platform.h,
	  /NSIS/trunk/Source/Plugins.cpp, /NSIS/trunk/Source/Plugins.h,
	  /NSIS/trunk/Source/script.cpp, /NSIS/trunk/Source/scriptpp.cpp:
	  VC6 cannot handle template class typedef of a template class with
	  the same name (in a different namespace)

2018-11-07 02:39  anders_k

	* /NSIS/trunk/Contrib/Makensisw/utils.cpp: Actually remove the
	  problematic type

2018-11-07 02:36  anders_k

	* /NSIS/trunk/Contrib/Makensisw/makensisw.h,
	  /NSIS/trunk/Contrib/Makensisw/utils.cpp,
	  /NSIS/trunk/Contrib/Makensisw/utils.h: Old MinGW somehow has the
	  TRIVERTEX struct unprotected but GRADIENT_FILL_* behind WINVER >=
	  0x0500 and GradientFill behind WINVER >= 0x0410

2018-11-07 01:28  anders_k

	* /NSIS/trunk/Contrib/Makensisw/utils.cpp,
	  /NSIS/trunk/Contrib/Makensisw/utils.h: Moved RichEdit helper
	  function to .cpp

2018-11-07 00:26  anders_k

	* /NSIS/trunk/Contrib/Makensisw/makensisw.cpp,
	  /NSIS/trunk/Contrib/Makensisw/makensisw.h,
	  /NSIS/trunk/Contrib/Makensisw/resource.h,
	  /NSIS/trunk/Contrib/Makensisw/resource.rc,
	  /NSIS/trunk/Contrib/Makensisw/toolbar.cpp,
	  /NSIS/trunk/Contrib/Makensisw/utils.cpp,
	  /NSIS/trunk/Contrib/Makensisw/utils.h: Improved MakeNSISW UI
	  command state handling

2018-11-06 21:04  anders_k

	* /NSIS/trunk/Contrib/Makensisw/logo.bmp,
	  /NSIS/trunk/Contrib/Makensisw/logo.psp,
	  /NSIS/trunk/Contrib/Makensisw/makensisw.cpp,
	  /NSIS/trunk/Contrib/Makensisw/makensisw.h,
	  /NSIS/trunk/Contrib/Makensisw/makensisw.xml,
	  /NSIS/trunk/Contrib/Makensisw/Readme.txt,
	  /NSIS/trunk/Contrib/Makensisw/resource.h,
	  /NSIS/trunk/Contrib/Makensisw/resource.rc,
	  /NSIS/trunk/Contrib/Makensisw/SConscript,
	  /NSIS/trunk/Contrib/Makensisw/toolbar.bmp,
	  /NSIS/trunk/Contrib/Makensisw/toolbar.cpp,
	  /NSIS/trunk/Contrib/Makensisw/toolbar.h,
	  /NSIS/trunk/Contrib/Makensisw/toolbar16d24.bmp,
	  /NSIS/trunk/Contrib/Makensisw/toolbar16h24.bmp,
	  /NSIS/trunk/Contrib/Makensisw/toolbar16n24.bmp,
	  /NSIS/trunk/Contrib/Makensisw/toolbar24.bmp,
	  /NSIS/trunk/Contrib/Makensisw/toolbar24d.bmp,
	  /NSIS/trunk/Contrib/Makensisw/toolbar24d24.bmp,
	  /NSIS/trunk/Contrib/Makensisw/toolbar24h.bmp,
	  /NSIS/trunk/Contrib/Makensisw/toolbar24h24.bmp,
	  /NSIS/trunk/Contrib/Makensisw/toolbar24n24.bmp,
	  /NSIS/trunk/Contrib/Makensisw/toolbar32d24.bmp,
	  /NSIS/trunk/Contrib/Makensisw/toolbar32h24.bmp,
	  /NSIS/trunk/Contrib/Makensisw/toolbar32n24.bmp,
	  /NSIS/trunk/Contrib/Makensisw/utils.cpp,
	  /NSIS/trunk/Contrib/Makensisw/utils.h: MakeNSISW is now System
	  DPI aware (16x16, 24x24 and 32x32 toolbar images)

2018-11-04 21:25  anders_k

	* /NSIS/trunk/Contrib/Makensisw/makensisw.cpp,
	  /NSIS/trunk/Contrib/Makensisw/makensisw.h,
	  /NSIS/trunk/Contrib/Makensisw/makensisw.xml,
	  /NSIS/trunk/Contrib/Makensisw/resource.h,
	  /NSIS/trunk/Contrib/Makensisw/resource.rc,
	  /NSIS/trunk/Contrib/Makensisw/SConscript,
	  /NSIS/trunk/Contrib/Makensisw/toolbar.cpp,
	  /NSIS/trunk/Contrib/Makensisw/utils.cpp,
	  /NSIS/trunk/Contrib/Makensisw/utils.h: Added About dialog DPI
	  aware support and intro animation

2018-11-02 20:15  anders_k

	* /NSIS/trunk/SConstruct, /NSIS/trunk/Source/tokens.cpp: Only
	  ignore makensis.nsi test on non-Win32 platforms

2018-11-02 19:51  anders_k

	* /NSIS/trunk/Docs/src/defines.but,
	  /NSIS/trunk/Docs/src/history.but, /NSIS/trunk/Source/build.h,
	  /NSIS/trunk/Source/scriptpp.cpp, /NSIS/trunk/Source/tokens.cpp:
	  !undef now issues warnings instead of errors

2018-11-02 19:16  anders_k

	* /NSIS/trunk/Examples/NSISMenu.nsi: Added shadow under header text
	  and fixed plug-in links

2018-11-01 23:38  anders_k

	* /NSIS/trunk/Source/DialogTemplate.cpp,
	  /NSIS/trunk/Source/DialogTemplate.h: POSIX does not have SIZE
	  type but that is OK because we never call that overload

2018-11-01 23:09  anders_k

	* /NSIS/trunk/Source/DialogTemplate.cpp,
	  /NSIS/trunk/Source/DialogTemplate.h: Moved POSIX dialog unit
	  calcilation function stubs

2018-11-01 22:47  anders_k

	* /NSIS/trunk/Contrib/Makensisw/update.cpp,
	  /NSIS/trunk/Docs/src/history.but, /NSIS/trunk/Docs/src/ui.but:
	  Fix broken MSDN links

2018-11-01 21:33  anders_k

	* /NSIS/trunk/Docs/style.css: Added HTML documentation code tag
	  font size hack for non-IE browsers

2018-11-01 21:20  anders_k

	* /NSIS/trunk/Docs/src/attributes.but,
	  /NSIS/trunk/Docs/src/history.but, /NSIS/trunk/Examples/gfx.nsi,
	  /NSIS/trunk/SConstruct, /NSIS/trunk/Source/DialogTemplate.h,
	  /NSIS/trunk/Source/script.cpp: AddBrandingImage now supports
	  dialog units, even on POSIX

2018-10-31 20:07  anders_k

	* /NSIS/trunk/Contrib/Library/RegTool/RegTool.cpp,
	  /NSIS/trunk/Contrib/MakeLangId/MakeLangId.cpp: Added dummy CRT
	  stubs for VS 2010-15 (bug #1159)

2018-10-30 23:22  anders_k

	* /NSIS/trunk/SConstruct: Must still ignore makensis.nsi errors on
	  POSIX because of missing MakeNSISW

2018-10-30 23:22  anders_k

	* /NSIS/trunk/Contrib/Makensisw/makensisw.cpp,
	  /NSIS/trunk/Contrib/Makensisw/Readme.txt,
	  /NSIS/trunk/Contrib/Makensisw/resource.rc,
	  /NSIS/trunk/Contrib/Makensisw/SConscript,
	  /NSIS/trunk/Contrib/Makensisw/version.cpp: Reduce confusion by
	  hiding MakeNSISW version.

2018-10-30 22:33  anders_k

	* /NSIS/trunk/Contrib/Graphics/Icons/nsis-menu.ico,
	  /NSIS/trunk/Contrib/Graphics/SConscript,
	  /NSIS/trunk/Examples/makensis.nsi,
	  /NSIS/trunk/Examples/NSISMenu.nsi,
	  /NSIS/trunk/Examples/SConscript, /NSIS/trunk/SConstruct: Use .nsi
	  NSIS Menu if wxWidgets version is not found.

2018-10-26 20:59  anders_k

	* /NSIS/trunk/Examples/bigtest.nsi,
	  /NSIS/trunk/Examples/example2.nsi, /NSIS/trunk/Examples/gfx.nsi:
	  Call WriteUninstaller with full paths

2018-10-25 18:54  anders_k

	* /NSIS/trunk/Docs/src/compiler.but,
	  /NSIS/trunk/Docs/src/history.but: Update changelog

2018-10-25 18:40  anders_k

	* /NSIS/trunk/Contrib/Makensisw/toolbar.cpp,
	  /NSIS/trunk/Source/build.cpp: Make sure the architecture define
	  is always set

2018-10-24 19:01  anders_k

	* /NSIS/trunk/Source/build.cpp, /NSIS/trunk/Source/build.h,
	  /NSIS/trunk/Source/scriptpp.cpp, /NSIS/trunk/Source/tstring.cpp,
	  /NSIS/trunk/Source/util.cpp, /NSIS/trunk/Source/util.h:
	  Refactored postbuild_cmd and !tempfile handling to help patch
	  #280

2018-10-21 12:28  anders_k

	* /NSIS/trunk/Contrib/Makensisw/makensisw.cpp,
	  /NSIS/trunk/Contrib/Makensisw/toolbar.cpp,
	  /NSIS/trunk/Contrib/Makensisw/toolbar.h: Dynamically recalculate
	  the toolbar dropdown position

2018-10-18 17:45  anders_k

	* /NSIS/trunk/Contrib/Makensisw/makensisw.cpp,
	  /NSIS/trunk/Contrib/Makensisw/toolbar.cpp,
	  /NSIS/trunk/Contrib/Makensisw/utils.cpp,
	  /NSIS/trunk/Contrib/Makensisw/utils.h: Draw themed size gripper

2018-10-17 01:23  anders_k

	* /NSIS/trunk/Contrib/Makensisw/wndspy.cpp: 'cause a MinGW party
	  don't stop

2018-10-17 01:13  anders_k

	* /NSIS/trunk/Contrib/Makensisw/wndspy.cpp: Ain't no party like a
	  MinGW #ifdef party

2018-10-16 20:58  anders_k

	* /NSIS/trunk/Contrib/Makensisw/resource.rc,
	  /NSIS/trunk/Contrib/Makensisw/wndspy.cpp,
	  /NSIS/trunk/Source/util.h: Fix MinGW/GCC issues

2018-10-16 16:55  anders_k

	* /NSIS/trunk/Contrib/Makensisw/makensisw.cpp,
	  /NSIS/trunk/Contrib/Makensisw/resource.h,
	  /NSIS/trunk/Contrib/Makensisw/resource.rc,
	  /NSIS/trunk/Contrib/Makensisw/SConscript,
	  /NSIS/trunk/Contrib/Makensisw/utils.cpp,
	  /NSIS/trunk/Contrib/Makensisw/utils.h,
	  /NSIS/trunk/Contrib/Makensisw/wndspy.cpp: Created Window Spy/Info
	  feature

2018-10-13 20:15  anders_k

	* /NSIS/trunk/Contrib/System/Source/System.c: Added more
	  System::Call emulation functions for x64.nsh on ARM[64]

2018-10-13 13:19  anders_k

	* /NSIS/trunk/Contrib/System/Source/System.c,
	  /NSIS/trunk/Contrib/System/System.html: Align @ direct register
	  buffer

2018-10-12 20:51  anders_k

	* /NSIS/trunk/Docs/src/history.but, /NSIS/trunk/Docs/src/ui.but,
	  /NSIS/trunk/Include/Win/WinNT.nsh, /NSIS/trunk/Include/x64.nsh:
	  Use Win10 WoW64 API to work around ARM64 lies.

2018-10-08 13:04  anders_k

	* /NSIS/trunk/Include/LogicLib.nsh: Optimize away LL jump when
	  possible

2018-10-08 12:50  anders_k

	* /NSIS/trunk/Docs/src/history.but,
	  /NSIS/trunk/Docs/src/library.but,
	  /NSIS/trunk/Include/Library.nsh: Added
	  LIBRARY_INSTALL_EQUAL_VERSION option

2018-09-13 13:35  anders_k

	* /NSIS/trunk/Contrib/Modern UI 2/Interface.nsh,
	  /NSIS/trunk/Contrib/Modern UI 2/Pages/Directory.nsh,
	  /NSIS/trunk/Contrib/Modern UI 2/Pages/Finish.nsh,
	  /NSIS/trunk/Contrib/Modern UI 2/Pages/License.nsh,
	  /NSIS/trunk/Contrib/Modern UI 2/Pages/StartMenu.nsh,
	  /NSIS/trunk/Contrib/Modern UI 2/Pages/Welcome.nsh,
	  /NSIS/trunk/Contrib/Modern UI 2/Readme.html,
	  /NSIS/trunk/Contrib/Modern UI/Changelog.txt,
	  /NSIS/trunk/Contrib/Modern UI/Readme.html,
	  /NSIS/trunk/Contrib/Modern UI/System.nsh,
	  /NSIS/trunk/Contrib/nsDialogs/welcome.nsi,
	  /NSIS/trunk/Docs/src/history.but, /NSIS/trunk/Docs/src/ui.but,
	  /NSIS/trunk/Include/Util.nsh: Added MUI_TEXTCOLOR setting.
	  Check/Radio control themes are disabled when high contrast mode
	  is on as a band-aid for SetCtlColors issues.

2018-07-12 15:59  anders_k

	* /NSIS/trunk/Contrib/Language files/Czech.nsh,
	  /NSIS/trunk/Contrib/Language files/English.nsh,
	  /NSIS/trunk/Include/LangFile.nsh: Minor language file fixes

2018-06-25 21:33  anders_k

	* /NSIS/trunk/Source/build.h,
	  /NSIS/trunk/Source/exehead/fileform.h,
	  /NSIS/trunk/Source/Platform.h, /NSIS/trunk/Source/Plugins.cpp,
	  /NSIS/trunk/Source/Plugins.h, /NSIS/trunk/Source/script.cpp,
	  /NSIS/trunk/Source/util.cpp: List plug-in directories when
	  plug-in call fails

2018-06-17 21:20  anders_k

	* /NSIS/trunk/Contrib/InstallOptions/Readme.html,
	  /NSIS/trunk/Contrib/nsDialogs/Readme.html: Fixed minor
	  documentation typos

2018-06-15 23:12  anders_k

	* /NSIS/trunk/Contrib/System/Source/Call.S,
	  /NSIS/trunk/Contrib/System/Source/Call-amd64.S,
	  /NSIS/trunk/Contrib/System/Source/System.c: Use a common helper
	  function to set the CallProc result

2018-06-14 22:13  anders_k

	* /NSIS/trunk/Source/build.h, /NSIS/trunk/Source/scriptpp.cpp:
	  Stricter !delfile error/warning handling

2018-06-14 20:46  anders_k

	* /NSIS/trunk/Contrib/Language files/Hindi.nlf,
	  /NSIS/trunk/Contrib/Language files/Hindi.nsh,
	  /NSIS/trunk/Contrib/Language files/SConscript,
	  /NSIS/trunk/Docs/src/credits.but,
	  /NSIS/trunk/Docs/src/history.but, /NSIS/trunk/Examples/Modern
	  UI/MultiLanguage.nsi: Added Hindi translation (patch #289)

2018-06-11 19:57  anders_k

	* /NSIS/trunk/Contrib/System/Source/System.c: Better error
	  reporting for GetVersionEx shim on ARM64

2018-06-04 23:10  anders_k

	* /NSIS/trunk/Contrib/System/Source/System.c: Fake GetVersionEx on
	  ARM64 for WinVer.nsh

2018-06-04 14:49  anders_k

	* /NSIS/trunk/Source/build.cpp: Reset default PEDllCharacteristics
	  when target CPU changes

2018-06-04 14:31  anders_k

	* /NSIS/trunk/Contrib/System/Source/System.c: Fake more
	  System::Call functions under ARM64

2018-06-03 23:53  anders_k

	* /NSIS/trunk/SCons/Config/ms: Don't store coffgrp LTCG/POGO debug
	  data in VS2015+ release builds

2018-06-03 21:00  anders_k

	* /NSIS/trunk/Contrib/NSISdl/nsisdl.cpp,
	  /NSIS/trunk/Contrib/NSISdl/util.cpp,
	  /NSIS/trunk/Contrib/System/Source/System.c,
	  /NSIS/trunk/Contrib/System/Source/System.h,
	  /NSIS/trunk/SCons/Config/ms,
	  /NSIS/trunk/SCons/Tools/mstoolkit.py, /NSIS/trunk/SCons/utils.py,
	  /NSIS/trunk/SConstruct, /NSIS/trunk/Source/build.cpp,
	  /NSIS/trunk/Source/build.h, /NSIS/trunk/Source/script.cpp:
	  Initial groundwork for ARM64 support

2018-06-02 00:38  anders_k

	* /NSIS/trunk/Source/Platform.h, /NSIS/trunk/Source/scriptpp.cpp,
	  /NSIS/trunk/Source/util.cpp: throw() is deprecated in C++17

2018-06-01 22:08  anders_k

	* /NSIS/trunk/Examples/makensis.nsi: Added Publisher ARP value to
	  pass Windows App Certification Kit tests

2018-06-01 17:28  anders_k

	* /NSIS/trunk/Docs/src/history.but,
	  /NSIS/trunk/Source/scriptpp.cpp,
	  /NSIS/trunk/Source/Tests/preprocessor.nsi: Fixed !macroundef of
	  last defined macro bug

2018-06-01 16:33  anders_k

	* /NSIS/trunk/Examples/bigtest.nsi,
	  /NSIS/trunk/Source/Tests/preprocessor.nsi: Added some integer
	  tests

2018-05-31 20:54  anders_k

	* /NSIS/trunk/Source/Tests/preprocessor.nsi: Test !searchparse and
	  !searchreplace

2018-05-30 21:31  anders_k

	* /NSIS/trunk/Examples/makensis.nsi, /NSIS/trunk/Include/Util.nsh:
	  Added MakeARPInstallDate macro to help create the Add/Remove
	  Programs InstallDate property

2018-05-14 19:07  anders_k

	* /NSIS/trunk/Source/build.cpp, /NSIS/trunk/Source/build.h,
	  /NSIS/trunk/Source/manifest.cpp, /NSIS/trunk/Source/manifest.h,
	  /NSIS/trunk/Source/script.cpp, /NSIS/trunk/Source/tokens.cpp,
	  /NSIS/trunk/Source/tokens.h: Preliminary support for
	  disableWindowFiltering and gdiScaling manifest elements

2018-05-03 21:26  anders_k

	* /NSIS/trunk/Docs/src/basic.but: Changed ExecShell example to show
	  how to use SW_ mode without parameters

2018-04-09 22:23  anders_k

	* /NSIS/trunk/Contrib/Language files/Mongolian.nlf,
	  /NSIS/trunk/Contrib/Language files/Mongolian.nsh,
	  /NSIS/trunk/Docs/src/history.but: Updated Mongolian

2018-04-09 21:34  anders_k

	* /NSIS/trunk/Include/x64.nsh: Renamed
	  IsNativeProcessorArchitecture helpers

2018-04-08 21:58  anders_k

	* /NSIS/trunk/Docs/src/history.but, /NSIS/trunk/Include/x64.nsh:
	  Added IsNativeProcessorArchitecture helper macros to x64.nsh

2018-04-05 21:42  anders_k

	* /NSIS/trunk/Docs/src/library.but: Document that InstallLib also
	  resets the registry view

2018-03-29 23:36  anders_k

	* /NSIS/trunk/Contrib/nsDialogs/nsDialogs.nsh: Fixed broken
	  NSD_CB_GetCount command

2018-03-14 19:02  anders_k

	* /NSIS/trunk/Contrib/Language files/Russian.nlf,
	  /NSIS/trunk/Contrib/Language files/Russian.nsh: Minor fixes for
	  Russian translation (patch #226)

2018-03-14 18:51  anders_k

	* /NSIS/trunk/Contrib/Language files/Ukrainian.nlf,
	  /NSIS/trunk/Contrib/Language files/Ukrainian.nsh: Cherry-picked a
	  couple of Ukrainian fixes from patch #225

2018-03-13 19:35  anders_k

	* /NSIS/trunk/Docs/src/history.but,
	  /NSIS/trunk/Source/exehead/Main.c: Preload NTMARTA.DLL for
	  Windows 7

2018-03-12 22:36  anders_k

	* /NSIS/trunk/Contrib/Language files/Spanish.nsh,
	  /NSIS/trunk/Contrib/Language files/SpanishInternational.nsh,
	  /NSIS/trunk/Docs/src/history.but: Fixed minor Spanish bug (bug
	  #1205)

2018-02-04 21:19  anders_k

	* /NSIS/trunk/Docs/src/history.but, /NSIS/trunk/Source/build.h,
	  /NSIS/trunk/Source/makenssi.cpp, /NSIS/trunk/Source/tokens.cpp:
	  Fixed bug #1203, -CMDHELP should be printed to stdout

2018-02-01 21:34  anders_k

	* /NSIS/trunk/Docs/src/history.but,
	  /NSIS/trunk/Include/Win/WinNT.nsh, /NSIS/trunk/Include/x64.nsh:
	  Added the GetNativeProcessorArchitecture helper macro in case you
	  really really need to know the true native CPU type

2018-01-31 15:31  anders_k

	* /NSIS/trunk/Docs/src/compiler.but,
	  /NSIS/trunk/Docs/src/history.but, /NSIS/trunk/Source/build.cpp,
	  /NSIS/trunk/Source/tokens.cpp: Refactor and document !pragma
	  warning error and warning states

2018-01-30 03:53  kichik

	* /NSIS/tags/v303: Tagging for release 3.03

2018-01-30 03:52  kichik

	* /NSIS/trunk/Menu/images/header.gif: 3.03

2018-01-30 03:51  kichik

	* /NSIS/trunk/Contrib/Language files/Tatar.nsh: need eol

2018-01-30 03:40  kichik

	* /NSIS/trunk/Contrib/Language files/Tatar.nlf: fix line endings

2018-01-30 03:37  kichik

	* /NSIS/trunk/Docs/src/history.but: this time for real :)

2018-01-30 00:45  anders_k

	* /NSIS/trunk/Source/build.h: VC6 can't handle typename here but
	  GCC requires it

2018-01-29 14:42  anders_k

	* /NSIS/trunk/Source/build.h, /NSIS/trunk/Source/util.cpp: Attempt
	  to fix VC6

2018-01-29 02:46  kichik

	* /NSIS/trunk/Docs/src/history.but: prepare for release

2018-01-25 18:37  anders_k

	* /NSIS/trunk/Include/WinVer.nsh: Only include WinVer Win9x code in
	  32-bit ANSI installers

2018-01-25 17:43  anders_k

	* /NSIS/trunk/Docs/src/history.but, /NSIS/trunk/Include/WinVer.nsh:
	  Added WinVer.nsh IsDomainController (patch #286)

2018-01-22 19:08  anders_k

	* /NSIS/trunk/Contrib/Language files/SConscript,
	  /NSIS/trunk/Contrib/Language files/Tatar.nlf,
	  /NSIS/trunk/Contrib/Language files/Tatar.nsh,
	  /NSIS/trunk/Docs/src/credits.but,
	  /NSIS/trunk/Docs/src/history.but, /NSIS/trunk/Examples/Modern
	  UI/MultiLanguage.nsi: Added Tatar translation (patch #281)

2018-01-12 02:01  anders_k

	* /NSIS/trunk/Contrib/nsExec/nsExec.txt: Added required Pop's to
	  nsExec example usage

2018-01-06 17:51  anders_k

	* /NSIS/trunk/Contrib/System/Source/System.c: Fixed "text in
	  struct" bug introduced by a silly typo

2018-01-05 19:10  kichik

	* /NSIS/trunk/.travis.yml: fix slack

2018-01-05 12:53  anders_k

	* /NSIS/trunk/Source/exehead/exec.c: Don't allow scripts to delete
	  a HKEY root

2018-01-03 01:44  anders_k

	* /NSIS/trunk/Contrib/Language files/Afrikaans.nlf,
	  /NSIS/trunk/Contrib/Language files/Albanian.nlf,
	  /NSIS/trunk/Contrib/Language files/Arabic.nlf,
	  /NSIS/trunk/Contrib/Language files/Breton.nlf,
	  /NSIS/trunk/Contrib/Language files/Catalan.nlf,
	  /NSIS/trunk/Contrib/Language files/Corsican.nlf,
	  /NSIS/trunk/Contrib/Language files/Esperanto.nlf,
	  /NSIS/trunk/Contrib/Language files/Farsi.nlf,
	  /NSIS/trunk/Contrib/Language files/Finnish.nlf,
	  /NSIS/trunk/Contrib/Language files/Galician.nlf,
	  /NSIS/trunk/Contrib/Language files/German.nlf,
	  /NSIS/trunk/Contrib/Language files/Hungarian.nlf,
	  /NSIS/trunk/Contrib/Language files/Irish.nlf,
	  /NSIS/trunk/Contrib/Language files/Italian.nlf,
	  /NSIS/trunk/Contrib/Language files/Korean.nlf,
	  /NSIS/trunk/Contrib/Language files/Kurdish.nlf,
	  /NSIS/trunk/Contrib/Language files/Lithuanian.nlf,
	  /NSIS/trunk/Contrib/Language files/Pashto.nlf,
	  /NSIS/trunk/Contrib/Language files/Portuguese.nlf,
	  /NSIS/trunk/Contrib/Language files/PortugueseBR.nlf,
	  /NSIS/trunk/Contrib/Language files/ScotsGaelic.nlf,
	  /NSIS/trunk/Contrib/Language files/Slovenian.nlf,
	  /NSIS/trunk/Contrib/Language files/Turkish.nlf: Unify branding
	  langstring

2018-01-02 01:51  anders_k

	* /NSIS/trunk/Contrib/ExDLL/nsis_tchar.h,
	  /NSIS/trunk/Contrib/InstallOptions/Readme.html,
	  /NSIS/trunk/Contrib/Modern UI 2/License.txt,
	  /NSIS/trunk/Contrib/Modern UI 2/MUI2.nsh,
	  /NSIS/trunk/Contrib/Modern UI 2/Readme.html,
	  /NSIS/trunk/Contrib/Modern UI/License.txt,
	  /NSIS/trunk/Contrib/Modern UI/Readme.html,
	  /NSIS/trunk/Contrib/Modern UI/System.nsh,
	  /NSIS/trunk/Contrib/MultiUser/MultiUser.nsh,
	  /NSIS/trunk/Contrib/nsDialogs/example.nsi,
	  /NSIS/trunk/Contrib/SubStart/substart.c,
	  /NSIS/trunk/Contrib/System/Source/Call.S,
	  /NSIS/trunk/Contrib/System/Source/Call-amd64.S,
	  /NSIS/trunk/Contrib/System/System.html, /NSIS/trunk/COPYING,
	  /NSIS/trunk/Docs/src/config.but,
	  /NSIS/trunk/Docs/src/history.but,
	  /NSIS/trunk/Include/LangFile.nsh,
	  /NSIS/trunk/Include/VB6RunTime.nsh,
	  /NSIS/trunk/Source/7zip/7zGuids.cpp,
	  /NSIS/trunk/Source/7zip/7zip/Common/InBuffer.cpp,
	  /NSIS/trunk/Source/7zip/7zip/Common/InBuffer.h,
	  /NSIS/trunk/Source/7zip/7zip/Common/OutBuffer.cpp,
	  /NSIS/trunk/Source/7zip/7zip/Common/OutBuffer.h,
	  /NSIS/trunk/Source/7zip/7zip/Common/StreamUtils.cpp,
	  /NSIS/trunk/Source/7zip/7zip/Common/StreamUtils.h,
	  /NSIS/trunk/Source/7zip/7zip/Compress/LZ/BinTree/BinTree.h,
	  /NSIS/trunk/Source/7zip/7zip/Compress/LZ/BinTree/BinTree2.h,
	  /NSIS/trunk/Source/7zip/7zip/Compress/LZ/BinTree/BinTree3.h,
	  /NSIS/trunk/Source/7zip/7zip/Compress/LZ/BinTree/BinTree3Z.h,
	  /NSIS/trunk/Source/7zip/7zip/Compress/LZ/BinTree/BinTree3ZMain.h,
	  /NSIS/trunk/Source/7zip/7zip/Compress/LZ/BinTree/BinTree4.h,
	  /NSIS/trunk/Source/7zip/7zip/Compress/LZ/BinTree/BinTree4b.h,
	  /NSIS/trunk/Source/7zip/7zip/Compress/LZ/BinTree/BinTreeMain.h,
	  /NSIS/trunk/Source/7zip/7zip/Compress/LZ/BinTree/BinTreeMF.h,
	  /NSIS/trunk/Source/7zip/7zip/Compress/LZ/BinTree/BinTreeMFMain.h,
	  /NSIS/trunk/Source/7zip/7zip/Compress/LZ/IMatchFinder.h,
	  /NSIS/trunk/Source/7zip/7zip/Compress/LZ/LZInWindow.cpp,
	  /NSIS/trunk/Source/7zip/7zip/Compress/LZ/LZInWindow.h,
	  /NSIS/trunk/Source/7zip/7zip/Compress/LZ/LZOutWindow.cpp,
	  /NSIS/trunk/Source/7zip/7zip/Compress/LZ/LZOutWindow.h,
	  /NSIS/trunk/Source/7zip/7zip/Compress/LZMA/LZMA.h,
	  /NSIS/trunk/Source/7zip/7zip/Compress/LZMA/LZMAEncoder.cpp,
	  /NSIS/trunk/Source/7zip/7zip/Compress/LZMA/LZMAEncoder.h,
	  /NSIS/trunk/Source/7zip/7zip/Compress/RangeCoder/RangeCoder.h,
	  /NSIS/trunk/Source/7zip/7zip/Compress/RangeCoder/RangeCoderBit.cpp,
	  /NSIS/trunk/Source/7zip/7zip/Compress/RangeCoder/RangeCoderBit.h,
	  /NSIS/trunk/Source/7zip/7zip/Compress/RangeCoder/RangeCoderBitTree.h,
	  /NSIS/trunk/Source/7zip/7zip/Compress/RangeCoder/RangeCoderOpt.h,
	  /NSIS/trunk/Source/7zip/7zip/ICoder.h,
	  /NSIS/trunk/Source/7zip/7zip/IStream.h,
	  /NSIS/trunk/Source/7zip/Common/Alloc.cpp,
	  /NSIS/trunk/Source/7zip/Common/Alloc.h,
	  /NSIS/trunk/Source/7zip/Common/CRC.cpp,
	  /NSIS/trunk/Source/7zip/Common/CRC.h,
	  /NSIS/trunk/Source/7zip/Common/Defs.h,
	  /NSIS/trunk/Source/7zip/Common/MyCom.h,
	  /NSIS/trunk/Source/7zip/Common/MyGuidDef.h,
	  /NSIS/trunk/Source/7zip/Common/MyUnknown.h,
	  /NSIS/trunk/Source/7zip/Common/MyWindows.h,
	  /NSIS/trunk/Source/7zip/Common/StdAfx.h,
	  /NSIS/trunk/Source/7zip/Common/Types.h,
	  /NSIS/trunk/Source/7zip/LZMADecode.c,
	  /NSIS/trunk/Source/7zip/LZMADecode.h,
	  /NSIS/trunk/Source/afxres.h, /NSIS/trunk/Source/BinInterop.cpp,
	  /NSIS/trunk/Source/BinInterop.h, /NSIS/trunk/Source/build.cpp,
	  /NSIS/trunk/Source/build.h, /NSIS/trunk/Source/bzip2/blocksort.c,
	  /NSIS/trunk/Source/bzip2/bzlib.c,
	  /NSIS/trunk/Source/bzip2/bzlib.h,
	  /NSIS/trunk/Source/bzip2/compress.c,
	  /NSIS/trunk/Source/bzip2/decompress.c,
	  /NSIS/trunk/Source/bzip2/huffman.c, /NSIS/trunk/Source/cbzip2.h,
	  /NSIS/trunk/Source/clzma.cpp, /NSIS/trunk/Source/clzma.h,
	  /NSIS/trunk/Source/compressor.h, /NSIS/trunk/Source/crc32.c,
	  /NSIS/trunk/Source/crc32.h, /NSIS/trunk/Source/czlib.h,
	  /NSIS/trunk/Source/DialogTemplate.cpp,
	  /NSIS/trunk/Source/DialogTemplate.h,
	  /NSIS/trunk/Source/dirreader.cpp, /NSIS/trunk/Source/dirreader.h,
	  /NSIS/trunk/Source/exehead/afxres.h,
	  /NSIS/trunk/Source/exehead/api.h,
	  /NSIS/trunk/Source/exehead/bgbg.c,
	  /NSIS/trunk/Source/exehead/components.c,
	  /NSIS/trunk/Source/exehead/components.h,
	  /NSIS/trunk/Source/exehead/config.h,
	  /NSIS/trunk/Source/exehead/exec.c,
	  /NSIS/trunk/Source/exehead/exec.h,
	  /NSIS/trunk/Source/exehead/fileform.c,
	  /NSIS/trunk/Source/exehead/fileform.h,
	  /NSIS/trunk/Source/exehead/lang.h,
	  /NSIS/trunk/Source/exehead/Main.c,
	  /NSIS/trunk/Source/exehead/plugin.c,
	  /NSIS/trunk/Source/exehead/plugin.h,
	  /NSIS/trunk/Source/exehead/state.h,
	  /NSIS/trunk/Source/exehead/Ui.c, /NSIS/trunk/Source/exehead/ui.h,
	  /NSIS/trunk/Source/exehead/util.c,
	  /NSIS/trunk/Source/exehead/util.h,
	  /NSIS/trunk/Source/fileform.cpp, /NSIS/trunk/Source/fileform.h,
	  /NSIS/trunk/Source/growbuf.cpp, /NSIS/trunk/Source/growbuf.h,
	  /NSIS/trunk/Source/icon.cpp, /NSIS/trunk/Source/icon.h,
	  /NSIS/trunk/Source/lang.cpp, /NSIS/trunk/Source/lang.h,
	  /NSIS/trunk/Source/lineparse.cpp, /NSIS/trunk/Source/lineparse.h,
	  /NSIS/trunk/Source/makenssi.cpp, /NSIS/trunk/Source/manifest.cpp,
	  /NSIS/trunk/Source/manifest.h, /NSIS/trunk/Source/mmap.cpp,
	  /NSIS/trunk/Source/mmap.h, /NSIS/trunk/Source/Platform.h,
	  /NSIS/trunk/Source/Plugins.cpp, /NSIS/trunk/Source/Plugins.h,
	  /NSIS/trunk/Source/ResourceEditor.cpp,
	  /NSIS/trunk/Source/ResourceEditor.h,
	  /NSIS/trunk/Source/ResourceVersionInfo.cpp,
	  /NSIS/trunk/Source/ResourceVersionInfo.h,
	  /NSIS/trunk/Source/script.cpp, /NSIS/trunk/Source/scriptpp.cpp,
	  /NSIS/trunk/Source/ShConstants.cpp,
	  /NSIS/trunk/Source/ShConstants.h, /NSIS/trunk/Source/strlist.cpp,
	  /NSIS/trunk/Source/strlist.h, /NSIS/trunk/Source/tchar.h,
	  /NSIS/trunk/Source/tokens.cpp, /NSIS/trunk/Source/tokens.h,
	  /NSIS/trunk/Source/tstring.cpp, /NSIS/trunk/Source/tstring.h,
	  /NSIS/trunk/Source/uservars.h, /NSIS/trunk/Source/utf.cpp,
	  /NSIS/trunk/Source/utf.h, /NSIS/trunk/Source/util.cpp,
	  /NSIS/trunk/Source/util.h,
	  /NSIS/trunk/Source/validateunicode.cpp,
	  /NSIS/trunk/Source/validateunicode.h,
	  /NSIS/trunk/Source/winchar.cpp, /NSIS/trunk/Source/winchar.h,
	  /NSIS/trunk/Source/writer.cpp, /NSIS/trunk/Source/writer.h,
	  /NSIS/trunk/Source/zlib/INFBLOCK.C,
	  /NSIS/trunk/Source/zlib/ZCONF.H, /NSIS/trunk/Source/zlib/ZLIB.H,
	  /NSIS/trunk/Source/zlib/ZUTIL.H: (C) 2018

2017-12-22 15:33  anders_k

	* /NSIS/trunk/Include/WinMessages.nsh: Added LVM_GETITEMTEXT to fix
	  the 3rd-party CommCtrl.nsh header

2017-12-18 19:19  anders_k

	* /NSIS/trunk/Contrib/Language files/ScotsGaelic.nlf: The new
	  Windows 10 guidelines for Scottish Gaelic supposedly say that you
	  must use U+2026 and not dot dot dot

2017-12-18 00:52  anders_k

	* /NSIS/trunk/Contrib/Language files/ScotsGaelic.nlf,
	  /NSIS/trunk/Contrib/Language files/ScotsGaelic.nsh,
	  /NSIS/trunk/Docs/src/history.but: Updated ScotsGaelic (bug #1197)

2017-12-10 15:44  anders_k

	* /NSIS/trunk/Contrib/System/System.html: HTML-entify special
	  characters in example code

2017-12-03 18:10  anders_k

	* /NSIS/trunk/Source/BinInterop.cpp: Fixed silly 64-bit trunction
	  warning

2017-12-03 18:06  anders_k

	* /NSIS/trunk/Contrib/System/System.html: Don't lock $PluginsDir
	  with SetOutPath even if it is just an example

2017-12-03 18:04  anders_k

	* /NSIS/trunk/Contrib/System/Source/System.c,
	  /NSIS/trunk/Contrib/System/Source/System.h,
	  /NSIS/trunk/Contrib/System/System.html,
	  /NSIS/trunk/Docs/src/history.but: Added experimental System
	  plug-in v2 syntax option

2017-11-30 21:38  anders_k

	* /NSIS/trunk/Contrib/System/Source/System.c,
	  /NSIS/trunk/Contrib/System/Source/System.h,
	  /NSIS/trunk/Contrib/System/System.html,
	  /NSIS/trunk/Docs/src/history.but: Added System plug-in B and H
	  types

2017-11-28 18:15  anders_k

	* /NSIS/trunk/Source/build.cpp, /NSIS/trunk/Source/Platform.h:
	  Force HEASLR DllCharacteristics when ASLR bit is set for 64-bit
	  targets

2017-11-16 22:55  anders_k

	* /NSIS/trunk/Contrib/Language files/Finnish.nsh,
	  /NSIS/trunk/Contrib/Language files/Pashto.nsh,
	  /NSIS/trunk/Examples/Modern UI/MultiLanguage.nsi: Fixed rarely
	  used Finnish and Pashto uninstall MUI pages

2017-11-15 18:50  anders_k

	* /NSIS/trunk/Examples/Modern UI/MultiLanguage.nsi: Use additional
	  uninstall pages to catch more translation issues

2017-11-15 18:23  anders_k

	* /NSIS/trunk/Contrib/Language files/ScotsGaelic.nsh,
	  /NSIS/trunk/Docs/src/history.but: Fixed Scottish Gaelic
	  MUI_UNPAGE_FINISH quote issue (patch #285)

2017-11-05 18:36  anders_k

	* /NSIS/trunk/Contrib/nsDialogs/nsDialogs.nsh,
	  /NSIS/trunk/Contrib/nsDialogs/Readme.html,
	  /NSIS/trunk/Source/BinInterop.cpp,
	  /NSIS/trunk/Source/exehead/fileform.h,
	  /NSIS/trunk/Source/exehead/Ui.c, /NSIS/trunk/Source/fileform.cpp:
	  Try to avoid clobbering SysLink GWLP_USERDATA

2017-11-04 17:59  anders_k

	* /NSIS/trunk/Docs/src/defines.but,
	  /NSIS/trunk/Docs/src/history.but,
	  /NSIS/trunk/Source/scriptpp.cpp, /NSIS/trunk/Source/tokens.cpp:
	  Added ~, !, && and || !define /math operators

2017-10-30 17:18  anders_k

	* /NSIS/trunk/Source/boost/scoped_ptr.hpp: A quick hack for our
	  outdated boost library because std::auto_ptr was deprecated in
	  C++11 and removed in C++17

2017-10-29 22:36  anders_k

	* /NSIS/trunk/SCons/utils.py: Handle case where
	  MSPE.ReadCharacteristics is None

2017-10-26 16:37  anders_k

	* /NSIS/trunk/Docs/src/history.but, /NSIS/trunk/SCons/utils.py,
	  /NSIS/trunk/SConstruct: Only print the PE flags string for actual
	  PE executable files. Now also zeros the checksum just in case.

2017-10-25 23:11  anders_k

	* /NSIS/trunk/Docs/src/history.but, /NSIS/trunk/SCons/utils.py,
	  /NSIS/trunk/SConstruct: Plug-ins now set the ASLR, DEP, LAA and
	  NOSEH flags (bug #1188)

2017-10-24 21:23  anders_k

	* /NSIS/trunk/Contrib/Makensisw/utils.cpp: Handle newline when
	  parsing /version

2017-10-24 13:19  anders_k

	* /NSIS/trunk/Source/util.cpp: Make sure !system outputs whatever
	  is left in the pipe even if there is no newline

2017-10-23 17:55  anders_k

	* /NSIS/trunk/Docs/src/history.but,
	  /NSIS/trunk/Source/makenssi.cpp: MakeNSIS now returns 0 for
	  various successful information commands (bug #1193)

2017-10-23 16:08  anders_k

	* /NSIS/trunk/Contrib/VPatch/Source/GenPat/main.cpp,
	  /NSIS/trunk/Contrib/VPatch/Source/GenPat/PatchGenerator.cpp:
	  Improved VPatch GenPat error handling

2017-10-21 18:56  anders_k

	* /NSIS/trunk/Contrib/Language files/Italian.nlf,
	  /NSIS/trunk/Contrib/Language files/Italian.nsh,
	  /NSIS/trunk/Docs/src/history.but: Updated Italian translation
	  (bug #1194)

2017-10-21 01:41  anders_k

	* /NSIS/trunk/Source/util.cpp: Cast away pointless warning because
	  A) 0xffffffffUL will fit in a 64-bit off_t, or B) LONG_MAX is
	  used

2017-10-21 01:29  anders_k

	* /NSIS/trunk/Docs/src/history.but, /NSIS/trunk/Source/util.cpp:
	  Added POSIX mmap helper function used by VxD parser (patch #284)

2017-10-19 14:16  anders_k

	* /NSIS/trunk/Source/BinInterop.cpp, /NSIS/trunk/Source/util.cpp,
	  /NSIS/trunk/Source/util.h: Support named version resource in VxD
	  files so we can handle MSGame.VxD

2017-10-16 22:08  anders_k

	* /NSIS/trunk/Contrib/Modern UI 2/Localization.nsh,
	  /NSIS/trunk/Contrib/Modern UI/System.nsh: Allow compilation of
	  MUI "applications" that only use custom pages without triggering
	  a helper warning

2017-10-16 12:14  anders_k

	* /NSIS/trunk/Contrib/System/System.html: Fixed a broken MSDN link
	  in the docs

2017-10-15 16:57  anders_k

	* /NSIS/trunk/Docs/src/history.but, /NSIS/trunk/Docs/src/int.but,
	  /NSIS/trunk/Source/exehead/exec.c,
	  /NSIS/trunk/Source/exehead/fileform.h,
	  /NSIS/trunk/Source/exehead/util.c, /NSIS/trunk/Source/script.cpp,
	  /NSIS/trunk/Source/tokens.cpp, /NSIS/trunk/Source/tokens.h: Added
	  Int64Fmt

2017-10-14 16:49  anders_k

	* /NSIS/trunk/Docs/src/config.but,
	  /NSIS/trunk/Docs/src/flowcontrol.but,
	  /NSIS/trunk/Docs/src/history.but, /NSIS/trunk/Include/Util.nsh,
	  /NSIS/trunk/Source/exehead/exec.c,
	  /NSIS/trunk/Source/exehead/fileform.h,
	  /NSIS/trunk/Source/script.cpp, /NSIS/trunk/Source/tokens.cpp,
	  /NSIS/trunk/Source/tokens.h: Added IntPtrCmp, IntPtrCmpU,
	  Int64Cmp and Int64CmpU

2017-10-13 21:23  anders_k

	* /NSIS/trunk/Contrib/nsDialogs/example.nsi,
	  /NSIS/trunk/Contrib/System/System.html,
	  /NSIS/trunk/Docs/src/history.but, /NSIS/trunk/Docs/src/int.but,
	  /NSIS/trunk/Include/Util.nsh, /NSIS/trunk/Source/build.h,
	  /NSIS/trunk/Source/exehead/exec.c, /NSIS/trunk/Source/script.cpp,
	  /NSIS/trunk/Source/tokens.cpp, /NSIS/trunk/Source/tokens.h: Added
	  IntPtrOp alias

2017-10-09 17:59  anders_k

	* /NSIS/trunk/Contrib/Modern UI 2/Readme.html,
	  /NSIS/trunk/Contrib/Modern UI/Readme.html: Expand most MUI doc.
	  sections by default

2017-10-09 13:45  anders_k

	* /NSIS/trunk/Contrib/InstallOptions/Readme.html: Added HTML
	  section anchors

2017-10-08 15:26  anders_k

	* /NSIS/trunk/Contrib/System/Source/System.c,
	  /NSIS/trunk/Contrib/System/System.html,
	  /NSIS/trunk/Docs/src/history.but, /NSIS/trunk/Docs/src/int.but,
	  /NSIS/trunk/Include/Win/WinDef.nsh,
	  /NSIS/trunk/Source/exehead/exec.c,
	  /NSIS/trunk/Source/exehead/fileform.h,
	  /NSIS/trunk/Source/script.cpp, /NSIS/trunk/Source/tokens.cpp:
	  Added IntOp and System::Int64Op >>> SHR operator

2017-10-07 19:16  kichik

	* /NSIS/trunk/Docs/src/build.but: use same terms for both scons and
	  python

2017-10-07 18:56  anders_k

	* /NSIS/trunk/Contrib/System/Source/Call.S,
	  /NSIS/trunk/Contrib/System/Source/System.c: Minor 64-bit System
	  fix

2017-10-07 12:37  anders_k

	* /NSIS/trunk/Docs/src/build.but, /NSIS/trunk/INSTALL: Updated
	  minimum Python version in build docs

2017-10-06 19:30  kichik

	* /NSIS/trunk/SCons/Config/default, /NSIS/trunk/SCons/Config/gnu,
	  /NSIS/trunk/SCons/Config/hpc++, /NSIS/trunk/SCons/Config/ms: more

2017-10-06 18:23  kichik

	* /NSIS/trunk/Contrib/NSIS Menu/SConscript,
	  /NSIS/trunk/Contrib/System/SConscript,
	  /NSIS/trunk/Docs/src/history.but,
	  /NSIS/trunk/SCons/Tools/mstoolkit.py, /NSIS/trunk/SCons/utils.py,
	  /NSIS/trunk/Source/Tests/icons.py,
	  /NSIS/trunk/Source/Tests/SConscript: support python 3 for
	  building
	  python 2.6 is no longer supported

2017-10-06 17:47  anders_k

	* /NSIS/trunk/Source/exehead/util.c: Save a couple of bytes by
	  comparing the UTF16LE BOM as a 16-bit number

2017-10-06 14:30  anders_k

	* /NSIS/trunk/Source/lineparse.cpp, /NSIS/trunk/Source/lineparse.h,
	  /NSIS/trunk/Source/script.cpp: VIAddVersionKey and SetFont now
	  supports hex numbers in the /LANG= parameter

2017-10-06 13:21  anders_k

	* /NSIS/trunk/Contrib/Library/RegTool/RegTool.cpp,
	  /NSIS/trunk/Source/exehead/Main.c: Optimize away more calls to
	  GetModuleHandle(0) with __ImageBase under MSVC

2017-10-05 18:11  anders_k

	* /NSIS/trunk/Source/build.cpp, /NSIS/trunk/Source/script.cpp,
	  /NSIS/trunk/Source/util.cpp, /NSIS/trunk/Source/util.h: Avoid
	  using SEEK_END when possible

2017-10-04 23:40  anders_k

	* /NSIS/trunk/Source/BinInterop.cpp,
	  /NSIS/trunk/Source/BinInterop.h, /NSIS/trunk/Source/Plugins.cpp,
	  /NSIS/trunk/Source/ResourceEditor.cpp,
	  /NSIS/trunk/Source/ResourceEditor.h,
	  /NSIS/trunk/Source/script.cpp, /NSIS/trunk/Source/scriptpp.cpp,
	  /NSIS/trunk/Source/util.cpp, /NSIS/trunk/Source/util.h:
	  Refactored GetDLLVersion

2017-10-04 18:20  anders_k

	* /NSIS/trunk/Source/BinInterop.cpp: Removed optional TLB parser
	  debug output

2017-10-04 12:25  anders_k

	* /NSIS/trunk/Source/BinInterop.cpp,
	  /NSIS/trunk/Source/BinInterop.h: Added POSIX TLB reader functions

2017-10-03 20:48  anders_k

	* /NSIS/trunk/Contrib/Library/LibraryLocal/LibraryLocal.cpp,
	  /NSIS/trunk/Contrib/Library/LibraryLocal/SConscript,
	  /NSIS/trunk/Docs/src/compiler.but,
	  /NSIS/trunk/Docs/src/history.but,
	  /NSIS/trunk/Examples/Library.nsi,
	  /NSIS/trunk/Include/Library.nsh, /NSIS/trunk/Source/build.cpp,
	  /NSIS/trunk/Source/build.h,
	  /NSIS/trunk/Source/ResourceEditor.cpp,
	  /NSIS/trunk/Source/ResourceEditor.h,
	  /NSIS/trunk/Source/SConscript, /NSIS/trunk/Source/script.cpp,
	  /NSIS/trunk/Source/scriptpp.cpp, /NSIS/trunk/Source/strlist.cpp,
	  /NSIS/trunk/Source/strlist.h, /NSIS/trunk/Source/tokens.cpp,
	  /NSIS/trunk/Source/tokens.h, /NSIS/trunk/Source/util.cpp,
	  /NSIS/trunk/Source/util.h: Added !gettlbversion and TLB reading
	  support on POSIX

2017-09-29 18:56  anders_k

	* /NSIS/trunk/Contrib/nsDialogs/example.nsi,
	  /NSIS/trunk/Contrib/nsDialogs/nsDialogs.nsh,
	  /NSIS/trunk/Contrib/nsDialogs/Readme.html,
	  /NSIS/trunk/Include/WinMessages.nsh: Added more RichEdit NSD
	  macros and a WM_NOTIFY example

2017-09-29 17:41  anders_k

	* /NSIS/trunk/Contrib/nsDialogs/example.nsi,
	  /NSIS/trunk/Contrib/nsDialogs/nsDialogs.nsh,
	  /NSIS/trunk/Contrib/nsDialogs/Readme.html,
	  /NSIS/trunk/Docs/src/history.but: Removed unused NSD_LB_Clear
	  macro parameter

2017-09-29 14:34  anders_k

	* /NSIS/trunk/Contrib/nsDialogs/example.nsi,
	  /NSIS/trunk/Contrib/nsDialogs/nsDialogs.nsh,
	  /NSIS/trunk/Contrib/nsDialogs/Readme.html,
	  /NSIS/trunk/Include/WinMessages.nsh: Added RichEdit NSD control

2017-09-28 12:11  anders_k

	* /NSIS/trunk/Contrib/nsDialogs/example.nsi,
	  /NSIS/trunk/Contrib/nsDialogs/nsDialogs.nsh,
	  /NSIS/trunk/Contrib/nsDialogs/Readme.html,
	  /NSIS/trunk/Docs/src/history.but,
	  /NSIS/trunk/Include/WinMessages.nsh: Added more NSD editbox
	  macros

2017-09-27 12:34  anders_k

	* /NSIS/trunk/Contrib/nsDialogs/Readme.html: Simplified initial NSD
	  tutorial steps

2017-09-26 12:01  anders_k

	* /NSIS/trunk/Contrib/nsDialogs/example.nsi,
	  /NSIS/trunk/Contrib/nsDialogs/nsDialogs.nsh,
	  /NSIS/trunk/Contrib/nsDialogs/Readme.html,
	  /NSIS/trunk/Include/WinMessages.nsh: Added UpDown NSD control

2017-09-25 16:37  anders_k

	* /NSIS/trunk/Contrib/nsDialogs/example.nsi,
	  /NSIS/trunk/Contrib/nsDialogs/nsDialogs.nsh,
	  /NSIS/trunk/Contrib/nsDialogs/Readme.html: Added more example
	  controls and pages in NSD example.nsi

2017-09-25 11:57  anders_k

	* /NSIS/trunk/Contrib/nsDialogs/nsDialogs.nsh,
	  /NSIS/trunk/Contrib/nsDialogs/Readme.html: Added NSD
	  Prepend/Append CB/LB helper macros

2017-09-18 14:04  anders_k

	* /NSIS/trunk/Contrib/MakeLangId/MakeLangId.cpp: Optimize away call
	  to GetModuleHandle(NULL) under MS toolchain

2017-09-17 21:48  anders_k

	* /NSIS/trunk/Contrib/Language files/Belarusian.nsh: Update
	  Belarusian native ASCII name from BORNAME fork

2017-09-16 17:59  anders_k

	* /NSIS/trunk/Contrib/nsDialogs/nsDialogs.nsh,
	  /NSIS/trunk/Contrib/nsDialogs/Readme.html,
	  /NSIS/trunk/Include/WinMessages.nsh: Added HotKey and IPAddress
	  NSD controls

2017-09-16 14:01  anders_k

	* /NSIS/trunk/Contrib/nsDialogs/nsDialogs.nsh,
	  /NSIS/trunk/Contrib/nsDialogs/Readme.html,
	  /NSIS/trunk/Docs/src/history.but,
	  /NSIS/trunk/Include/WinMessages.nsh: Added Animation and TrackBar
	  NSD controls

2017-09-15 17:50  anders_k

	* /NSIS/trunk/Contrib/nsDialogs/nsDialogs.nsh,
	  /NSIS/trunk/Contrib/nsDialogs/Readme.html,
	  /NSIS/trunk/Docs/src/history.but: Added more NSD ListBox macros
	  (RFE #543)

2017-09-14 17:10  anders_k

	* /NSIS/trunk/Docs/src/attributes.but,
	  /NSIS/trunk/Source/build.cpp, /NSIS/trunk/Source/build.h,
	  /NSIS/trunk/Source/exehead/Ui.c,
	  /NSIS/trunk/Source/exehead/util.c,
	  /NSIS/trunk/Source/manifest.cpp, /NSIS/trunk/Source/manifest.h,
	  /NSIS/trunk/Source/script.cpp, /NSIS/trunk/Source/tokens.cpp,
	  /NSIS/trunk/Source/tokens.h: Added experimental
	  ManifestDPIAwareness attribute so we can declare PerMonitorV2
	  awareness

2017-09-01 23:06  anders_k

	* /NSIS/trunk/Docs/src/compiler.but,
	  /NSIS/trunk/Docs/src/history.but,
	  /NSIS/trunk/Examples/languages.nsi,
	  /NSIS/trunk/Examples/makensis.nsi, /NSIS/trunk/Examples/Modern
	  UI/MultiLanguage.nsi, /NSIS/trunk/Source/build.cpp,
	  /NSIS/trunk/Source/build.h, /NSIS/trunk/Source/makenssi.cpp,
	  /NSIS/trunk/Source/Tests/preprocessor.nsi: Added !pragma warning
	  error <#|all>, warning #, disable all, enable all, default all

2017-08-01 00:29  kichik

	* /NSIS/tags/v3021: Tagging for release 3.02.1

2017-08-01 00:29  kichik

	* /NSIS/trunk/Menu/images/header.gif: 3.02.1

2017-08-01 00:26  kichik

	* /NSIS/trunk/Docs/src/history.but: 3.02.1

2017-08-01 00:04  kichik

	* /NSIS/trunk/Examples/Modern UI/MultiLanguage.nsi: include welcome
	  and finish pages to catch more errors

2017-08-01 00:02  kichik

	* /NSIS/trunk/Contrib/Language files/ScotsGaelic.nsh: escape quotes

2017-07-31 17:44  anders_k

	* /NSIS/trunk/Contrib/Language files/TradChinese.nsh,
	  /NSIS/trunk/Docs/src/history.but: Fix Chinese (Traditional) (Bug
	  #1191)

2017-07-24 21:38  anders_k

	* /NSIS/trunk/Examples/makensis.nsi,
	  /NSIS/trunk/Source/scriptpp.cpp: Make sure we always install the
	  "native" RegTool binary.

2017-07-24 11:38  anders_k

	* /NSIS/trunk/Contrib/Language files/Pashto.nsh,
	  /NSIS/trunk/Contrib/Language files/Romanian.nsh,
	  /NSIS/trunk/Contrib/Language files/TradChinese.nsh,
	  /NSIS/trunk/Docs/src/history.but: Fix translation files:
	  Romanian.nsh, TradChinese.nsh (bug #1189)

2017-07-24 06:31  kichik

	* /NSIS/tags/v302: Tagging for release 3.02

2017-07-24 00:30  kichik

	* /NSIS/tags/v302: rerelease 3.02 due to another vc6 issue...

2017-07-24 00:28  kichik

	* /NSIS/trunk/Source/exehead/exec.c: more vc6 weirdness

2017-07-23 23:50  kichik

	* /NSIS/tags/v302: Tagging for release 3.02

2017-07-23 23:48  kichik

	* /NSIS/trunk/Menu/images/header.gif: 3.02

2017-07-23 23:45  kichik

	* /NSIS/trunk/Examples/makensis.nsi: fix regtool path

2017-07-23 23:38  kichik

	* /NSIS/trunk/Docs/src/SConscript: improve hhc workaround

2017-07-23 19:53  kichik

	* /NSIS/trunk/Source/build.cpp, /NSIS/trunk/Source/build.h,
	  /NSIS/trunk/Source/script.cpp: vc6 build errors

2017-07-23 19:11  kichik

	* /NSIS/trunk/Docs/src/history.but: 3.02

2017-07-17 21:44  anders_k

	* /NSIS/trunk/Docs/src/compilerflags.but,
	  /NSIS/trunk/Source/tokens.cpp: Minor documentation fixes

2017-06-24 19:28  anders_k

	* /NSIS/trunk/Docs/src/ui.but,
	  /NSIS/trunk/Docs/src/usefulinfos.but: Removed outdated tidbits
	  from the documentation

2017-06-23 12:59  anders_k

	* /NSIS/trunk/Source/build.cpp, /NSIS/trunk/Source/exehead/api.h,
	  /NSIS/trunk/Source/exehead/exec.c: Logging build now prints
	  EW_SETFLAG changes

2017-06-23 01:11  anders_k

	* /NSIS/trunk/Docs/src/history.but, /NSIS/trunk/Docs/src/misc.but,
	  /NSIS/trunk/Docs/src/var.but, /NSIS/trunk/Source/build.cpp,
	  /NSIS/trunk/Source/exehead/util.c,
	  /NSIS/trunk/Source/manifest.cpp: $LocalAppData now resolves to
	  the ProgramData folder in the "SetShellVarContext all" context

2017-06-19 22:01  anders_k

	* /NSIS/trunk/Contrib/Language files/Czech.nlf,
	  /NSIS/trunk/Docs/src/flowcontrol.but: Minor Czech translation fix
	  from the forum

2017-06-15 18:58  anders_k

	* /NSIS/trunk/Contrib/LangDLL/LangDLL.c,
	  /NSIS/trunk/Docs/src/var.but: Display English and German in
	  LangDLL if the codepage is 1250 (Bug #1185)

2017-06-07 21:51  anders_k

	* /NSIS/trunk/Contrib/Language files/SimpChinese.nsh: Fixed minor
	  error in SimpChinese.nsh (Patch #283)

2017-06-06 19:51  anders_k

	* /NSIS/trunk/Contrib/System/Source/System.c,
	  /NSIS/trunk/Docs/src/history.but,
	  /NSIS/trunk/Docs/src/registry.but,
	  /NSIS/trunk/Source/exehead/exec.c,
	  /NSIS/trunk/Source/exehead/fileform.h,
	  /NSIS/trunk/Source/exehead/util.c,
	  /NSIS/trunk/Source/exehead/util.h, /NSIS/trunk/Source/script.cpp,
	  /NSIS/trunk/Source/tokens.cpp: Added the HKCR32, HKCR64, HKCU32,
	  HKCU64, HKLM32 and HKLM64 root keys and the experimental HK*ANY
	  root keys.

2017-06-06 02:03  anders_k

	* /NSIS/branches/nsis2/Contrib/AdvSplash/advsplash.txt,
	  /NSIS/branches/nsis2/Contrib/ExDLL/exdll.c,
	  /NSIS/branches/nsis2/Contrib/InstallOptions/Readme.html,
	  /NSIS/branches/nsis2/Contrib/InstallOptions/test.ini,
	  /NSIS/branches/nsis2/Contrib/InstallOptions/testnotify.ini,
	  /NSIS/branches/nsis2/Contrib/Language files/Afrikaans.nlf,
	  /NSIS/branches/nsis2/Contrib/Language files/Albanian.nlf,
	  /NSIS/branches/nsis2/Contrib/Language files/Arabic.nlf,
	  /NSIS/branches/nsis2/Contrib/Language files/Arabic.nsh,
	  /NSIS/branches/nsis2/Contrib/Language files/Basque.nlf,
	  /NSIS/branches/nsis2/Contrib/Language files/Basque.nsh,
	  /NSIS/branches/nsis2/Contrib/Language files/Belarusian.nlf,
	  /NSIS/branches/nsis2/Contrib/Language files/Bosnian.nlf,
	  /NSIS/branches/nsis2/Contrib/Language files/Breton.nlf,
	  /NSIS/branches/nsis2/Contrib/Language files/Bulgarian.nlf,
	  /NSIS/branches/nsis2/Contrib/Language files/Catalan.nlf,
	  /NSIS/branches/nsis2/Contrib/Language files/Croatian.nlf,
	  /NSIS/branches/nsis2/Contrib/Language files/Czech.nlf,
	  /NSIS/branches/nsis2/Contrib/Language files/Danish.nlf,
	  /NSIS/branches/nsis2/Contrib/Language files/Danish.nsh,
	  /NSIS/branches/nsis2/Contrib/Language files/Dutch.nlf,
	  /NSIS/branches/nsis2/Contrib/Language files/English.nlf,
	  /NSIS/branches/nsis2/Contrib/Language files/Esperanto.nlf,
	  /NSIS/branches/nsis2/Contrib/Language files/Estonian.nlf,
	  /NSIS/branches/nsis2/Contrib/Language files/Farsi.nlf,
	  /NSIS/branches/nsis2/Contrib/Language files/Finnish.nlf,
	  /NSIS/branches/nsis2/Contrib/Language files/French.nlf,
	  /NSIS/branches/nsis2/Contrib/Language files/Galician.nlf,
	  /NSIS/branches/nsis2/Contrib/Language files/German.nlf,
	  /NSIS/branches/nsis2/Contrib/Language files/Greek.nlf,
	  /NSIS/branches/nsis2/Contrib/Language files/Hebrew.nlf,
	  /NSIS/branches/nsis2/Contrib/Language files/Hungarian.nlf,
	  /NSIS/branches/nsis2/Contrib/Language files/Icelandic.nlf,
	  /NSIS/branches/nsis2/Contrib/Language files/Indonesian.nlf,
	  /NSIS/branches/nsis2/Contrib/Language files/Irish.nlf,
	  /NSIS/branches/nsis2/Contrib/Language files/Italian.nlf,
	  /NSIS/branches/nsis2/Contrib/Language files/Japanese.nlf,
	  /NSIS/branches/nsis2/Contrib/Language files/Korean.nlf,
	  /NSIS/branches/nsis2/Contrib/Language files/Kurdish.nlf,
	  /NSIS/branches/nsis2/Contrib/Language files/Latvian.nlf,
	  /NSIS/branches/nsis2/Contrib/Language files/Lithuanian.nlf,
	  /NSIS/branches/nsis2/Contrib/Language files/Luxembourgish.nlf,
	  /NSIS/branches/nsis2/Contrib/Language files/Macedonian.nlf,
	  /NSIS/branches/nsis2/Contrib/Language files/Malay.nlf,
	  /NSIS/branches/nsis2/Contrib/Language files/Mongolian.nlf,
	  /NSIS/branches/nsis2/Contrib/Language files/Norwegian.nlf,
	  /NSIS/branches/nsis2/Contrib/Language files/Norwegian.nsh,
	  /NSIS/branches/nsis2/Contrib/Language files/NorwegianNynorsk.nlf,
	  /NSIS/branches/nsis2/Contrib/Language files/NorwegianNynorsk.nsh,
	  /NSIS/branches/nsis2/Contrib/Language files/Polish.nlf,
	  /NSIS/branches/nsis2/Contrib/Language files/Portuguese.nlf,
	  /NSIS/branches/nsis2/Contrib/Language files/Portuguese.nsh,
	  /NSIS/branches/nsis2/Contrib/Language files/PortugueseBR.nlf,
	  /NSIS/branches/nsis2/Contrib/Language files/PortugueseBR.nsh,
	  /NSIS/branches/nsis2/Contrib/Language files/Romanian.nlf,
	  /NSIS/branches/nsis2/Contrib/Language files/Russian.nlf,
	  /NSIS/branches/nsis2/Contrib/Language files/Serbian.nlf,
	  /NSIS/branches/nsis2/Contrib/Language files/SerbianLatin.nlf,
	  /NSIS/branches/nsis2/Contrib/Language files/SimpChinese.nlf,
	  /NSIS/branches/nsis2/Contrib/Language files/Slovak.nlf,
	  /NSIS/branches/nsis2/Contrib/Language files/Slovenian.nlf,
	  /NSIS/branches/nsis2/Contrib/Language files/Spanish.nlf,
	  /NSIS/branches/nsis2/Contrib/Language
	  files/SpanishInternational.nlf,
	  /NSIS/branches/nsis2/Contrib/Language files/Swedish.nlf,
	  /NSIS/branches/nsis2/Contrib/Language files/Swedish.nsh,
	  /NSIS/branches/nsis2/Contrib/Language files/Thai.nlf,
	  /NSIS/branches/nsis2/Contrib/Language files/TradChinese.nlf,
	  /NSIS/branches/nsis2/Contrib/Language files/Turkish.nlf,
	  /NSIS/branches/nsis2/Contrib/Language files/Ukrainian.nlf,
	  /NSIS/branches/nsis2/Contrib/Language files/Ukrainian.nsh,
	  /NSIS/branches/nsis2/Contrib/Language files/Uzbek.nlf,
	  /NSIS/branches/nsis2/Contrib/Language files/Welsh.nlf,
	  /NSIS/branches/nsis2/Contrib/Math/Math.txt,
	  /NSIS/branches/nsis2/Contrib/Modern UI 2/Localization.nsh,
	  /NSIS/branches/nsis2/Contrib/Modern UI
	  2/Pages/UninstallConfirm.nsh, /NSIS/branches/nsis2/Contrib/Modern
	  UI/System.nsh,
	  /NSIS/branches/nsis2/Contrib/MultiUser/MultiUser.nsh,
	  /NSIS/branches/nsis2/Contrib/MultiUser/Readme.html,
	  /NSIS/branches/nsis2/Contrib/NSIS Menu/nsismenu/nslinks.cpp,
	  /NSIS/branches/nsis2/Contrib/NSIS Menu/SConscript,
	  /NSIS/branches/nsis2/Contrib/NSISdl/ReadMe.txt,
	  /NSIS/branches/nsis2/Contrib/NSISdl/SConscript,
	  /NSIS/branches/nsis2/Contrib/Splash/splash.txt,
	  /NSIS/branches/nsis2/Contrib/StartMenu/Example.nsi,
	  /NSIS/branches/nsis2/Contrib/System/System.html,
	  /NSIS/branches/nsis2/Contrib/zip2exe/main.cpp,
	  /NSIS/branches/nsis2/Contrib/zip2exe/res.rc,
	  /NSIS/branches/nsis2/Docs/src/attributes.but,
	  /NSIS/branches/nsis2/Docs/src/basic.but,
	  /NSIS/branches/nsis2/Docs/src/callback.but,
	  /NSIS/branches/nsis2/Docs/src/compiler.but,
	  /NSIS/branches/nsis2/Docs/src/credits.but,
	  /NSIS/branches/nsis2/Docs/src/generalpurpose.but,
	  /NSIS/branches/nsis2/Docs/src/history.but,
	  /NSIS/branches/nsis2/Docs/src/langs.but,
	  /NSIS/branches/nsis2/Docs/src/misc.but,
	  /NSIS/branches/nsis2/Docs/src/script.but,
	  /NSIS/branches/nsis2/Docs/src/tutorial.but,
	  /NSIS/branches/nsis2/Docs/src/var.but,
	  /NSIS/branches/nsis2/Examples/bigtest.nsi,
	  /NSIS/branches/nsis2/Examples/example2.nsi,
	  /NSIS/branches/nsis2/Examples/makensis.nsi,
	  /NSIS/branches/nsis2/Examples/Modern UI/StartMenu.nsi,
	  /NSIS/branches/nsis2/Include/LogicLib.nsh,
	  /NSIS/branches/nsis2/Include/StrFunc.nsh,
	  /NSIS/branches/nsis2/Include/UpgradeDLL.nsh,
	  /NSIS/branches/nsis2/SCons/config.py,
	  /NSIS/branches/nsis2/SCons/Config/gnu,
	  /NSIS/branches/nsis2/SCons/Tools/crossmingw.py,
	  /NSIS/branches/nsis2/Scripts/release.py,
	  /NSIS/branches/nsis2/Source/7zip/7zip/Compress/LZ/BinTree/BinTree.h,
	  /NSIS/branches/nsis2/Source/7zip/7zip/Compress/LZMA/LZMAEncoder.cpp,
	  /NSIS/branches/nsis2/Source/exehead/api.h,
	  /NSIS/branches/nsis2/Source/exehead/exec.c,
	  /NSIS/branches/nsis2/Source/exehead/fileform.c,
	  /NSIS/branches/nsis2/Source/exehead/fileform.h,
	  /NSIS/branches/nsis2/Source/exehead/Main.c,
	  /NSIS/branches/nsis2/Source/exehead/Ui.c,
	  /NSIS/branches/nsis2/Source/exehead/util.c,
	  /NSIS/branches/nsis2/Source/lang.cpp,
	  /NSIS/branches/nsis2/Source/makenssi.cpp,
	  /NSIS/branches/nsis2/Source/script.cpp,
	  /NSIS/branches/nsis2/Source/Tests/compression.cpp,
	  /NSIS/branches/nsis2/Source/tokens.cpp,
	  /NSIS/branches/nsis2/Source/tokens.h,
	  /NSIS/branches/nsis2/Source/util.cpp,
	  /NSIS/branches/nsis2/Source/util.h,
	  /NSIS/branches/nsis2/Source/zlib/ZUTIL.H,
	  /NSIS/branches/nsis2/TODO.txt: Backported some bugfixes from NSIS
	  3

2017-06-05 21:43  anders_k

	* /NSIS/trunk/Source/exehead/util.c: Bring back optimized
	  mystrcpy(tmpbuf, _T("NUL")) from NSIS2

2017-06-05 20:20  anders_k

	* /NSIS/trunk/Contrib/Language files/Afrikaans.nlf,
	  /NSIS/trunk/Contrib/Language files/Albanian.nlf,
	  /NSIS/trunk/Contrib/Language files/Arabic.nlf,
	  /NSIS/trunk/Contrib/Language files/Asturian.nlf,
	  /NSIS/trunk/Contrib/Language files/Basque.nlf,
	  /NSIS/trunk/Contrib/Language files/Belarusian.nlf,
	  /NSIS/trunk/Contrib/Language files/Bosnian.nlf,
	  /NSIS/trunk/Contrib/Language files/Breton.nlf,
	  /NSIS/trunk/Contrib/Language files/Catalan.nlf,
	  /NSIS/trunk/Contrib/Language files/Cibemba.nlf,
	  /NSIS/trunk/Contrib/Language files/Corsican.nlf,
	  /NSIS/trunk/Contrib/Language files/Croatian.nlf,
	  /NSIS/trunk/Contrib/Language files/Czech.nlf,
	  /NSIS/trunk/Contrib/Language files/Danish.nlf,
	  /NSIS/trunk/Contrib/Language files/Dutch.nlf,
	  /NSIS/trunk/Contrib/Language files/Efik.nlf,
	  /NSIS/trunk/Contrib/Language files/English.nlf,
	  /NSIS/trunk/Contrib/Language files/Esperanto.nlf,
	  /NSIS/trunk/Contrib/Language files/Estonian.nlf,
	  /NSIS/trunk/Contrib/Language files/Finnish.nlf,
	  /NSIS/trunk/Contrib/Language files/French.nlf,
	  /NSIS/trunk/Contrib/Language files/Galician.nlf,
	  /NSIS/trunk/Contrib/Language files/Georgian.nlf,
	  /NSIS/trunk/Contrib/Language files/German.nlf,
	  /NSIS/trunk/Contrib/Language files/Greek.nlf,
	  /NSIS/trunk/Contrib/Language files/Hungarian.nlf,
	  /NSIS/trunk/Contrib/Language files/Icelandic.nlf,
	  /NSIS/trunk/Contrib/Language files/Igbo.nlf,
	  /NSIS/trunk/Contrib/Language files/Indonesian.nlf,
	  /NSIS/trunk/Contrib/Language files/Irish.nlf,
	  /NSIS/trunk/Contrib/Language files/Italian.nlf,
	  /NSIS/trunk/Contrib/Language files/Japanese.nlf,
	  /NSIS/trunk/Contrib/Language files/Khmer.nlf,
	  /NSIS/trunk/Contrib/Language files/Korean.nlf,
	  /NSIS/trunk/Contrib/Language files/Kurdish.nlf,
	  /NSIS/trunk/Contrib/Language files/Latvian.nlf,
	  /NSIS/trunk/Contrib/Language files/Lithuanian.nlf,
	  /NSIS/trunk/Contrib/Language files/Luxembourgish.nlf,
	  /NSIS/trunk/Contrib/Language files/Macedonian.nlf,
	  /NSIS/trunk/Contrib/Language files/Malagasy.nlf,
	  /NSIS/trunk/Contrib/Language files/Malay.nlf,
	  /NSIS/trunk/Contrib/Language files/Mongolian.nlf,
	  /NSIS/trunk/Contrib/Language files/Norwegian.nlf,
	  /NSIS/trunk/Contrib/Language files/NorwegianNynorsk.nlf,
	  /NSIS/trunk/Contrib/Language files/Pashto.nlf,
	  /NSIS/trunk/Contrib/Language files/Polish.nlf,
	  /NSIS/trunk/Contrib/Language files/Portuguese.nlf,
	  /NSIS/trunk/Contrib/Language files/PortugueseBR.nlf,
	  /NSIS/trunk/Contrib/Language files/Romanian.nlf,
	  /NSIS/trunk/Contrib/Language files/ScotsGaelic.nlf,
	  /NSIS/trunk/Contrib/Language files/Serbian.nlf,
	  /NSIS/trunk/Contrib/Language files/SerbianLatin.nlf,
	  /NSIS/trunk/Contrib/Language files/SimpChinese.nlf,
	  /NSIS/trunk/Contrib/Language files/Slovak.nlf,
	  /NSIS/trunk/Contrib/Language files/Slovenian.nlf,
	  /NSIS/trunk/Contrib/Language files/Spanish.nlf,
	  /NSIS/trunk/Contrib/Language files/SpanishInternational.nlf,
	  /NSIS/trunk/Contrib/Language files/Swahili.nlf,
	  /NSIS/trunk/Contrib/Language files/Swedish.nlf,
	  /NSIS/trunk/Contrib/Language files/Thai.nlf,
	  /NSIS/trunk/Contrib/Language files/TradChinese.nlf,
	  /NSIS/trunk/Contrib/Language files/Turkish.nlf,
	  /NSIS/trunk/Contrib/Language files/Ukrainian.nlf,
	  /NSIS/trunk/Contrib/Language files/Valencian.nlf,
	  /NSIS/trunk/Contrib/Language files/Vietnamese.nlf,
	  /NSIS/trunk/Contrib/Language files/Welsh.nlf,
	  /NSIS/trunk/Contrib/Language files/Yoruba.nlf,
	  /NSIS/trunk/Source/lang.cpp: Add space between disk space value
	  and unit (Bug #1132)

2017-06-05 01:01  anders_k

	* /NSIS/trunk/Source/exehead/exec.c,
	  /NSIS/trunk/Source/exehead/Ui.c,
	  /NSIS/trunk/Source/exehead/util.c,
	  /NSIS/trunk/Source/exehead/util.h: Don't use ShellExecute, only
	  ShellExecuteEx

2017-06-05 00:34  kichik

	* /NSIS/trunk/README.md: add readme with build status
	  partly https://github.com/kichik/nsis/pull/1

2017-06-04 22:48  anders_k

	* /NSIS/trunk/Docs/src/history.but,
	  /NSIS/trunk/Docs/src/tutorial.but, /NSIS/trunk/Source/build.cpp,
	  /NSIS/trunk/Source/exehead/api.h,
	  /NSIS/trunk/Source/exehead/exec.c,
	  /NSIS/trunk/Source/exehead/fileform.h,
	  /NSIS/trunk/Source/exehead/Main.c,
	  /NSIS/trunk/Source/exehead/util.c,
	  /NSIS/trunk/Source/exehead/util.h,
	  /NSIS/trunk/Source/makenssi.cpp, /NSIS/trunk/Source/script.cpp,
	  /NSIS/trunk/Source/tokens.cpp: Unsupported SetRegView mode must
	  fail all registry operations

2017-06-03 02:56  anders_k

	* /NSIS/trunk/.travis.yml, /NSIS/trunk/Source/makenssi.cpp,
	  /NSIS/trunk/Source/script.cpp, /NSIS/trunk/Source/utf.cpp,
	  /web-scripts/trunk/cppunit.rb: TravisCI OSX instance needs
	  cppunit v1.13.2

2017-05-29 16:25  anders_k

	* /NSIS/trunk/Docs/src/history.but,
	  /NSIS/trunk/Source/exehead/exec.c, /NSIS/trunk/Source/Platform.h,
	  /NSIS/trunk/Source/script.cpp, /NSIS/trunk/Source/tokens.cpp,
	  /NSIS/trunk/Source/tokens.h: Added WriteRegNone

2017-05-29 13:12  anders_k

	* /NSIS/trunk/Source/script.cpp: SendMessage /TIMEOUT= parameter
	  should not be case-sensitive.

2017-05-27 01:21  anders_k

	* /NSIS/trunk/Include/Win/COM.nsh: Added IGameExplorer to COM.nsh

2017-05-22 18:10  anders_k

	* /NSIS/trunk/Docs/src/attributes.but,
	  /NSIS/trunk/Docs/src/history.but,
	  /NSIS/trunk/Source/exehead/api.h,
	  /NSIS/trunk/Source/exehead/Main.c,
	  /NSIS/trunk/Source/exehead/Ui.c,
	  /NSIS/trunk/Source/exehead/util.c: Variables used in Caption can
	  now be set in .onGuiInit (RFE #539)

2017-05-14 16:16  anders_k

	* /NSIS/trunk/Contrib/Library/RegTool/RegTool.cpp,
	  /NSIS/trunk/Contrib/Library/RegTool/SConscript,
	  /NSIS/trunk/Include/Library.nsh,
	  /NSIS/trunk/Include/UpgradeDLL.nsh, /NSIS/trunk/SConstruct,
	  /NSIS/trunk/Source/build.cpp, /NSIS/trunk/Source/util.h: Include
	  CPU architecture in the RegTool filename so Library.nsh always
	  picks the correct version

2017-05-12 00:19  anders_k

	* /NSIS/trunk/Contrib/Library/RegTool/RegTool.c,
	  /NSIS/trunk/Contrib/Library/RegTool/RegTool.cpp,
	  /NSIS/trunk/Contrib/Library/RegTool/SConscript,
	  /NSIS/trunk/Docs/src/history.but,
	  /NSIS/trunk/Include/Library.nsh,
	  /NSIS/trunk/Include/UpgradeDLL.nsh: TCHAR cannot be used in
	  RegTool because it must be able to run on Win9x.
	  
	  RegTool now implements A and W functions in the same binary.
	  Bitness mixing is still problematic.

2017-05-03 22:31  kichik

	* /NSIS/trunk/.travis.yml: notify slack

2017-05-03 21:17  anders_k

	* /NSIS/trunk/Include/UpgradeDLL.nsh: UpgradeDLL needs to use the
	  correct RegTool version key

2017-05-03 12:08  anders_k

	* /NSIS/trunk/Examples/bigtest.nsi,
	  /NSIS/trunk/Source/7zip/7zip/Compress/LZ/BinTree/BinTree.h,
	  /NSIS/trunk/Source/build.cpp, /NSIS/trunk/Source/build.h,
	  /NSIS/trunk/Source/lineparse.cpp,
	  /NSIS/trunk/Source/makenssi.cpp, /NSIS/trunk/Source/manifest.cpp,
	  /NSIS/trunk/Source/manifest.h, /NSIS/trunk/Source/Platform.h,
	  /NSIS/trunk/Source/SConscript, /NSIS/trunk/Source/script.cpp,
	  /NSIS/trunk/Source/scriptpp.cpp, /NSIS/trunk/Source/util.cpp,
	  /NSIS/trunk/Source/util.h: Refactored preprocessor instructions
	  to separate source file

2017-04-26 19:40  kichik

	* /NSIS/trunk/.travis.yml: build osx on travis

2017-04-25 13:58  anders_k

	* /NSIS/trunk/Examples/makensis.nsi, /NSIS/trunk/Source/build.cpp,
	  /NSIS/trunk/Source/script.cpp: Use a internal command to detect
	  the CHM header because the !searchparse hack fails with a
	  encoding error if the ACP codepage is 936.

2017-04-25 13:09  anders_k

	* /NSIS/trunk/Contrib/nsDialogs/example.nsi,
	  /NSIS/trunk/Contrib/nsDialogs/timer.nsi,
	  /NSIS/trunk/Docs/src/compiler.but,
	  /NSIS/trunk/Docs/src/history.but, /NSIS/trunk/Source/build.cpp,
	  /NSIS/trunk/Source/build.h, /NSIS/trunk/Source/lang.cpp,
	  /NSIS/trunk/Source/makenssi.cpp, /NSIS/trunk/Source/script.cpp,
	  /NSIS/trunk/Source/tokens.cpp, /NSIS/trunk/Source/tokens.h,
	  /NSIS/trunk/Source/util.cpp, /NSIS/trunk/Source/util.h: Added
	  !pragma warning (patch #267)

2017-04-18 19:21  kichik

	* /NSIS/trunk/Source/exehead/exec.c: log build fix for anders

2017-04-18 08:20  kichik

	* /NSIS/trunk/.travis.yml: test log build

2017-04-14 21:48  anders_k

	* /NSIS/trunk/Contrib/Library/LibraryLocal/LibraryLocal.cpp,
	  /NSIS/trunk/Source/zlib/ZUTIL.H: Fixed two GCC POSIX warnings

2017-04-14 14:17  anders_k

	* /NSIS/trunk/Contrib/Language files/Afrikaans.nlf,
	  /NSIS/trunk/Contrib/Language files/Albanian.nlf,
	  /NSIS/trunk/Contrib/Language files/Arabic.nlf,
	  /NSIS/trunk/Contrib/Language files/Armenian.nlf,
	  /NSIS/trunk/Contrib/Language files/Asturian.nlf,
	  /NSIS/trunk/Contrib/Language files/Basque.nlf,
	  /NSIS/trunk/Contrib/Language files/Belarusian.nlf,
	  /NSIS/trunk/Contrib/Language files/Bosnian.nlf,
	  /NSIS/trunk/Contrib/Language files/Breton.nlf,
	  /NSIS/trunk/Contrib/Language files/Bulgarian.nlf,
	  /NSIS/trunk/Contrib/Language files/Catalan.nlf,
	  /NSIS/trunk/Contrib/Language files/Cibemba.nlf,
	  /NSIS/trunk/Contrib/Language files/Corsican.nlf,
	  /NSIS/trunk/Contrib/Language files/Croatian.nlf,
	  /NSIS/trunk/Contrib/Language files/Czech.nlf,
	  /NSIS/trunk/Contrib/Language files/Danish.nlf,
	  /NSIS/trunk/Contrib/Language files/Dutch.nlf,
	  /NSIS/trunk/Contrib/Language files/Efik.nlf,
	  /NSIS/trunk/Contrib/Language files/English.nlf,
	  /NSIS/trunk/Contrib/Language files/Esperanto.nlf,
	  /NSIS/trunk/Contrib/Language files/Estonian.nlf,
	  /NSIS/trunk/Contrib/Language files/Farsi.nlf,
	  /NSIS/trunk/Contrib/Language files/Finnish.nlf,
	  /NSIS/trunk/Contrib/Language files/French.nlf,
	  /NSIS/trunk/Contrib/Language files/Galician.nlf,
	  /NSIS/trunk/Contrib/Language files/Georgian.nlf,
	  /NSIS/trunk/Contrib/Language files/German.nlf,
	  /NSIS/trunk/Contrib/Language files/Greek.nlf,
	  /NSIS/trunk/Contrib/Language files/Hebrew.nlf,
	  /NSIS/trunk/Contrib/Language files/Hungarian.nlf,
	  /NSIS/trunk/Contrib/Language files/Icelandic.nlf,
	  /NSIS/trunk/Contrib/Language files/Igbo.nlf,
	  /NSIS/trunk/Contrib/Language files/Indonesian.nlf,
	  /NSIS/trunk/Contrib/Language files/Irish.nlf,
	  /NSIS/trunk/Contrib/Language files/Italian.nlf,
	  /NSIS/trunk/Contrib/Language files/Japanese.nlf,
	  /NSIS/trunk/Contrib/Language files/Khmer.nlf,
	  /NSIS/trunk/Contrib/Language files/Korean.nlf,
	  /NSIS/trunk/Contrib/Language files/Kurdish.nlf,
	  /NSIS/trunk/Contrib/Language files/Latvian.nlf,
	  /NSIS/trunk/Contrib/Language files/Lithuanian.nlf,
	  /NSIS/trunk/Contrib/Language files/Luxembourgish.nlf,
	  /NSIS/trunk/Contrib/Language files/Macedonian.nlf,
	  /NSIS/trunk/Contrib/Language files/Malagasy.nlf,
	  /NSIS/trunk/Contrib/Language files/Malay.nlf,
	  /NSIS/trunk/Contrib/Language files/Mongolian.nlf,
	  /NSIS/trunk/Contrib/Language files/Norwegian.nlf,
	  /NSIS/trunk/Contrib/Language files/NorwegianNynorsk.nlf,
	  /NSIS/trunk/Contrib/Language files/Pashto.nlf,
	  /NSIS/trunk/Contrib/Language files/Polish.nlf,
	  /NSIS/trunk/Contrib/Language files/Portuguese.nlf,
	  /NSIS/trunk/Contrib/Language files/PortugueseBR.nlf,
	  /NSIS/trunk/Contrib/Language files/Romanian.nlf,
	  /NSIS/trunk/Contrib/Language files/Russian.nlf,
	  /NSIS/trunk/Contrib/Language files/ScotsGaelic.nlf,
	  /NSIS/trunk/Contrib/Language files/Serbian.nlf,
	  /NSIS/trunk/Contrib/Language files/SerbianLatin.nlf,
	  /NSIS/trunk/Contrib/Language files/SimpChinese.nlf,
	  /NSIS/trunk/Contrib/Language files/Slovak.nlf,
	  /NSIS/trunk/Contrib/Language files/Slovenian.nlf,
	  /NSIS/trunk/Contrib/Language files/Spanish.nlf,
	  /NSIS/trunk/Contrib/Language files/SpanishInternational.nlf,
	  /NSIS/trunk/Contrib/Language files/Swahili.nlf,
	  /NSIS/trunk/Contrib/Language files/Swedish.nlf,
	  /NSIS/trunk/Contrib/Language files/Thai.nlf,
	  /NSIS/trunk/Contrib/Language files/TradChinese.nlf,
	  /NSIS/trunk/Contrib/Language files/Turkish.nlf,
	  /NSIS/trunk/Contrib/Language files/Ukrainian.nlf,
	  /NSIS/trunk/Contrib/Language files/Uzbek.nlf,
	  /NSIS/trunk/Contrib/Language files/Valencian.nlf,
	  /NSIS/trunk/Contrib/Language files/Vietnamese.nlf,
	  /NSIS/trunk/Contrib/Language files/Welsh.nlf,
	  /NSIS/trunk/Contrib/Language files/Yoruba.nlf,
	  /NSIS/trunk/Source/lang.cpp, /NSIS/trunk/Source/util.cpp,
	  /NSIS/trunk/Source/util.h: Default language file codepage is only
	  ASCII compatible (Bug #1180)

2017-04-13 21:00  kichik

	* /NSIS/trunk/.travis.yml: drone.io is dead so use travis-ci.org
	  instead

2017-04-13 14:42  anders_k

	* /NSIS/trunk/Source/Platform.h, /NSIS/trunk/Source/script.cpp,
	  /NSIS/trunk/Source/util.h: Fix POSIX error

2017-04-06 18:07  anders_k

	* /NSIS/trunk/Contrib/Language files/Indonesian.nlf,
	  /NSIS/trunk/Contrib/Language files/SimpChinese.nlf,
	  /NSIS/trunk/Contrib/Language files/SimpChinese.nsh,
	  /NSIS/trunk/Contrib/Language files/TradChinese.nlf,
	  /NSIS/trunk/Contrib/Language files/TradChinese.nsh,
	  /NSIS/trunk/Docs/src/credits.but,
	  /NSIS/trunk/Docs/src/history.but: Chinese (Traditional) updates
	  by Walter Cheuk (Forum)

2017-04-03 17:35  anders_k

	* /NSIS/trunk/Contrib/Modern UI 2/MUI2.nsh,
	  /NSIS/trunk/Contrib/Modern UI 2/Pages/Finish.nsh,
	  /NSIS/trunk/Contrib/Modern UI 2/Pages/StartMenu.nsh,
	  /NSIS/trunk/Contrib/Modern UI 2/Pages/Welcome.nsh,
	  /NSIS/trunk/Contrib/Modern UI 2/Readme.html,
	  /NSIS/trunk/Contrib/Modern UI/System.nsh,
	  /NSIS/trunk/Contrib/MultiUser/MultiUser.nsh,
	  /NSIS/trunk/Docs/src/history.but,
	  /NSIS/trunk/Source/exehead/fileform.h: Added
	  MUI_PAGE_CUSTOMFUNCTION_DESTROYED so custom image handles can be
	  cleaned up

2017-03-22 15:05  anders_k

	* /NSIS/trunk/Examples/makensis.nsi: Fix MUI dependencies check
	  when Languages or Graphics are not installed

2017-03-22 00:46  anders_k

	* /NSIS/trunk/Docs/src/registry.but, /NSIS/trunk/Source/build.cpp,
	  /NSIS/trunk/Source/exehead/util.c,
	  /NSIS/trunk/Source/exehead/util.h, /NSIS/trunk/Source/Platform.h,
	  /NSIS/trunk/Source/script.cpp, /NSIS/trunk/Source/tokens.cpp:
	  Fixed SetRegView and $ProgramFiles[32|64] in 64-bit installers

2017-03-21 22:12  anders_k

	* /NSIS/trunk/Include/WinVer.nsh: WinVer server 2016 support (patch
	  #282)

2017-03-21 22:04  anders_k

	* /NSIS/trunk/Docs/src/basic.but, /NSIS/trunk/Docs/src/history.but,
	  /NSIS/trunk/Source/exehead/exec.c,
	  /NSIS/trunk/Source/exehead/fileform.h,
	  /NSIS/trunk/Source/exehead/util.c,
	  /NSIS/trunk/Source/exehead/util.h, /NSIS/trunk/Source/script.cpp,
	  /NSIS/trunk/Source/tokens.cpp, /NSIS/trunk/Source/tokens.h: Added
	  ExecShellWait

2017-01-30 20:04  anders_k

	* /NSIS/trunk/Contrib/NSISdl/ReadMe.txt: Added note about not
	  supporting HTTPS in NSISdl

2017-01-28 18:49  anders_k

	* /NSIS/trunk/Docs/src/basic.but: Added note about /REBOOTOK not
	  working without admin. rights for bug #1174

2017-01-20 21:15  anders_k

	* /NSIS/trunk/Contrib/Modern UI/System.nsh,
	  /NSIS/trunk/Source/exehead/Main.c: Fixed unbalanced push/pop in
	  MUI_UNGETLANGUAGE (MUI v1)

2017-01-15 15:20  anders_k

	* /NSIS/trunk/Contrib/nsExec/nsexec.c,
	  /NSIS/trunk/Docs/src/history.but: Unicode nsExec now supports the
	  /OEM switch (bug #1171)

2017-01-02 03:51  anders_k

	* /NSIS/trunk/Contrib/ExDLL/nsis_tchar.h,
	  /NSIS/trunk/Contrib/InstallOptions/Readme.html,
	  /NSIS/trunk/Contrib/Modern UI 2/License.txt,
	  /NSIS/trunk/Contrib/Modern UI 2/MUI2.nsh,
	  /NSIS/trunk/Contrib/Modern UI 2/Readme.html,
	  /NSIS/trunk/Contrib/Modern UI/License.txt,
	  /NSIS/trunk/Contrib/Modern UI/Readme.html,
	  /NSIS/trunk/Contrib/Modern UI/System.nsh,
	  /NSIS/trunk/Contrib/MultiUser/MultiUser.nsh,
	  /NSIS/trunk/Contrib/SubStart/substart.c,
	  /NSIS/trunk/Contrib/System/Source/Call.S,
	  /NSIS/trunk/Contrib/System/Source/Call-amd64.S,
	  /NSIS/trunk/Contrib/System/System.html, /NSIS/trunk/COPYING,
	  /NSIS/trunk/Docs/src/config.but,
	  /NSIS/trunk/Include/LangFile.nsh,
	  /NSIS/trunk/Include/VB6RunTime.nsh,
	  /NSIS/trunk/Source/7zip/7zGuids.cpp,
	  /NSIS/trunk/Source/7zip/7zip/Common/InBuffer.cpp,
	  /NSIS/trunk/Source/7zip/7zip/Common/InBuffer.h,
	  /NSIS/trunk/Source/7zip/7zip/Common/OutBuffer.cpp,
	  /NSIS/trunk/Source/7zip/7zip/Common/OutBuffer.h,
	  /NSIS/trunk/Source/7zip/7zip/Common/StreamUtils.cpp,
	  /NSIS/trunk/Source/7zip/7zip/Common/StreamUtils.h,
	  /NSIS/trunk/Source/7zip/7zip/Compress/LZ/BinTree/BinTree.h,
	  /NSIS/trunk/Source/7zip/7zip/Compress/LZ/BinTree/BinTree2.h,
	  /NSIS/trunk/Source/7zip/7zip/Compress/LZ/BinTree/BinTree3.h,
	  /NSIS/trunk/Source/7zip/7zip/Compress/LZ/BinTree/BinTree3Z.h,
	  /NSIS/trunk/Source/7zip/7zip/Compress/LZ/BinTree/BinTree3ZMain.h,
	  /NSIS/trunk/Source/7zip/7zip/Compress/LZ/BinTree/BinTree4.h,
	  /NSIS/trunk/Source/7zip/7zip/Compress/LZ/BinTree/BinTree4b.h,
	  /NSIS/trunk/Source/7zip/7zip/Compress/LZ/BinTree/BinTreeMain.h,
	  /NSIS/trunk/Source/7zip/7zip/Compress/LZ/BinTree/BinTreeMF.h,
	  /NSIS/trunk/Source/7zip/7zip/Compress/LZ/BinTree/BinTreeMFMain.h,
	  /NSIS/trunk/Source/7zip/7zip/Compress/LZ/IMatchFinder.h,
	  /NSIS/trunk/Source/7zip/7zip/Compress/LZ/LZInWindow.cpp,
	  /NSIS/trunk/Source/7zip/7zip/Compress/LZ/LZInWindow.h,
	  /NSIS/trunk/Source/7zip/7zip/Compress/LZ/LZOutWindow.cpp,
	  /NSIS/trunk/Source/7zip/7zip/Compress/LZ/LZOutWindow.h,
	  /NSIS/trunk/Source/7zip/7zip/Compress/LZMA/LZMA.h,
	  /NSIS/trunk/Source/7zip/7zip/Compress/LZMA/LZMAEncoder.cpp,
	  /NSIS/trunk/Source/7zip/7zip/Compress/LZMA/LZMAEncoder.h,
	  /NSIS/trunk/Source/7zip/7zip/Compress/RangeCoder/RangeCoder.h,
	  /NSIS/trunk/Source/7zip/7zip/Compress/RangeCoder/RangeCoderBit.cpp,
	  /NSIS/trunk/Source/7zip/7zip/Compress/RangeCoder/RangeCoderBit.h,
	  /NSIS/trunk/Source/7zip/7zip/Compress/RangeCoder/RangeCoderBitTree.h,
	  /NSIS/trunk/Source/7zip/7zip/Compress/RangeCoder/RangeCoderOpt.h,
	  /NSIS/trunk/Source/7zip/7zip/ICoder.h,
	  /NSIS/trunk/Source/7zip/7zip/IStream.h,
	  /NSIS/trunk/Source/7zip/Common/Alloc.cpp,
	  /NSIS/trunk/Source/7zip/Common/Alloc.h,
	  /NSIS/trunk/Source/7zip/Common/CRC.cpp,
	  /NSIS/trunk/Source/7zip/Common/CRC.h,
	  /NSIS/trunk/Source/7zip/Common/Defs.h,
	  /NSIS/trunk/Source/7zip/Common/MyCom.h,
	  /NSIS/trunk/Source/7zip/Common/MyGuidDef.h,
	  /NSIS/trunk/Source/7zip/Common/MyUnknown.h,
	  /NSIS/trunk/Source/7zip/Common/MyWindows.h,
	  /NSIS/trunk/Source/7zip/Common/StdAfx.h,
	  /NSIS/trunk/Source/7zip/Common/Types.h,
	  /NSIS/trunk/Source/7zip/LZMADecode.c,
	  /NSIS/trunk/Source/7zip/LZMADecode.h,
	  /NSIS/trunk/Source/afxres.h, /NSIS/trunk/Source/build.cpp,
	  /NSIS/trunk/Source/build.h, /NSIS/trunk/Source/bzip2/blocksort.c,
	  /NSIS/trunk/Source/bzip2/bzlib.c,
	  /NSIS/trunk/Source/bzip2/bzlib.h,
	  /NSIS/trunk/Source/bzip2/compress.c,
	  /NSIS/trunk/Source/bzip2/decompress.c,
	  /NSIS/trunk/Source/bzip2/huffman.c, /NSIS/trunk/Source/cbzip2.h,
	  /NSIS/trunk/Source/clzma.cpp, /NSIS/trunk/Source/clzma.h,
	  /NSIS/trunk/Source/compressor.h, /NSIS/trunk/Source/crc32.c,
	  /NSIS/trunk/Source/crc32.h, /NSIS/trunk/Source/czlib.h,
	  /NSIS/trunk/Source/DialogTemplate.cpp,
	  /NSIS/trunk/Source/DialogTemplate.h,
	  /NSIS/trunk/Source/dirreader.cpp, /NSIS/trunk/Source/dirreader.h,
	  /NSIS/trunk/Source/exehead/afxres.h,
	  /NSIS/trunk/Source/exehead/api.h,
	  /NSIS/trunk/Source/exehead/bgbg.c,
	  /NSIS/trunk/Source/exehead/components.c,
	  /NSIS/trunk/Source/exehead/components.h,
	  /NSIS/trunk/Source/exehead/config.h,
	  /NSIS/trunk/Source/exehead/exec.c,
	  /NSIS/trunk/Source/exehead/exec.h,
	  /NSIS/trunk/Source/exehead/fileform.c,
	  /NSIS/trunk/Source/exehead/fileform.h,
	  /NSIS/trunk/Source/exehead/lang.h,
	  /NSIS/trunk/Source/exehead/Main.c,
	  /NSIS/trunk/Source/exehead/plugin.c,
	  /NSIS/trunk/Source/exehead/plugin.h,
	  /NSIS/trunk/Source/exehead/state.h,
	  /NSIS/trunk/Source/exehead/Ui.c, /NSIS/trunk/Source/exehead/ui.h,
	  /NSIS/trunk/Source/exehead/util.c,
	  /NSIS/trunk/Source/exehead/util.h,
	  /NSIS/trunk/Source/fileform.cpp, /NSIS/trunk/Source/fileform.h,
	  /NSIS/trunk/Source/growbuf.cpp, /NSIS/trunk/Source/growbuf.h,
	  /NSIS/trunk/Source/icon.cpp, /NSIS/trunk/Source/icon.h,
	  /NSIS/trunk/Source/lang.cpp, /NSIS/trunk/Source/lang.h,
	  /NSIS/trunk/Source/lineparse.cpp, /NSIS/trunk/Source/lineparse.h,
	  /NSIS/trunk/Source/makenssi.cpp, /NSIS/trunk/Source/manifest.cpp,
	  /NSIS/trunk/Source/manifest.h, /NSIS/trunk/Source/mmap.cpp,
	  /NSIS/trunk/Source/mmap.h, /NSIS/trunk/Source/Platform.h,
	  /NSIS/trunk/Source/Plugins.cpp, /NSIS/trunk/Source/Plugins.h,
	  /NSIS/trunk/Source/ResourceEditor.cpp,
	  /NSIS/trunk/Source/ResourceEditor.h,
	  /NSIS/trunk/Source/ResourceVersionInfo.cpp,
	  /NSIS/trunk/Source/ResourceVersionInfo.h,
	  /NSIS/trunk/Source/script.cpp,
	  /NSIS/trunk/Source/ShConstants.cpp,
	  /NSIS/trunk/Source/ShConstants.h, /NSIS/trunk/Source/strlist.cpp,
	  /NSIS/trunk/Source/strlist.h, /NSIS/trunk/Source/tchar.h,
	  /NSIS/trunk/Source/tokens.cpp, /NSIS/trunk/Source/tokens.h,
	  /NSIS/trunk/Source/tstring.cpp, /NSIS/trunk/Source/tstring.h,
	  /NSIS/trunk/Source/uservars.h, /NSIS/trunk/Source/utf.cpp,
	  /NSIS/trunk/Source/utf.h, /NSIS/trunk/Source/util.cpp,
	  /NSIS/trunk/Source/util.h,
	  /NSIS/trunk/Source/validateunicode.cpp,
	  /NSIS/trunk/Source/validateunicode.h,
	  /NSIS/trunk/Source/winchar.cpp, /NSIS/trunk/Source/winchar.h,
	  /NSIS/trunk/Source/writer.cpp, /NSIS/trunk/Source/writer.h,
	  /NSIS/trunk/Source/zlib/INFBLOCK.C,
	  /NSIS/trunk/Source/zlib/ZCONF.H, /NSIS/trunk/Source/zlib/ZLIB.H,
	  /NSIS/trunk/Source/zlib/ZUTIL.H: (C) 2017

2016-12-30 00:52  anders_k

	* /NSIS/trunk/Docs/src/basic.but: Minor documentation fix (bug
	  #919)

2016-12-30 00:39  anders_k

	* /NSIS/trunk/Contrib/MultiUser/MultiUser.nsh: Taller
	  MULTIUSER_INSTALLMODEPAGE_TEXT_TOP label (bug #916)

2016-12-30 00:00  anders_k

	* /NSIS/trunk/Contrib/Modern UI 2/Pages/UninstallConfirm.nsh,
	  /NSIS/trunk/Contrib/Modern UI 2/Readme.html,
	  /NSIS/trunk/Contrib/Modern UI/Readme.html,
	  /NSIS/trunk/Contrib/Modern UI/System.nsh,
	  /NSIS/trunk/Docs/src/history.but: Added support for
	  MUI_UNCONFIRMPAGE_VARIABLE (RFE #511)

2016-12-29 22:11  anders_k

	* /NSIS/trunk/Contrib/Language files/French.nsh,
	  /NSIS/trunk/Docs/src/history.but: Minor French improvements
	  (patch #221)

2016-12-29 21:59  anders_k

	* /NSIS/trunk/Docs/src/history.but,
	  /NSIS/trunk/Docs/src/registry.but,
	  /NSIS/trunk/Source/exehead/exec.c,
	  /NSIS/trunk/Source/lineparse.cpp, /NSIS/trunk/Source/lineparse.h,
	  /NSIS/trunk/Source/Platform.h, /NSIS/trunk/Source/script.cpp,
	  /NSIS/trunk/Source/tokens.cpp, /NSIS/trunk/Source/tokens.h: Added
	  basic WriteRegMultiStr support (RFE #382, patch #219)

2016-12-29 19:25  anders_k

	* /NSIS/trunk/Contrib/MakeLangId/MakeLangId.cpp: Fixed minor 64-bit
	  warnings (Bug #1170)

2016-12-26 23:52  anders_k

	* /NSIS/trunk/Contrib/System/System.html: Minor documentation fix
	  (Patch #231)

2016-12-26 23:48  anders_k

	* /NSIS/trunk/Contrib/Language files/Basque.nsh: Added MultiUser
	  text from patch #246. Still undecided if we should merge the rest
	  of the patch...

2016-12-26 23:23  anders_k

	* /NSIS/trunk/Docs/src/langs.but: Add link to translations forum
	  (Bug #1167)

2016-12-26 23:01  anders_k

	* /NSIS/trunk/Contrib/MultiUser/MultiUser.nsh,
	  /NSIS/trunk/Contrib/MultiUser/Readme.html,
	  /NSIS/trunk/Docs/src/basic.but, /NSIS/trunk/Docs/src/history.but:
	  MultiUser now supports $ProgramFiles64 (Bug #843)

2016-12-11 21:47  kichik

	* /NSIS/tags/v301: Tagging for release 3.01

2016-12-11 21:46  kichik

	* /NSIS/trunk/Scripts/release.py: print all bad eols

2016-12-11 21:46  kichik

	* /NSIS/trunk/Menu/images/header.gif: 3.01

2016-12-11 21:45  kichik

	* /NSIS/trunk/Contrib/Language files/Corsican.nsh: fix eol

2016-12-11 21:27  kichik

	* /NSIS/trunk/Docs/src/history.but: update history for 3.01

2016-12-11 21:01  anders_k

	* /NSIS/trunk/Contrib/MakeLangId/MakeLangId.cpp,
	  /NSIS/trunk/Contrib/zip2exe/main.cpp: Fixed some minor GCC
	  warnings

2016-12-10 17:04  anders_k

	* /NSIS/trunk/Contrib/MakeLangId/MakeLangId.cpp,
	  /NSIS/trunk/Contrib/MakeLangId/resource.rc: * Double-click to
	  copy on Vista+
	  * Don't include \0 in count from GetLocaleInfo

2016-12-10 01:52  anders_k

	* /NSIS/trunk/Contrib/MakeLangId/MakeLangId.cpp,
	  /NSIS/trunk/Contrib/MakeLangId/MakeLangId.ico,
	  /NSIS/trunk/Contrib/MakeLangId/resource.h,
	  /NSIS/trunk/Contrib/MakeLangId/resource.rc: MakeLangId rewritten
	  from scratch to support EnumSystemLocales and our internal list

2016-12-05 22:52  kichik

	* /NSIS/trunk/Menu/images/header.gif,
	  /NSIS/trunk/Menu/images/header-notext.gif,
	  /NSIS/trunk/Menu/images/site.gif: new menu icons

2016-12-05 20:34  kichik

	* /NSIS/trunk/Examples/makensis.nsi: use right uninstall icon

2016-12-05 20:30  kichik

	* /NSIS/trunk/Contrib/Graphics/SConscript: install new icons

2016-12-05 19:40  anders_k

	* /NSIS/trunk/Contrib/Makensisw/assoc_nsh.ico,
	  /NSIS/trunk/Contrib/Makensisw/assoc_nsi.ico,
	  /NSIS/trunk/Contrib/Makensisw/icon.ico, /NSIS/trunk/Contrib/NSIS
	  Menu/nsismenu/nsisicon.ico: * Tweaked filetype icons
	  * MS resource compiler <= VS 2005 does not like PNG compressed
	  icons

2016-12-05 15:44  anders_k

	* /NSIS/trunk/Docs/src/history.but, /NSIS/trunk/Source/build.cpp,
	  /NSIS/trunk/Source/build.h, /NSIS/trunk/Source/exehead/exec.c,
	  /NSIS/trunk/Source/script.cpp: Fixed bug #1122 StrCpy maxlen
	  inconsistent behavior

2016-12-04 17:15  anders_k

	* /NSIS/trunk/Docs/src/build.but: Added final dash in
	  XGCC_W32_PREFIX documentation description.

2016-12-03 22:06  kichik

	* /NSIS/trunk/Contrib/Graphics/Header/nsis3-branding.bmp,
	  /NSIS/trunk/Contrib/Graphics/Header/nsis3-branding-r.bmp,
	  /NSIS/trunk/Contrib/Graphics/Header/nsis3-grey.bmp,
	  /NSIS/trunk/Contrib/Graphics/Header/nsis3-grey-right.bmp,
	  /NSIS/trunk/Contrib/Graphics/Header/nsis3-metro.bmp,
	  /NSIS/trunk/Contrib/Graphics/Header/nsis3-metro-right.bmp,
	  /NSIS/trunk/Contrib/Graphics/Header/nsis3-vintage.bmp,
	  /NSIS/trunk/Contrib/Graphics/Header/nsis3-vintage-right.bmp,
	  /NSIS/trunk/Contrib/Graphics/Icons/nsis3-install.ico,
	  /NSIS/trunk/Contrib/Graphics/Icons/nsis3-install-alt.ico,
	  /NSIS/trunk/Contrib/Graphics/Icons/nsis3-uninstall.ico,
	  /NSIS/trunk/Contrib/Graphics/Wizard/nsis3-branding.bmp,
	  /NSIS/trunk/Contrib/Graphics/Wizard/nsis3-grey.bmp,
	  /NSIS/trunk/Contrib/Graphics/Wizard/nsis3-metro.bmp,
	  /NSIS/trunk/Contrib/Graphics/Wizard/nsis3-vintage.bmp,
	  /NSIS/trunk/Contrib/Makensisw/assoc_nsh.ico,
	  /NSIS/trunk/Contrib/Makensisw/assoc_nsi.ico,
	  /NSIS/trunk/Contrib/Makensisw/icon.ico, /NSIS/trunk/Contrib/NSIS
	  Menu/nsismenu/nsisicon.ico, /NSIS/trunk/Examples/makensis.nsi:
	  new graphics by idleberg

2016-12-03 00:21  anders_k

	* /NSIS/trunk/Contrib/MakeLangId/MakeLangId.cpp,
	  /NSIS/trunk/Contrib/MakeLangId/resource.h,
	  /NSIS/trunk/Contrib/MakeLangId/resource.rc: * MakeLangId will now
	  display the codepage if Windows supports the specified langid.
	  * Added more languages.

2016-12-02 19:58  anders_k

	* /NSIS/trunk/Source/utf.cpp: Make sure tstring can store wchar_t.
	  This currently blocks anyone from writing unit tests for
	  strlist.cpp because the tests are not Unicode yet!

2016-12-02 19:19  anders_k

	* /NSIS/trunk/Contrib/Language files/Danish.nlf,
	  /NSIS/trunk/Contrib/Language files/Danish.nsh,
	  /NSIS/trunk/Docs/src/history.but: Updated Danish translation (bug
	  #1164)

2016-11-25 21:35  anders_k

	* /NSIS/trunk/Source/Tests/compression.cpp: A more aggressive
	  workaround for bug #1156

2016-11-23 17:10  anders_k

	* /NSIS/trunk/Source/Tests/compression.cpp: Temporary workaround
	  for bug #1156

2016-11-23 15:42  anders_k

	* /NSIS/trunk/Contrib/Library/LibraryLocal/LibraryLocal.cpp,
	  /NSIS/trunk/Source/script.cpp, /NSIS/trunk/Source/Tests/mmap.cpp,
	  /NSIS/trunk/Source/Tests/textrunner.cpp,
	  /NSIS/trunk/Source/Tests/winchar.cpp,
	  /NSIS/trunk/Source/util.cpp, /NSIS/trunk/Source/util.h: Unify
	  g_output and console initialization

2016-11-23 00:38  anders_k

	* /NSIS/trunk/Source/build.h: Allow POSIX to see QUERYHOST
	  constants even though there is no way to use them on those
	  platforms

2016-11-22 23:11  anders_k

	* /NSIS/trunk/Contrib/Library/LibraryLocal/LibraryLocal.cpp,
	  /NSIS/trunk/Source/makenssi.cpp,
	  /NSIS/trunk/Source/Tests/mmap.cpp,
	  /NSIS/trunk/Source/Tests/winchar.cpp,
	  /NSIS/trunk/Source/util.cpp, /NSIS/trunk/Source/util.h: Use a
	  common helper macro to declare some UI output related variables

2016-11-22 21:21  anders_k

	* /NSIS/trunk/Contrib/Language files/Norwegian.nsh,
	  /NSIS/trunk/Contrib/Language files/NorwegianNynorsk.nsh,
	  /NSIS/trunk/Docs/src/history.but: Norwegian MultiUser fixes
	  (patch #279)

2016-11-22 21:17  anders_k

	* /NSIS/trunk/Docs/src/history.but, /NSIS/trunk/Docs/src/ui.but,
	  /NSIS/trunk/Source/build.h, /NSIS/trunk/Source/makenssi.cpp,
	  /NSIS/trunk/Source/util.cpp, /NSIS/trunk/Source/util.h: Write
	  error messages to stderr by default
	  
	  Disabled if -O is used or if -NOTIFYHWND is valid and returns 0
	  to QUERYHOST:QH_ENABLESTDERR

2016-10-22 18:19  anders_k

	* /NSIS/trunk/Contrib/Language files/Arabic.nsh,
	  /NSIS/trunk/Docs/src/history.but: Arabic MultiUser fixes (#278)

2016-10-22 18:16  anders_k

	* /NSIS/trunk/Contrib/Language files/Swedish.nsh,
	  /NSIS/trunk/Docs/src/history.but: Swedish MultiUser fixes (patch
	  #277)

2016-10-22 18:12  anders_k

	* /NSIS/trunk/Contrib/Modern UI 2/Interface.nsh,
	  /NSIS/trunk/Docs/src/history.but, /NSIS/trunk/Docs/src/ui.but,
	  /NSIS/trunk/Source/script.cpp: Added SetCtlColors Windows COLOR_*
	  constants support

2016-10-12 21:08  anders_k

	* /NSIS/trunk/Contrib/Language files/PortugueseBR.nlf,
	  /NSIS/trunk/Contrib/Language files/PortugueseBR.nsh,
	  /NSIS/trunk/Docs/src/history.but: Updates to Brazilian Portuguese
	  translation (Patch #276)

2016-10-12 19:31  anders_k

	* /NSIS/trunk/Source/exehead/exec.c,
	  /NSIS/trunk/Source/exehead/Ui.c: Undo Lockwindow Off fix from
	  [r6789] because it caused the taskbar button to become invisible!

2016-10-12 17:20  anders_k

	* /NSIS/trunk/Contrib/Language files/Ukrainian.nsh,
	  /NSIS/trunk/Docs/src/history.but: Ukrainian MultiUser fixes

2016-10-11 23:52  anders_k

	* /NSIS/trunk/Contrib/Language files/Portuguese.nsh,
	  /NSIS/trunk/Docs/src/history.but: Portuguese fixes (patch #274)

2016-10-11 19:58  anders_k

	* /NSIS/trunk/Contrib/System/System.html,
	  /NSIS/trunk/Source/exehead/Ui.c: Fixed broken MSDN URLs

2016-10-11 19:47  anders_k

	* /NSIS/trunk/Source/exehead/exec.c,
	  /NSIS/trunk/Source/exehead/Ui.c, /NSIS/trunk/Source/script.cpp:
	  LockWindow Off should always enable painting

2016-10-11 19:36  anders_k

	* /NSIS/trunk/Docs/src/credits.but: Tooting my own horn

2016-10-09 22:23  kichik

	* /NSIS/trunk/Docs/src/misc.but, /NSIS/trunk/Docs/src/registry.but:
	  bug #1153 - better doc location for SetRegView

2016-10-08 13:48  anders_k

	* /NSIS/trunk/Contrib/Language files/Corsican.nlf,
	  /NSIS/trunk/Contrib/Language files/Corsican.nsh,
	  /NSIS/trunk/Contrib/Language files/SConscript,
	  /NSIS/trunk/Docs/src/credits.but,
	  /NSIS/trunk/Docs/src/history.but, /NSIS/trunk/Examples/Modern
	  UI/MultiLanguage.nsi, /NSIS/trunk/Source/makenssi.cpp: Added
	  Corsican translation (patch #268)

2016-10-06 20:31  anders_k

	* /NSIS/trunk/Contrib/Modern UI 2/Localization.nsh: Added
	  MUI_LANGUAGEEX macro so language files in other folders can be
	  used (during testing)

2016-09-30 23:32  kichik

	* /NSIS/trunk/SCons/Tools/crossmingw.py: more mingw versions
	  https://github.com/kichik/nsis/pull/5/

2016-09-06 18:48  f0rt

	* /NSIS/trunk/Source/Tests/winchar.cpp,
	  /NSIS/trunk/Source/winchar.cpp: Make WinWStrDupFromWC endian
	  agnostic (Patch #273)

2016-08-22 19:22  f0rt

	* /NSIS/trunk/SCons/Config/gnu: Make plugins not depend on
	  libstdc++-6.dll (Patch #272)

2016-08-21 12:00  anders_k

	* /NSIS/trunk/Docs/src/history.but, /NSIS/trunk/Source/winchar.cpp:
	  Fixed possible buffer overflow bug in unused WinWStrDupFromChar
	  function (Patch #271)

2016-07-25 01:26  kichik

	* /NSIS/trunk/Docs/src/SConscript: i'm not sure why the previous
	  fix fails only on linux, but here is another attempt...

2016-07-25 01:09  kichik

	* /NSIS/trunk/Docs/src/SConscript: fix missing style.css for html
	  docs

2016-07-25 00:52  kichik

	* /NSIS/tags/v30: Tagging for release 3.0

2016-07-25 00:49  kichik

	* /NSIS/trunk/Menu/images/header.gif: 3.0

2016-07-25 00:47  kichik

	* /NSIS/trunk/Docs/src/history.but: 3.0 release notes

2016-07-16 12:58  anders_k

	* /NSIS/trunk/Contrib/NSIS Menu/nsismenu/nslinks.cpp: Attempt to
	  work around wxWidgets CustomLinks/Links incompatibility

2016-07-16 12:47  anders_k

	* /NSIS/trunk/Contrib/Language files/PortugueseBR.nlf,
	  /NSIS/trunk/Contrib/Language files/PortugueseBR.nsh,
	  /NSIS/trunk/Docs/src/history.but: PortugueseBR fixes (bug #1149)

2016-07-14 10:53  anders_k

	* /NSIS/trunk/Docs/src/compiler.but,
	  /NSIS/trunk/Docs/src/history.but, /NSIS/trunk/Source/build.cpp,
	  /NSIS/trunk/Source/build.h, /NSIS/trunk/Source/script.cpp,
	  /NSIS/trunk/Source/tokens.cpp: Added support for !finalize return
	  value comparison

2016-07-09 15:42  anders_k

	* /NSIS/trunk/Docs/src/credits.but: Fixed some Unicode characters
	  in the credits

2016-07-09 04:34  kichik

	* /NSIS/trunk/Docs/src/history.but: oops got date wrong

2016-07-09 04:09  kichik

	* /NSIS/tags/v30rc2: Tagging for release 3.0rc2

2016-07-09 04:08  kichik

	* /NSIS/trunk/Menu/images/header.gif: 3.0rc2

2016-07-09 04:07  kichik

	* /NSIS/trunk/Contrib/NSIS Menu/nsismenu/nslinks.cpp: #1144 fix
	  windows build

2016-07-09 03:37  kichik

	* /NSIS/trunk/Docs/src/history.but: prepare changelog for 3.0rc2

2016-07-06 11:28  anders_k

	* /NSIS/trunk/Source/script.cpp, /NSIS/trunk/Source/util.cpp,
	  /NSIS/trunk/Source/util.h: Disable batch-file workaround for
	  !makensis command

2016-07-04 12:23  anders_k

	* /NSIS/trunk/Docs/src/history.but, /NSIS/trunk/Source/script.cpp:
	  Fixed bug #1147: !makensis command must force Unicode output to
	  be UTF-8

2016-06-28 16:56  anders_k

	* /NSIS/trunk/Contrib/Language files/PortugueseBR.nlf,
	  /NSIS/trunk/Contrib/Language files/PortugueseBR.nsh,
	  /NSIS/trunk/Docs/src/history.but: PortugueseBR fixes by deguix

2016-06-26 15:32  anders_k

	* /NSIS/trunk/Source/exehead/Ui.c: cchTextMax is count of TCHARs
	  including \0

2016-06-26 13:39  anders_k

	* /NSIS/trunk/Contrib/System/System.html: DocFix: System::Call/Get
	  have been available when compiling with GCC for a very long time.

2016-06-26 13:36  anders_k

	* /NSIS/trunk/Contrib/NSIS Menu/nsismenu/nsismenu.cpp,
	  /NSIS/trunk/Contrib/NSIS Menu/nsismenu/nslinks.cpp,
	  /NSIS/trunk/Contrib/NSIS Menu/SConscript,
	  /NSIS/trunk/Docs/src/history.but, /NSIS/trunk/Menu/index.html,
	  /NSIS/trunk/SConstruct: NSIS Menu POSIX fixes (bug #1144)

2016-06-18 20:59  anders_k

	* /NSIS/trunk/Include/WinVer.nsh: Changed the VER_NT_WORKSTATION
	  comparison check to match the MSDN recommendation

2016-06-12 13:16  anders_k

	* /NSIS/branches/nsis2/Source/util.h: include <unistd.h> in util.h
	  (Bug #1146)

2016-06-12 00:09  anders_k

	* /NSIS/trunk/Contrib/NSIS Menu/SConscript: Must distribute
	  notinstalled.html

2016-06-07 18:51  anders_k

	* /NSIS/trunk/Docs/src/history.but,
	  /NSIS/trunk/Include/LogicLib.nsh: Added LogicLib & operator

2016-05-25 18:08  anders_k

	* /NSIS/trunk/Docs/src/history.but,
	  /NSIS/trunk/Source/exehead/api.h: Updated changelog and fixed a
	  typo

2016-05-23 23:52  anders_k

	* /NSIS/trunk/Include/LogicLib.nsh: Hopefully fixed reported issue
	  where the LogicLib EndSelectLabel is not found when using
	  ${Case2} in nested ${Select}s

2016-05-08 08:51  anders_k

	* /NSIS/trunk/Contrib/Makensisw/icon.ico, /NSIS/trunk/Contrib/NSIS
	  Menu/nsismenu/nsisicon.ico: Added 128x128 image to the NSIS Menu
	  icon
	  Changed the 32x32x16 and 16x16x16 images to look like the
	  standard round NSIS logo
	  Tweaked the 48x48 images

2016-04-22 13:46  anders_k

	* /NSIS/trunk/Contrib/zip2exe/main.cpp,
	  /NSIS/trunk/Contrib/zip2exe/res.rc,
	  /NSIS/trunk/Docs/src/history.but: Bumped zip2exe version and
	  linked to bugreport in history

2016-04-21 23:01  anders_k

	* /NSIS/trunk/Contrib/zip2exe/main.cpp,
	  /NSIS/trunk/Docs/src/history.but: Zip2Exe aborts if the zip file
	  is encrypted

2016-04-12 14:36  anders_k

	* /NSIS/trunk/Contrib/Language files/Danish.nlf,
	  /NSIS/trunk/Docs/src/history.but: Minor tweaks to Danish.nlf (bug
	  #1140)

2016-04-04 21:06  anders_k

	* /NSIS/branches/nsis2/SCons/Config/gnu: Fixed bug #1139: Broken
	  defenv['STDCALL'] value
	  
	  * MinGW (GCC 4.5.2, GNU Binutils 2.24) cannot handle a space in
	  the value, windres preprocessing will fail
	  * POSIX GCC needs the space (Bug #1139)
	  
	  Backported doubled quotes trick from trunk

2016-04-03 20:29  kichik

	* /NSIS/trunk/Scripts/release.py: automate uploading

2016-04-03 20:16  kichik

	* /NSIS/tags/v30rc1: Tagging for release 3.0rc1

2016-04-03 20:13  kichik

	* /NSIS/trunk/Menu/images/header.gif: 3.0rc1

2016-04-03 20:12  kichik

	* /NSIS/trunk/Docs/src/history.but: move to major

2016-04-03 05:56  kichik

	* /NSIS/trunk/Docs/src/history.but: update for 3.0rc1

2016-04-03 05:47  kichik

	* /NSIS/trunk/Source/utf.cpp: fix !appendfile writing null bytes on
	  linux and breaking LogicLib ${Switch} statements

2016-04-02 03:17  kichik

	* /NSIS/tags/v251: Tagging for release 2.51

2016-04-02 03:16  kichik

	* /NSIS/branches/nsis2/Menu/images/header.gif: 2.51

2016-04-02 03:10  kichik

	* /NSIS/branches/nsis2/Docs/src/history.but: updated history.but
	  for release of 2.51

2016-04-01 20:17  anders_k

	* /NSIS/trunk/Contrib/nsDialogs/browse.c: popstringn takes a
	  character count, not a byte size as the max length!

2016-04-01 17:39  anders_k

	* /NSIS/trunk/Examples/makensis.nsi: Only install the stubs and
	  plugins of the same bitness as us for now until we can get SCons
	  to actually build both

2016-03-28 16:54  anders_k

	* /NSIS/branches/nsis2/Contrib/Makensisw/makensisw.cpp,
	  /NSIS/branches/nsis2/Docs/src/attributes.but,
	  /NSIS/branches/nsis2/Docs/src/basic.but,
	  /NSIS/branches/nsis2/Docs/src/build.but,
	  /NSIS/branches/nsis2/Docs/src/callback.but,
	  /NSIS/branches/nsis2/Docs/src/compiler.but,
	  /NSIS/branches/nsis2/Docs/src/compilerflags.but,
	  /NSIS/branches/nsis2/Docs/src/file.but,
	  /NSIS/branches/nsis2/Docs/src/flowcontrol.but,
	  /NSIS/branches/nsis2/Docs/src/generalpurpose.but,
	  /NSIS/branches/nsis2/Docs/src/headers.but,
	  /NSIS/branches/nsis2/Docs/src/history.but,
	  /NSIS/branches/nsis2/Docs/src/intro.but,
	  /NSIS/branches/nsis2/Docs/src/labels.but,
	  /NSIS/branches/nsis2/Docs/src/langs.but,
	  /NSIS/branches/nsis2/Docs/src/library.but,
	  /NSIS/branches/nsis2/Docs/src/log.but,
	  /NSIS/branches/nsis2/Docs/src/registry.but,
	  /NSIS/branches/nsis2/Docs/src/script.but,
	  /NSIS/branches/nsis2/Docs/src/sec.but,
	  /NSIS/branches/nsis2/Docs/src/sections.but,
	  /NSIS/branches/nsis2/Docs/src/stack.but,
	  /NSIS/branches/nsis2/Docs/src/string.but,
	  /NSIS/branches/nsis2/Docs/src/tutorial.but,
	  /NSIS/branches/nsis2/Docs/src/ui.but,
	  /NSIS/branches/nsis2/Docs/src/usage.but,
	  /NSIS/branches/nsis2/Docs/src/usefulfunc.but,
	  /NSIS/branches/nsis2/Docs/src/usefulinfos.but,
	  /NSIS/branches/nsis2/Docs/src/var.but,
	  /NSIS/branches/nsis2/Source/tokens.cpp: Backported some
	  documentation fixes from [r6728]

2016-03-28 05:52  kichik

	* /NSIS/trunk/Source/build.cpp, /NSIS/trunk/Source/makenssi.cpp: no
	  need for conversions here

2016-03-27 23:24  anders_k

	* /NSIS/trunk/Contrib/Makensisw/makensisw.cpp,
	  /NSIS/trunk/Docs/src/attributes.but,
	  /NSIS/trunk/Docs/src/basic.but, /NSIS/trunk/Docs/src/build.but,
	  /NSIS/trunk/Docs/src/callback.but,
	  /NSIS/trunk/Docs/src/compiler.but,
	  /NSIS/trunk/Docs/src/compilerflags.but,
	  /NSIS/trunk/Docs/src/defines.but, /NSIS/trunk/Docs/src/file.but,
	  /NSIS/trunk/Docs/src/flowcontrol.but,
	  /NSIS/trunk/Docs/src/generalpurpose.but,
	  /NSIS/trunk/Docs/src/headers.but,
	  /NSIS/trunk/Docs/src/history.but, /NSIS/trunk/Docs/src/intro.but,
	  /NSIS/trunk/Docs/src/jumps.but, /NSIS/trunk/Docs/src/labels.but,
	  /NSIS/trunk/Docs/src/langs.but, /NSIS/trunk/Docs/src/library.but,
	  /NSIS/trunk/Docs/src/log.but, /NSIS/trunk/Docs/src/misc.but,
	  /NSIS/trunk/Docs/src/modernui.but,
	  /NSIS/trunk/Docs/src/pages.but, /NSIS/trunk/Docs/src/plugin.but,
	  /NSIS/trunk/Docs/src/registry.but,
	  /NSIS/trunk/Docs/src/script.but, /NSIS/trunk/Docs/src/sec.but,
	  /NSIS/trunk/Docs/src/sections.but,
	  /NSIS/trunk/Docs/src/silent.but, /NSIS/trunk/Docs/src/stack.but,
	  /NSIS/trunk/Docs/src/string.but,
	  /NSIS/trunk/Docs/src/tutorial.but, /NSIS/trunk/Docs/src/ui.but,
	  /NSIS/trunk/Docs/src/uninstall.but,
	  /NSIS/trunk/Docs/src/usage.but,
	  /NSIS/trunk/Docs/src/usefulfunc.but,
	  /NSIS/trunk/Docs/src/usefulinfos.but,
	  /NSIS/trunk/Docs/src/var.but, /NSIS/trunk/Source/tokens.cpp,
	  /NSIS/trunk/TODO.txt: Documentation fixes and clarifications

2016-03-23 22:55  anders_k

	* /NSIS/trunk/Source/exehead/Ui.c: WM_CONTEXTMENU lParam keyboard
	  check needs to be sign extended on 64-bit

2016-03-23 13:50  anders_k

	* /NSIS/branches/nsis2/Contrib/Makensisw/makensisw.cpp,
	  /NSIS/branches/nsis2/Contrib/Makensisw/noclib.cpp,
	  /NSIS/branches/nsis2/Contrib/Makensisw/noclib.h: Backported
	  [r6725] MakeNSISW should not load libraries from the current
	  directory because we don't control that directory when started
	  from the shell (file associations).

2016-03-23 13:42  anders_k

	* /NSIS/trunk/Contrib/Makensisw/makensisw.cpp: MakeNSISW should not
	  load libraries from the current directory because we don't
	  control that directory when started from the shell (file
	  associations).

2016-03-22 13:21  anders_k

	* /NSIS/trunk/Source/script.cpp: Separate error messages for plugin
	  dll not found and plugin function not found

2016-03-17 21:36  anders_k

	* /NSIS/branches/nsis2/Source/build.cpp: Backported [6722] Must use
	  a POSIX compatible string comparison

2016-03-17 21:36  anders_k

	* /NSIS/trunk/Source/build.cpp: Must use a POSIX compatible string
	  comparison

2016-03-11 19:32  anders_k

	* /NSIS/trunk/Docs/src/history.but, /NSIS/trunk/Source/build.cpp,
	  /NSIS/trunk/Source/exehead/Main.c: Changed the name of the
	  uninstaller created in %TEMP%\\~nsu.tmp from %UNIQUE%u_.exe to
	  Un_%UNIQUE%.exe

2016-03-11 19:16  anders_k

	* /NSIS/trunk/Contrib/ExDLL/nsis_tchar.h,
	  /NSIS/trunk/Contrib/InstallOptions/Readme.html,
	  /NSIS/trunk/Contrib/Modern UI 2/License.txt,
	  /NSIS/trunk/Contrib/Modern UI 2/MUI2.nsh,
	  /NSIS/trunk/Contrib/Modern UI 2/Readme.html,
	  /NSIS/trunk/Contrib/Modern UI/License.txt,
	  /NSIS/trunk/Contrib/Modern UI/Readme.html,
	  /NSIS/trunk/Contrib/Modern UI/System.nsh,
	  /NSIS/trunk/Contrib/MultiUser/MultiUser.nsh,
	  /NSIS/trunk/Contrib/SubStart/substart.c,
	  /NSIS/trunk/Contrib/System/Source/Call.S,
	  /NSIS/trunk/Contrib/System/Source/Call-amd64.S,
	  /NSIS/trunk/Contrib/System/System.html, /NSIS/trunk/COPYING,
	  /NSIS/trunk/Docs/src/config.but,
	  /NSIS/trunk/Include/LangFile.nsh,
	  /NSIS/trunk/Include/VB6RunTime.nsh,
	  /NSIS/trunk/Source/7zip/7zGuids.cpp,
	  /NSIS/trunk/Source/7zip/7zip/Common/InBuffer.cpp,
	  /NSIS/trunk/Source/7zip/7zip/Common/InBuffer.h,
	  /NSIS/trunk/Source/7zip/7zip/Common/OutBuffer.cpp,
	  /NSIS/trunk/Source/7zip/7zip/Common/OutBuffer.h,
	  /NSIS/trunk/Source/7zip/7zip/Common/StreamUtils.cpp,
	  /NSIS/trunk/Source/7zip/7zip/Common/StreamUtils.h,
	  /NSIS/trunk/Source/7zip/7zip/Compress/LZ/BinTree/BinTree.h,
	  /NSIS/trunk/Source/7zip/7zip/Compress/LZ/BinTree/BinTree2.h,
	  /NSIS/trunk/Source/7zip/7zip/Compress/LZ/BinTree/BinTree3.h,
	  /NSIS/trunk/Source/7zip/7zip/Compress/LZ/BinTree/BinTree3Z.h,
	  /NSIS/trunk/Source/7zip/7zip/Compress/LZ/BinTree/BinTree3ZMain.h,
	  /NSIS/trunk/Source/7zip/7zip/Compress/LZ/BinTree/BinTree4.h,
	  /NSIS/trunk/Source/7zip/7zip/Compress/LZ/BinTree/BinTree4b.h,
	  /NSIS/trunk/Source/7zip/7zip/Compress/LZ/BinTree/BinTreeMain.h,
	  /NSIS/trunk/Source/7zip/7zip/Compress/LZ/BinTree/BinTreeMF.h,
	  /NSIS/trunk/Source/7zip/7zip/Compress/LZ/BinTree/BinTreeMFMain.h,
	  /NSIS/trunk/Source/7zip/7zip/Compress/LZ/IMatchFinder.h,
	  /NSIS/trunk/Source/7zip/7zip/Compress/LZ/LZInWindow.cpp,
	  /NSIS/trunk/Source/7zip/7zip/Compress/LZ/LZInWindow.h,
	  /NSIS/trunk/Source/7zip/7zip/Compress/LZ/LZOutWindow.cpp,
	  /NSIS/trunk/Source/7zip/7zip/Compress/LZ/LZOutWindow.h,
	  /NSIS/trunk/Source/7zip/7zip/Compress/LZMA/LZMA.h,
	  /NSIS/trunk/Source/7zip/7zip/Compress/LZMA/LZMAEncoder.cpp,
	  /NSIS/trunk/Source/7zip/7zip/Compress/LZMA/LZMAEncoder.h,
	  /NSIS/trunk/Source/7zip/7zip/Compress/RangeCoder/RangeCoder.h,
	  /NSIS/trunk/Source/7zip/7zip/Compress/RangeCoder/RangeCoderBit.cpp,
	  /NSIS/trunk/Source/7zip/7zip/Compress/RangeCoder/RangeCoderBit.h,
	  /NSIS/trunk/Source/7zip/7zip/Compress/RangeCoder/RangeCoderBitTree.h,
	  /NSIS/trunk/Source/7zip/7zip/Compress/RangeCoder/RangeCoderOpt.h,
	  /NSIS/trunk/Source/7zip/7zip/ICoder.h,
	  /NSIS/trunk/Source/7zip/7zip/IStream.h,
	  /NSIS/trunk/Source/7zip/Common/Alloc.cpp,
	  /NSIS/trunk/Source/7zip/Common/Alloc.h,
	  /NSIS/trunk/Source/7zip/Common/CRC.cpp,
	  /NSIS/trunk/Source/7zip/Common/CRC.h,
	  /NSIS/trunk/Source/7zip/Common/Defs.h,
	  /NSIS/trunk/Source/7zip/Common/MyCom.h,
	  /NSIS/trunk/Source/7zip/Common/MyGuidDef.h,
	  /NSIS/trunk/Source/7zip/Common/MyUnknown.h,
	  /NSIS/trunk/Source/7zip/Common/MyWindows.h,
	  /NSIS/trunk/Source/7zip/Common/StdAfx.h,
	  /NSIS/trunk/Source/7zip/Common/Types.h,
	  /NSIS/trunk/Source/7zip/LZMADecode.c,
	  /NSIS/trunk/Source/7zip/LZMADecode.h,
	  /NSIS/trunk/Source/afxres.h, /NSIS/trunk/Source/build.cpp,
	  /NSIS/trunk/Source/build.h, /NSIS/trunk/Source/bzip2/blocksort.c,
	  /NSIS/trunk/Source/bzip2/bzlib.c,
	  /NSIS/trunk/Source/bzip2/bzlib.h,
	  /NSIS/trunk/Source/bzip2/compress.c,
	  /NSIS/trunk/Source/bzip2/decompress.c,
	  /NSIS/trunk/Source/bzip2/huffman.c, /NSIS/trunk/Source/cbzip2.h,
	  /NSIS/trunk/Source/clzma.cpp, /NSIS/trunk/Source/clzma.h,
	  /NSIS/trunk/Source/compressor.h, /NSIS/trunk/Source/crc32.c,
	  /NSIS/trunk/Source/crc32.h, /NSIS/trunk/Source/czlib.h,
	  /NSIS/trunk/Source/DialogTemplate.cpp,
	  /NSIS/trunk/Source/DialogTemplate.h,
	  /NSIS/trunk/Source/dirreader.cpp, /NSIS/trunk/Source/dirreader.h,
	  /NSIS/trunk/Source/exehead/afxres.h,
	  /NSIS/trunk/Source/exehead/api.h,
	  /NSIS/trunk/Source/exehead/bgbg.c,
	  /NSIS/trunk/Source/exehead/components.c,
	  /NSIS/trunk/Source/exehead/components.h,
	  /NSIS/trunk/Source/exehead/config.h,
	  /NSIS/trunk/Source/exehead/exec.c,
	  /NSIS/trunk/Source/exehead/exec.h,
	  /NSIS/trunk/Source/exehead/fileform.c,
	  /NSIS/trunk/Source/exehead/fileform.h,
	  /NSIS/trunk/Source/exehead/lang.h,
	  /NSIS/trunk/Source/exehead/Main.c,
	  /NSIS/trunk/Source/exehead/plugin.c,
	  /NSIS/trunk/Source/exehead/plugin.h,
	  /NSIS/trunk/Source/exehead/state.h,
	  /NSIS/trunk/Source/exehead/Ui.c, /NSIS/trunk/Source/exehead/ui.h,
	  /NSIS/trunk/Source/exehead/util.c,
	  /NSIS/trunk/Source/exehead/util.h,
	  /NSIS/trunk/Source/fileform.cpp, /NSIS/trunk/Source/fileform.h,
	  /NSIS/trunk/Source/growbuf.cpp, /NSIS/trunk/Source/growbuf.h,
	  /NSIS/trunk/Source/icon.cpp, /NSIS/trunk/Source/icon.h,
	  /NSIS/trunk/Source/lang.cpp, /NSIS/trunk/Source/lang.h,
	  /NSIS/trunk/Source/lineparse.cpp, /NSIS/trunk/Source/lineparse.h,
	  /NSIS/trunk/Source/makenssi.cpp, /NSIS/trunk/Source/manifest.cpp,
	  /NSIS/trunk/Source/manifest.h, /NSIS/trunk/Source/mmap.cpp,
	  /NSIS/trunk/Source/mmap.h, /NSIS/trunk/Source/Platform.h,
	  /NSIS/trunk/Source/Plugins.cpp, /NSIS/trunk/Source/Plugins.h,
	  /NSIS/trunk/Source/ResourceEditor.cpp,
	  /NSIS/trunk/Source/ResourceEditor.h,
	  /NSIS/trunk/Source/ResourceVersionInfo.cpp,
	  /NSIS/trunk/Source/ResourceVersionInfo.h,
	  /NSIS/trunk/Source/script.cpp,
	  /NSIS/trunk/Source/ShConstants.cpp,
	  /NSIS/trunk/Source/ShConstants.h, /NSIS/trunk/Source/strlist.cpp,
	  /NSIS/trunk/Source/strlist.h, /NSIS/trunk/Source/tchar.h,
	  /NSIS/trunk/Source/tokens.cpp, /NSIS/trunk/Source/tokens.h,
	  /NSIS/trunk/Source/tstring.cpp, /NSIS/trunk/Source/tstring.h,
	  /NSIS/trunk/Source/uservars.h, /NSIS/trunk/Source/utf.cpp,
	  /NSIS/trunk/Source/utf.h, /NSIS/trunk/Source/util.cpp,
	  /NSIS/trunk/Source/util.h,
	  /NSIS/trunk/Source/validateunicode.cpp,
	  /NSIS/trunk/Source/validateunicode.h,
	  /NSIS/trunk/Source/winchar.cpp, /NSIS/trunk/Source/winchar.h,
	  /NSIS/trunk/Source/writer.cpp, /NSIS/trunk/Source/writer.h,
	  /NSIS/trunk/Source/zlib/INFBLOCK.C,
	  /NSIS/trunk/Source/zlib/ZCONF.H, /NSIS/trunk/Source/zlib/ZLIB.H,
	  /NSIS/trunk/Source/zlib/ZUTIL.H: Copyright 2016

2016-03-09 22:58  anders_k

	* /NSIS/branches/nsis2/Contrib/VPatch/Readme.html,
	  /NSIS/branches/nsis2/Include/LogicLib.nsh,
	  /NSIS/branches/nsis2/Source/build.cpp,
	  /NSIS/branches/nsis2/Source/exehead/Main.c,
	  /NSIS/branches/nsis2/Source/lang.cpp: Backported some security
	  fixes from trunk
	  [r6706] Delayload CLBCATQ for XP
	  [r6708] Warn when the output filename is setup.exe because
	  Windows will unsafely load compatibility shims
	  [r6718] Display the correct uninstaller langstring name in the
	  recursive error string

2016-03-09 22:33  anders_k

	* /NSIS/trunk/Source/lang.cpp: Display the correct uninstaller
	  langstring name in the recursive error string

2016-03-09 19:26  anders_k

	* /NSIS/trunk/Include/LogicLib.nsh, /NSIS/trunk/Include/Util.nsh:
	  ${Int64CmpU} in Util.nsh cannot use LogicLib because the LogicLib
	  Z operators calls ${Int64CmpU} on 64-bit systems

2016-03-09 12:50  anders_k

	* /NSIS/trunk/Docs/src/compiler.but: Document ${NSIS_CHAR_SIZE} and
	  ${NSIS_PTR_SIZE}

2016-03-08 03:05  anders_k

	* /NSIS/trunk/Contrib/VPatch/Readme.html,
	  /NSIS/trunk/Docs/src/compiler.but, /NSIS/trunk/Docs/src/var.but,
	  /NSIS/trunk/Include/Win/WinDef.nsh: Minor documentation tweaks

2016-03-07 14:37  anders_k

	* /NSIS/branches/nsis2/Contrib/Makensisw/makensisw.h,
	  /NSIS/branches/nsis2/Contrib/System/Source/Buffers.c,
	  /NSIS/branches/nsis2/Contrib/System/Source/System.c,
	  /NSIS/branches/nsis2/Contrib/System/System.html,
	  /NSIS/branches/nsis2/Include/LogicLib.nsh: Backported support for
	  system 'p' type and logiclib P and Z tests

2016-03-07 14:34  anders_k

	* /NSIS/trunk/Contrib/Makensisw/makensisw.h,
	  /NSIS/trunk/Contrib/Makensisw/utils.cpp,
	  /NSIS/trunk/Contrib/NSISdl/httpget.cpp,
	  /NSIS/trunk/Contrib/NSISdl/nsisdl.cpp,
	  /NSIS/trunk/Include/LogicLib.nsh: Incomplete support for Z
	  (size_t) logiclib integer tests and other minor fixes

2016-03-06 16:28  anders_k

	* /NSIS/branches/nsis2/Contrib/AdvSplash/advsplash.c,
	  /NSIS/branches/nsis2/Contrib/Banner/Banner.c,
	  /NSIS/branches/nsis2/Contrib/BgImage/BgImage.cpp,
	  /NSIS/branches/nsis2/Contrib/Dialer/dialer.c,
	  /NSIS/branches/nsis2/Contrib/ExDLL/exdll.c,
	  /NSIS/branches/nsis2/Contrib/InstallOptions/InstallerOptions.cpp,
	  /NSIS/branches/nsis2/Contrib/LangDLL/LangDLL.c,
	  /NSIS/branches/nsis2/Contrib/Library/TypeLib/TypeLib.cpp,
	  /NSIS/branches/nsis2/Contrib/MakeLangId/MakeLangId.cpp,
	  /NSIS/branches/nsis2/Contrib/Makensisw/jnetlib/connection.h,
	  /NSIS/branches/nsis2/Contrib/Makensisw/jnetlib/httpget.cpp,
	  /NSIS/branches/nsis2/Contrib/Makensisw/jnetlib/httpget.h,
	  /NSIS/branches/nsis2/Contrib/Makensisw/jnetlib/util.cpp,
	  /NSIS/branches/nsis2/Contrib/Makensisw/jnetlib/util.h,
	  /NSIS/branches/nsis2/Contrib/Makensisw/makensisw.cpp,
	  /NSIS/branches/nsis2/Contrib/Makensisw/makensisw.h,
	  /NSIS/branches/nsis2/Contrib/Makensisw/utils.cpp,
	  /NSIS/branches/nsis2/Contrib/Makensisw/utils.h,
	  /NSIS/branches/nsis2/Contrib/nsDialogs/nsDialogs.c,
	  /NSIS/branches/nsis2/Contrib/nsExec/nsexec.c,
	  /NSIS/branches/nsis2/Contrib/NSISdl/connection.h,
	  /NSIS/branches/nsis2/Contrib/NSISdl/httpget.cpp,
	  /NSIS/branches/nsis2/Contrib/NSISdl/httpget.h,
	  /NSIS/branches/nsis2/Contrib/NSISdl/nsisdl.cpp,
	  /NSIS/branches/nsis2/Contrib/NSISdl/util.cpp,
	  /NSIS/branches/nsis2/Contrib/NSISdl/util.h,
	  /NSIS/branches/nsis2/Contrib/Splash/splash.c,
	  /NSIS/branches/nsis2/Contrib/StartMenu/StartMenu.c,
	  /NSIS/branches/nsis2/Contrib/System/Resource/Main.c,
	  /NSIS/branches/nsis2/Contrib/System/Source/System.c,
	  /NSIS/branches/nsis2/Contrib/UserInfo/UserInfo.c,
	  /NSIS/branches/nsis2/Contrib/VPatch/Source/Plugin/vpatchdll.c,
	  /NSIS/branches/nsis2/Contrib/zip2exe/main.cpp,
	  /NSIS/branches/nsis2/SCons/Config/gnu,
	  /NSIS/branches/nsis2/Source/7zip/Common/Alloc.cpp,
	  /NSIS/branches/nsis2/Source/DialogTemplate.cpp,
	  /NSIS/branches/nsis2/Source/DialogTemplate.h,
	  /NSIS/branches/nsis2/Source/exehead/Ui.c,
	  /NSIS/branches/nsis2/Source/util.cpp: Fixed some errors and
	  warnings for GCC 4.5.2

2016-02-26 16:16  anders_k

	* /NSIS/trunk/Source/build.h, /NSIS/trunk/Source/script.cpp: Warn
	  when the [License]LangString language id parameter is not a valid
	  number

2016-02-16 18:01  anders_k

	* /NSIS/trunk/Source/build.cpp: Make sure the filename string is
	  not destroyed before we are done with the .c_str() pointer.

2016-02-16 14:59  anders_k

	* /NSIS/trunk/Source/build.cpp, /NSIS/trunk/Source/build.h: Use a
	  warning helper function so "warn as error" works everywhere

2016-02-16 14:35  anders_k

	* /NSIS/trunk/Source/build.cpp: Warn when the output filename is
	  setup.exe because Windows will unsafely load compatibility shims

2016-02-12 14:01  anders_k

	* /NSIS/trunk/Include/StrFunc.nsh: Don't redefine
	  STRFUNC_*VERBOSITY when StrFunc.nsh is included multiple times

2016-02-12 12:52  anders_k

	* /NSIS/trunk/Source/exehead/Main.c: Delayload CLBCATQ for XP

2016-02-04 20:14  anders_k

	* /NSIS/branches/nsis2/Contrib/ExDLL/nsis.pas,
	  /NSIS/branches/nsis2/Contrib/VPatch/Source/Plugin/apply_patch.c,
	  /NSIS/branches/nsis2/Docs/src/usefulinfos.but,
	  /NSIS/branches/nsis2/Examples/rtest.nsi,
	  /NSIS/branches/nsis2/Source/exehead/fileform.h,
	  /NSIS/branches/nsis2/Source/exehead/util.c,
	  /NSIS/branches/nsis2/Source/lineparse.cpp,
	  /NSIS/branches/nsis2/Source/lineparse.h,
	  /NSIS/branches/nsis2/Source/util.cpp: Fixed some typos (Most of
	  them found by codespell/Stefan Weil)

2016-02-04 20:14  anders_k

	* /NSIS/trunk/Contrib/VPatch/Source/Plugin/apply_patch.c,
	  /NSIS/trunk/Docs/src/bin/halibut/bk_xhtml.c,
	  /NSIS/trunk/Docs/src/usefulinfos.but,
	  /NSIS/trunk/Examples/rtest.nsi,
	  /NSIS/trunk/Source/exehead/exec.c,
	  /NSIS/trunk/Source/exehead/fileform.h,
	  /NSIS/trunk/Source/exehead/util.c, /NSIS/trunk/Source/lang.cpp,
	  /NSIS/trunk/Source/util.cpp: Fixed some typos (Most of them found
	  by codespell/Stefan Weil)

2016-02-04 19:17  anders_k

	* /NSIS/branches/nsis2/Contrib/Language files/Japanese.nsh,
	  /NSIS/branches/nsis2/Docs/src/history.but: Added missing
	  MULTIUSER_* entries to Japanese.nsh (patch #266)

2016-02-04 19:17  anders_k

	* /NSIS/trunk/Contrib/Language files/Japanese.nsh,
	  /NSIS/trunk/Docs/src/history.but: Added missing MULTIUSER_*
	  entries to Japanese.nsh (patch #266)

2016-02-04 18:43  anders_k

	* /NSIS/branches/nsis2/Source/exehead/exec.c,
	  /NSIS/branches/nsis2/Source/exehead/Main.c,
	  /NSIS/branches/nsis2/Source/exehead/util.c: Backported latest dll
	  preload code from trunk (r6700)

2016-02-04 18:32  anders_k

	* /NSIS/trunk/Source/exehead/Main.c,
	  /NSIS/trunk/Source/exehead/util.c: Preload more dlls for Vista
	  and 7 without KB2533623

2015-12-27 06:22  kichik

	* /NSIS/tags/v30b3: Tagging for release 3.0b3

2015-12-27 06:21  kichik

	* /NSIS/trunk/Menu/images/header.gif: 3.0b3

2015-12-27 06:13  kichik

	* /NSIS/trunk/Docs/src/history.but: 3.0b3 changelog

2015-12-27 05:43  kichik

	* /NSIS/trunk/Docs/src/history.but: 2.50 changelog

2015-12-27 05:36  kichik

	* /NSIS/tags/v250: Tagging for release 2.50

2015-12-27 05:34  kichik

	* /NSIS/branches/nsis2/Menu/images/header.gif: 2.50

2015-12-27 05:32  kichik

	* /NSIS/branches/nsis2/Docs/src/history.but: update 2.50 changelog

2015-12-24 00:50  anders_k

	* /NSIS/branches/nsis2/Docs/src/attributes.but,
	  /NSIS/branches/nsis2/Docs/src/history.but,
	  /NSIS/branches/nsis2/Source/build.cpp: RequestExecutionLevel now
	  defaults to admin

2015-12-24 00:43  anders_k

	* /NSIS/branches/nsis2/Source/exehead/Main.c: Preload some system
	  libraries (bug #1125) (Ported from trunk)

2015-12-24 00:40  anders_k

	* /NSIS/trunk/Source/exehead/Main.c: Preload some system libraries
	  (bug #1125)

2015-12-16 07:45  kichik

	* /NSIS/tags/v249: Tagging for release 2.49

2015-12-16 07:45  kichik

	* /NSIS/branches/nsis2/Menu/images/header.gif: 2.49

2015-12-15 23:11  anders_k

	* /NSIS/trunk/Docs/src/history.but,
	  /NSIS/trunk/Source/exehead/Main.c: Fixed CreateShortcut failure
	  on Vista caused by security changes in r6645/2.47

2015-12-15 23:08  anders_k

	* /NSIS/branches/nsis2/Docs/src/history.but,
	  /NSIS/branches/nsis2/Source/exehead/Main.c: Fixed CreateShortcut
	  failure on Vista caused by security changes in 2.47

2015-12-11 20:25  anders_k

	* /NSIS/trunk/Docs/src/history.but,
	  /NSIS/trunk/Docs/src/SConscript: Merge history and chm fix from
	  2.48

2015-12-11 07:09  kichik

	* /NSIS/tags/v248: Tagging for release 2.48

2015-12-11 07:08  kichik

	* /NSIS/branches/nsis2/Menu/images/header.gif: 2.48

2015-12-11 07:05  kichik

	* /NSIS/branches/nsis2/Docs/src/history.but: 2.48 changes

2015-12-11 07:03  kichik

	* /NSIS/branches/nsis2/Docs/src/SConscript: fixed #1129 -- hhc.exe
	  doesn't seem to be functioning with big env

2015-12-09 22:52  anders_k

	* /NSIS/trunk/Examples/makensis.nsi, /NSIS/trunk/Source/tokens.cpp:
	  Make sure we have a valid .chm file in the 3.0 installer as well

2015-12-09 22:48  anders_k

	* /NSIS/branches/nsis2/Examples/makensis.nsi: Make sure we have a
	  valid .chm file

2015-12-09 22:26  anders_k

	* /NSIS/branches/nsis2/Contrib/InstallOptions/Readme.html,
	  /NSIS/branches/nsis2/Contrib/Modern UI 2/License.txt,
	  /NSIS/branches/nsis2/Contrib/Modern UI 2/MUI2.nsh,
	  /NSIS/branches/nsis2/Contrib/Modern UI 2/Readme.html,
	  /NSIS/branches/nsis2/Contrib/Modern UI/License.txt,
	  /NSIS/branches/nsis2/Contrib/Modern UI/Readme.html,
	  /NSIS/branches/nsis2/Contrib/Modern UI/System.nsh,
	  /NSIS/branches/nsis2/Contrib/MultiUser/MultiUser.nsh,
	  /NSIS/branches/nsis2/COPYING,
	  /NSIS/branches/nsis2/Docs/src/chm_config.but,
	  /NSIS/branches/nsis2/Docs/src/config.but,
	  /NSIS/branches/nsis2/Docs/src/license.but,
	  /NSIS/branches/nsis2/Include/LangFile.nsh,
	  /NSIS/branches/nsis2/Include/VB6RunTime.nsh,
	  /NSIS/branches/nsis2/Source/afxres.h,
	  /NSIS/branches/nsis2/Source/build.cpp,
	  /NSIS/branches/nsis2/Source/build.h,
	  /NSIS/branches/nsis2/Source/bzip2/blocksort.c,
	  /NSIS/branches/nsis2/Source/bzip2/bzlib.c,
	  /NSIS/branches/nsis2/Source/bzip2/bzlib.h,
	  /NSIS/branches/nsis2/Source/bzip2/compress.c,
	  /NSIS/branches/nsis2/Source/bzip2/decompress.c,
	  /NSIS/branches/nsis2/Source/bzip2/huffman.c,
	  /NSIS/branches/nsis2/Source/cbzip2.h,
	  /NSIS/branches/nsis2/Source/clzma.cpp,
	  /NSIS/branches/nsis2/Source/clzma.h,
	  /NSIS/branches/nsis2/Source/compressor.h,
	  /NSIS/branches/nsis2/Source/crc32.c,
	  /NSIS/branches/nsis2/Source/crc32.h,
	  /NSIS/branches/nsis2/Source/czlib.h,
	  /NSIS/branches/nsis2/Source/dirreader.cpp,
	  /NSIS/branches/nsis2/Source/dirreader.h,
	  /NSIS/branches/nsis2/Source/exehead/afxres.h,
	  /NSIS/branches/nsis2/Source/exehead/api.h,
	  /NSIS/branches/nsis2/Source/exehead/bgbg.c,
	  /NSIS/branches/nsis2/Source/exehead/components.c,
	  /NSIS/branches/nsis2/Source/exehead/components.h,
	  /NSIS/branches/nsis2/Source/exehead/config.h,
	  /NSIS/branches/nsis2/Source/exehead/exec.c,
	  /NSIS/branches/nsis2/Source/exehead/exec.h,
	  /NSIS/branches/nsis2/Source/exehead/fileform.c,
	  /NSIS/branches/nsis2/Source/exehead/fileform.h,
	  /NSIS/branches/nsis2/Source/exehead/lang.h,
	  /NSIS/branches/nsis2/Source/exehead/Main.c,
	  /NSIS/branches/nsis2/Source/exehead/plugin.c,
	  /NSIS/branches/nsis2/Source/exehead/plugin.h,
	  /NSIS/branches/nsis2/Source/exehead/state.h,
	  /NSIS/branches/nsis2/Source/exehead/Ui.c,
	  /NSIS/branches/nsis2/Source/exehead/ui.h,
	  /NSIS/branches/nsis2/Source/exehead/util.c,
	  /NSIS/branches/nsis2/Source/exehead/util.h,
	  /NSIS/branches/nsis2/Source/fileform.cpp,
	  /NSIS/branches/nsis2/Source/fileform.h,
	  /NSIS/branches/nsis2/Source/growbuf.cpp,
	  /NSIS/branches/nsis2/Source/growbuf.h,
	  /NSIS/branches/nsis2/Source/icon.h,
	  /NSIS/branches/nsis2/Source/lang.cpp,
	  /NSIS/branches/nsis2/Source/lang.h,
	  /NSIS/branches/nsis2/Source/lineparse.cpp,
	  /NSIS/branches/nsis2/Source/lineparse.h,
	  /NSIS/branches/nsis2/Source/makenssi.cpp,
	  /NSIS/branches/nsis2/Source/manifest.cpp,
	  /NSIS/branches/nsis2/Source/manifest.h,
	  /NSIS/branches/nsis2/Source/mmap.cpp,
	  /NSIS/branches/nsis2/Source/mmap.h,
	  /NSIS/branches/nsis2/Source/Platform.h,
	  /NSIS/branches/nsis2/Source/Plugins.cpp,
	  /NSIS/branches/nsis2/Source/Plugins.h,
	  /NSIS/branches/nsis2/Source/ResourceEditor.cpp,
	  /NSIS/branches/nsis2/Source/ResourceEditor.h,
	  /NSIS/branches/nsis2/Source/ResourceVersionInfo.cpp,
	  /NSIS/branches/nsis2/Source/ResourceVersionInfo.h,
	  /NSIS/branches/nsis2/Source/script.cpp,
	  /NSIS/branches/nsis2/Source/ShConstants.cpp,
	  /NSIS/branches/nsis2/Source/strlist.cpp,
	  /NSIS/branches/nsis2/Source/strlist.h,
	  /NSIS/branches/nsis2/Source/tokens.cpp,
	  /NSIS/branches/nsis2/Source/tokens.h,
	  /NSIS/branches/nsis2/Source/util.cpp,
	  /NSIS/branches/nsis2/Source/util.h,
	  /NSIS/branches/nsis2/Source/winchar.cpp,
	  /NSIS/branches/nsis2/Source/winchar.h,
	  /NSIS/branches/nsis2/Source/writer.cpp,
	  /NSIS/branches/nsis2/Source/writer.h,
	  /NSIS/branches/nsis2/Source/zlib/deflate.c,
	  /NSIS/branches/nsis2/Source/zlib/DEFLATE.H,
	  /NSIS/branches/nsis2/Source/zlib/INFBLOCK.C,
	  /NSIS/branches/nsis2/Source/zlib/trees.c,
	  /NSIS/branches/nsis2/Source/zlib/ZCONF.H,
	  /NSIS/branches/nsis2/Source/zlib/ZLIB.H,
	  /NSIS/branches/nsis2/Source/zlib/ZUTIL.H: Updated copyright year

2015-12-09 21:46  anders_k

	* /NSIS/branches/nsis2/Docs/src/history.but: Added missing ) for
	  bug #1125

2015-12-09 19:44  anders_k

	* /NSIS/branches/nsis2/Docs/src/history.but: #1125 is a bug, not a
	  patch

2015-12-09 04:38  kichik

	* /NSIS/tags/v247: Tagging for release 2.47

2015-12-09 04:38  kichik

	* /NSIS/branches/nsis2/Scripts/release.py: backport quote hell fix

2015-12-09 04:33  kichik

	* /NSIS/branches/nsis2/Menu/images/header.gif: 2.47

2015-12-09 04:32  kichik

	* /NSIS/branches/nsis2/TODO.txt: fix eol

2015-12-09 04:03  kichik

	* /NSIS/branches/nsis2/Scripts/release.py: backport cppunit
	  skipping

2015-12-09 03:59  kichik

	* /NSIS/branches/nsis2/Scripts/release.py: use nsis2 branch instead
	  of trunk

2015-12-09 03:56  kichik

	* /NSIS/branches/nsis2/Docs/src/history.but: update release notes

2015-12-09 00:47  anders_k

	* /NSIS/trunk/Source/build.cpp, /NSIS/trunk/Source/build.h,
	  /NSIS/trunk/Source/script.cpp, /NSIS/trunk/Source/tokens.cpp,
	  /NSIS/trunk/Source/tokens.h: Added experimental Target and CPU
	  attributes

2015-12-08 01:56  anders_k

	* /NSIS/trunk/Include/LogicLib.nsh: Be more forgiving when avoiding
	  bug #1126

2015-12-08 01:54  anders_k

	* /NSIS/trunk/Source/exehead/util.c,
	  /NSIS/trunk/Source/exehead/util.h, /NSIS/trunk/Source/util.cpp:
	  Kill warning with a cast in Ansi version of
	  RunChildProcessRedirected. CppUnit still uses Ansi util.cpp?

2015-12-08 00:26  anders_k

	* /NSIS/branches/nsis2/Docs/src/history.but,
	  /NSIS/branches/nsis2/Include/WinVer.nsh: Backported support for
	  Windows 8 & 2012 support in WinVer.nsh

2015-12-07 23:56  anders_k

	* /NSIS/branches/nsis2/Contrib/System/Source/System.c,
	  /NSIS/branches/nsis2/Docs/src/history.but,
	  /NSIS/branches/nsis2/Source/exehead/Ui.c: Backported fix for 4+
	  TiB freespace calculation bug (bug #1115)

2015-12-07 23:35  anders_k

	* /NSIS/branches/nsis2/Docs/src/history.but,
	  /NSIS/branches/nsis2/Source/exehead/Main.c,
	  /NSIS/branches/nsis2/Source/exehead/util.c,
	  /NSIS/branches/nsis2/Source/exehead/util.h: Backported "use
	  InitiateShutdown if available" (patch #247)

2015-12-07 23:04  anders_k

	* /NSIS/branches/nsis2/Contrib/Dialer/dialer.c,
	  /NSIS/branches/nsis2/Docs/src/history.but,
	  /NSIS/branches/nsis2/Source/build.cpp,
	  /NSIS/branches/nsis2/Source/exehead/exec.c,
	  /NSIS/branches/nsis2/Source/exehead/fileform.h,
	  /NSIS/branches/nsis2/Source/exehead/Main.c,
	  /NSIS/branches/nsis2/Source/exehead/SConscript,
	  /NSIS/branches/nsis2/Source/exehead/Ui.c,
	  /NSIS/branches/nsis2/Source/exehead/util.c,
	  /NSIS/branches/nsis2/Source/exehead/util.h: LoadLibrary security
	  hardening to prevent dll hijacking. Backported r6634, 6642, 6645,
	  6647 and 6657 from 3.0. (bug #1125)

2015-12-07 20:49  anders_k

	* /NSIS/trunk/Docs/src/history.but, /NSIS/trunk/Source/build.cpp,
	  /NSIS/trunk/Source/exehead/exec.c,
	  /NSIS/trunk/Source/exehead/fileform.h,
	  /NSIS/trunk/Source/exehead/Main.c,
	  /NSIS/trunk/Source/exehead/util.c,
	  /NSIS/trunk/Source/exehead/util.h: Change the ACL on our %temp%
	  directories (bug #1125)

2015-12-07 02:00  anders_k

	* /NSIS/branches/nsis2: Creating branch for v2.xx updates

2015-12-07 01:51  anders_k

	* /NSIS/trunk/Source/script.cpp: !define /math >>> result is
	  unsigned

2015-12-06 00:04  anders_k

	* /NSIS/trunk/Source/exehead/fileform.h: Updated EW_CREATESHORTCUT
	  opcode description

2015-12-04 21:25  anders_k

	* /NSIS/trunk/Docs/src/sec.but: Docs: SectionGetSize sets the error
	  flag

2015-12-03 21:18  anders_k

	* /NSIS/trunk/Contrib/AdvSplash/advsplash.c,
	  /NSIS/trunk/Contrib/AdvSplash/advsplash.txt: * Checking for
	  SetLayeredWindowAttributes is all we need, no need to check the
	  version.
	  * Updated readme example

2015-12-02 21:07  anders_k

	* /NSIS/trunk/Contrib/nsDialogs/nsDialogs.nsh,
	  /NSIS/trunk/Include/Win/COM.nsh: Use P<> and not <> when checking
	  pointers

2015-12-01 21:02  anders_k

	* /NSIS/trunk/Include/LogicLib.nsh: LogicLib: Don't add a EndSelect
	  label when only one Case is used to avoid a unused label warning
	  (bug #1126)

2015-11-30 22:27  anders_k

	* /NSIS/trunk/Contrib/Modern UI 2/Localization.nsh,
	  /NSIS/trunk/Contrib/Modern UI 2/Pages/Finish.nsh: Fixed VARAIBLES
	  typo in MUI2 internal defines (bug #1127)

2015-11-30 14:00  anders_k

	* /NSIS/trunk/Contrib/Dialer/dialer.c: Dialer plugin does not have
	  to unload WinInet

2015-11-29 13:54  anders_k

	* /NSIS/trunk/Contrib/Dialer/dialer.c,
	  /NSIS/trunk/Source/exehead/Main.c,
	  /NSIS/trunk/Source/exehead/Ui.c,
	  /NSIS/trunk/Source/exehead/util.c,
	  /NSIS/trunk/Source/exehead/util.h: Load system modules with full
	  paths

2015-11-28 21:33  anders_k

	* /NSIS/trunk/Source/Platform.h: Don't look for a specific 2003 TK
	  version when deciding which std::min/max workaround to apply

2015-11-28 13:32  anders_k

	* /NSIS/trunk/Docs/src/history.but,
	  /NSIS/trunk/Source/exehead/Main.c,
	  /NSIS/trunk/Source/exehead/util.c,
	  /NSIS/trunk/Source/exehead/util.h: bug #1125: Don't load modules
	  from the application nor current directory.

2015-11-27 13:25  anders_k

	* /NSIS/trunk/Contrib/Makensisw/assoc_nsh.ico,
	  /NSIS/trunk/Contrib/Makensisw/assoc_nsi.ico: MS resource compiler
	  <= VS 2005 does not like PNG compressed icons

2015-11-26 13:21  anders_k

	* /NSIS/trunk/Docs/src/generalpurpose.but: Fixed Doc bug,
	  GetTempFileName base_dir parameter is optional

2015-11-25 13:13  anders_k

	* /NSIS/trunk/Source/exehead/exec.c,
	  /NSIS/trunk/Source/exehead/Main.c,
	  /NSIS/trunk/Source/exehead/SConscript,
	  /NSIS/trunk/Source/exehead/util.c,
	  /NSIS/trunk/Source/exehead/util.h: Delay load Version.dll to
	  avoid dll hijacking [bug #1125]

2015-11-24 12:48  anders_k

	* /NSIS/trunk/Examples/makensis.nsi: Avoid missing
	  NSIS.exe.manifest warning when building dist-installer

2015-11-23 10:36  anders_k

	* /NSIS/trunk/Contrib/Makensisw/assoc_nsh.ico,
	  /NSIS/trunk/Contrib/Makensisw/assoc_nsi.ico,
	  /NSIS/trunk/Contrib/Makensisw/Readme.txt,
	  /NSIS/trunk/Contrib/Makensisw/resource.h,
	  /NSIS/trunk/Contrib/Makensisw/resource.rc,
	  /NSIS/trunk/Contrib/Makensisw/SConscript,
	  /NSIS/trunk/Contrib/Makensisw/shell.ico,
	  /NSIS/trunk/Examples/makensis.nsi: New nsi and nsh file type
	  icons

2015-11-22 12:44  anders_k

	* /NSIS/trunk/Source/exehead/exec.c: HANDLE NULL check the
	  converted value, not the string length

2015-11-21 13:12  anders_k

	* /NSIS/trunk/Docs/src/history.but,
	  /NSIS/trunk/Source/exehead/exec.c,
	  /NSIS/trunk/Source/exehead/fileform.h,
	  /NSIS/trunk/Source/script.cpp: CreateShortcut icon index can now
	  be larger than 255 (Bug #1123)

2015-11-21 11:46  anders_k

	* /NSIS/trunk/Docs/src/attributes.but: Update the documentation to
	  match the new RequestExecutionLevel default value.

2015-11-17 08:54  anders_k

	* /NSIS/trunk/Docs/src/headers.but, /NSIS/trunk/Source/strlist.cpp:
	  Clarify ${GetParameters} documentation

2015-11-15 23:06  anders_k

	* /NSIS/trunk/Contrib/Library/RegTool/RegTool.c,
	  /NSIS/trunk/Source/exehead/Main.c,
	  /NSIS/trunk/Source/exehead/util.c,
	  /NSIS/trunk/Source/exehead/util.h: No need to delayload
	  MoveFileEx, OpenProcessToken, LookupPrivilegeValueW and
	  AdjustTokenPrivileges on Win9x.

2015-11-06 02:42  anders_k

	* /NSIS/trunk/Docs/src/history.but,
	  /NSIS/trunk/Source/exehead/Main.c,
	  /NSIS/trunk/Source/exehead/util.c: myGetProcAddress now uses a
	  full path to the system directory when calling LoadLibrary to
	  avoid application directory dll hijacking of SHFolder.dll

2015-11-05 21:05  anders_k

	* /NSIS/trunk/Docs/src/compiler.but,
	  /NSIS/trunk/Docs/src/history.but,
	  /NSIS/trunk/Source/lineparse.cpp, /NSIS/trunk/Source/script.cpp:
	  * Added support for 0o octal radix prefix on number literals in
	  the preprocessor
	  * The single parameter version of !if now also supports floats
	  * Preprocessor now warns when invalid floating point numbers are
	  used in math operations

2015-11-05 04:46  anders_k

	* /NSIS/trunk/Source/build.h, /NSIS/trunk/Source/lineparse.cpp,
	  /NSIS/trunk/Source/script.cpp, /NSIS/trunk/Source/tokens.cpp:
	  Preprocessor code in dead blocks need to be ignored even if it is
	  invalid
	  
	  Test case:
	  !macro dummy p1
	  !macroend
	  !if 0 ; The next line does not properly quote its string but it
	  is not !else nor !endif so it has to be ignored
	  !insertmacro dummy "bar'
	  !endif

2015-11-03 23:28  anders_k

	* /NSIS/trunk/Contrib/NSIS Menu/SConscript,
	  /NSIS/trunk/Examples/makensis.nsi, /NSIS/trunk/SCons/Config/ms:
	  Better NSIS Menu .manifest requirement detection

2015-11-01 17:11  anders_k

	* /NSIS/trunk/Source/tchar.h, /NSIS/trunk/Source/util.cpp: * Try to
	  avoid invalid parameter debug warning in newer versions of
	  MSVCRT.dll when calling _vsnwprintf as a _vscwprintf replacement
	  * _wtof does not exist in MSVCRT.dll on Win2000, use our internal
	  version when building with MinGW/MSVC6 or MSVC /MD

2015-10-31 18:52  anders_k

	* /NSIS/trunk/Source/exehead/util.c: Fixed NSIS_CONFIG_LOG_STDOUT
	  output in Unicode exehead

2015-10-31 16:27  anders_k

	* /NSIS/trunk/Source/exehead/exec.c,
	  /NSIS/trunk/Source/exehead/fileform.c,
	  /NSIS/trunk/Source/exehead/util.c,
	  /NSIS/trunk/Source/exehead/util.h: Use myWriteFile helper
	  function in exehead

2015-10-30 03:55  anders_k

	* /NSIS/trunk/Contrib/AdvSplash/advsplash.c,
	  /NSIS/trunk/Contrib/Makensisw/makensisw.cpp,
	  /NSIS/trunk/Contrib/Makensisw/utils.cpp,
	  /NSIS/trunk/Contrib/nsExec/nsexec.c,
	  /NSIS/trunk/Contrib/NSISdl/util.cpp,
	  /NSIS/trunk/Contrib/UserInfo/UserInfo.c,
	  /NSIS/trunk/Contrib/VPatch/Source/GenPat/Checksums.cpp,
	  /NSIS/trunk/Contrib/VPatch/Source/GenPat/GlobalTypes.h,
	  /NSIS/trunk/Contrib/zip2exe/main.cpp, /NSIS/trunk/SConstruct,
	  /NSIS/trunk/Source/exehead/fileform.c,
	  /NSIS/trunk/Source/Platform.h: Fixed all VS2015 warnings except
	  C4577 ('noexcept' used with no exception handling mode specified)

2015-10-26 23:29  anders_k

	* /NSIS/trunk/Docs/src/file.but, /NSIS/trunk/Docs/src/history.but,
	  /NSIS/trunk/Source/exehead/exec.c,
	  /NSIS/trunk/Source/exehead/util.c,
	  /NSIS/trunk/Source/exehead/util.h, /NSIS/trunk/Source/script.cpp,
	  /NSIS/trunk/Source/tokens.cpp: FileReadUTF16LE skips optional BOM
	  and FileWriteUTF16LE can write a BOM with the /BOM switch

2015-10-16 20:50  anders_k

	* /NSIS/trunk/Contrib/System/Source/System.c,
	  /NSIS/trunk/Docs/src/history.but: Fixed System plugin GUID type
	  output bug on Win98

2015-10-12 12:28  anders_k

	* /NSIS/trunk/Contrib/Modern UI/System.nsh,
	  /NSIS/trunk/Include/WinMessages.nsh: * MUI_LANGUAGE usage warning
	  was incorrectly displayed in some page combinations
	  * Fixed broken CCM_* defines in WinMessages.nsh

2015-10-10 19:32  anders_k

	* /NSIS/trunk/Contrib/Modern UI 2/Pages/Directory.nsh,
	  /NSIS/trunk/Docs/src/compilerflags.but,
	  /NSIS/trunk/Docs/src/history.but, /NSIS/trunk/Docs/src/var.but:
	  Fixed some typos

2015-10-10 18:20  anders_k

	* /NSIS/trunk/Contrib/Language files/PortugueseBR.nlf,
	  /NSIS/trunk/Contrib/Language files/PortugueseBR.nsh,
	  /NSIS/trunk/Docs/src/history.but: Brazilian Portuguese updated
	  (Felipe) patch#263

2015-10-10 12:29  anders_k

	* /NSIS/trunk/Source/script.cpp: TOK_* instruction handlers in
	  doCommand() cannot use PRINTHELP() if they also use eattoken()!
	  !define "name" "value" always displays error if there are too
	  many arguments, not just one too many

2015-10-10 11:31  anders_k

	* /NSIS/trunk/Source/makenssi.cpp: Changed "Command line defined"
	  compiler message verbosity level from 4 to 3

2015-10-01 17:32  anders_k

	* /NSIS/trunk/Source/build.cpp, /NSIS/trunk/Source/build.h,
	  /NSIS/trunk/Source/Platform.h, /NSIS/trunk/Source/Plugins.cpp,
	  /NSIS/trunk/Source/Plugins.h,
	  /NSIS/trunk/Source/ResourceEditor.cpp,
	  /NSIS/trunk/Source/ResourceEditor.h,
	  /NSIS/trunk/Source/script.cpp: Allow makensis to use stubs and
	  plugins of different bitness, based on patch #265

2015-09-28 16:08  anders_k

	* /NSIS/trunk/Contrib/Makensisw/makensisw.cpp,
	  /NSIS/trunk/Contrib/Makensisw/makensisw.h,
	  /NSIS/trunk/Contrib/Makensisw/utils.cpp,
	  /NSIS/trunk/Contrib/Makensisw/utils.h: * MakeNSISW symbol sets
	  don't need movable memory
	  * Use helper functions to read&write MRU and symbol set strings
	  * Don't create empty MRU key when there is nothing to save
	  * Made some helper functions static

2015-09-26 14:19  anders_k

	* /NSIS/trunk/Source/script.cpp: Don't allow empty path in
	  !AddPluginDir

2015-09-24 20:47  anders_k

	* /NSIS/trunk/Contrib/nsDialogs/welcome.nsi,
	  /NSIS/trunk/Examples/one-section.nsi,
	  /NSIS/trunk/Include/StrFunc.nsh: * Reduced verbosity of
	  StrFunc.nsh
	  * Fixed a 64-bit issue in welcome.nsi

2015-09-19 18:54  anders_k

	* /NSIS/trunk/SConstruct, /NSIS/trunk/Source/build.cpp,
	  /NSIS/trunk/Source/cbzip2.h, /NSIS/trunk/Source/czlib.h: Changed
	  the order of the zlib lib files SConstruct searches for so it can
	  find the MinGW specific .a first. 64-bit MinGW has problems with
	  a MSVC generated lib file.

2015-09-19 14:27  anders_k

	* /NSIS/trunk/Contrib/Language files/Polish.nlf,
	  /NSIS/trunk/Contrib/Language files/Polish.nsh,
	  /NSIS/trunk/Docs/src/history.but: Updated Polish translation

2015-09-19 14:07  anders_k

	* /NSIS/trunk/Source/exehead/fileform.c,
	  /NSIS/trunk/Source/script.cpp: * TOK_PLUGINDIR path can't be
	  const because of PATH_CONVERT(path) on POSIX
	  * Remove truncate_cast usage from fileform.c

2015-09-19 13:22  anders_k

	* /NSIS/trunk/Contrib/Modern UI 2/Localization.nsh,
	  /NSIS/trunk/Contrib/Modern UI/System.nsh: Display a warning if
	  MUI_LANGDLL_DISPLAY is inserted before MUI_LANGUAGE

2015-09-18 23:16  anders_k

	* /NSIS/trunk/Contrib/System/SConscript, /NSIS/trunk/SConstruct,
	  /NSIS/trunk/Source/build.cpp, /NSIS/trunk/Source/fileform.cpp,
	  /NSIS/trunk/Source/script.cpp: * !AddIncludeDir displays the cpu
	  architecture in the script message if specified as a parameter
	  * Removed unused SYSTEM_PARTIALCALLSUPPORT define
	  * Fixed minor typos
	  * Allow MSVC_USE_SCRIPT to be specified on the commandline or in
	  the environment

2015-09-18 17:44  anders_k

	* /NSIS/trunk/SCons/Config/gnu: Actually specify a petype this time

2015-09-18 17:42  anders_k

	* /NSIS/trunk/SCons/Config/gnu: All GCC stub targets use the same
	  PE switch now

2015-09-18 15:55  anders_k

	* /NSIS/trunk/Contrib/Makensisw/update.cpp,
	  /NSIS/trunk/Source/build.cpp, /NSIS/trunk/Source/build.h,
	  /NSIS/trunk/Source/exehead/fileform.c,
	  /NSIS/trunk/Source/exehead/fileform.h,
	  /NSIS/trunk/Source/fileform.cpp, /NSIS/trunk/Source/fileform.h,
	  /NSIS/trunk/Source/makenssi.cpp, /NSIS/trunk/Source/writer.cpp,
	  /NSIS/trunk/Source/writer.h: * block_header::offset is now
	  pointer sized in exehead
	  * Wininet.h -> wininet.h for POSIX

2015-09-17 14:30  anders_k

	* /NSIS/trunk/Contrib/BgImage/BgImage.cpp,
	  /NSIS/trunk/Contrib/InstallOptions/InstallerOptions.cpp,
	  /NSIS/trunk/Contrib/Library/RegTool/RegTool.c,
	  /NSIS/trunk/Contrib/Makensisw/utils.cpp,
	  /NSIS/trunk/Contrib/Math/Source/Math.c,
	  /NSIS/trunk/Contrib/nsDialogs/browse.c,
	  /NSIS/trunk/Contrib/nsDialogs/nsDialogs.c,
	  /NSIS/trunk/Contrib/NSISdl/netinc.h,
	  /NSIS/trunk/Contrib/System/SConscript,
	  /NSIS/trunk/Contrib/System/Source/Call-amd64.S,
	  /NSIS/trunk/Contrib/System/Source/Call-amd64CPP.S,
	  /NSIS/trunk/Contrib/System/Source/Call-amd64CPP.sx,
	  /NSIS/trunk/Contrib/System/Source/System.c,
	  /NSIS/trunk/Contrib/System/Source/System.h,
	  /NSIS/trunk/Contrib/UserInfo/UserInfo.c,
	  /NSIS/trunk/Contrib/zip2exe/main.cpp,
	  /NSIS/trunk/SCons/Config/gnu,
	  /NSIS/trunk/SCons/Config/linker_script,
	  /NSIS/trunk/SCons/utils.py, /NSIS/trunk/SConstruct,
	  /NSIS/trunk/Source/build.cpp, /NSIS/trunk/Source/crc32.c,
	  /NSIS/trunk/Source/crc32.h, /NSIS/trunk/Source/exehead/bgbg.c,
	  /NSIS/trunk/Source/exehead/exec.c,
	  /NSIS/trunk/Source/exehead/fileform.c,
	  /NSIS/trunk/Source/exehead/fileform.h,
	  /NSIS/trunk/Source/exehead/Ui.c,
	  /NSIS/trunk/Source/exehead/util.c,
	  /NSIS/trunk/Source/growbuf.cpp, /NSIS/trunk/Source/growbuf.h,
	  /NSIS/trunk/Source/icon.cpp, /NSIS/trunk/Source/makenssi.cpp,
	  /NSIS/trunk/Source/Platform.h,
	  /NSIS/trunk/Source/ResourceEditor.cpp,
	  /NSIS/trunk/Source/script.cpp, /NSIS/trunk/Source/strlist.cpp,
	  /NSIS/trunk/Source/util.cpp, /NSIS/trunk/Source/util.h,
	  /NSIS/trunk/Source/writer.cpp, /NSIS/trunk/Source/writer.h: *
	  Basic System::Call support when compiling with 64-bit MinGW/GCC
	  toolchain
	  * Win64 fixes

2015-09-10 12:14  anders_k

	* /NSIS/trunk/Source/ResourceEditor.cpp,
	  /NSIS/trunk/Source/ResourceEditor.h: Sprinkle some constness on
	  CResourceDirectoryEntry

2015-09-10 12:05  anders_k

	* /NSIS/trunk/Contrib/Makensisw/update.cpp: * Be extra careful with
	  zero termination of the foreign update status string
	  * Always include Wininet.h

2015-09-07 21:31  anders_k

	* /NSIS/trunk/Contrib/Makensisw/jnetlib,
	  /NSIS/trunk/Contrib/Makensisw/makensisw.cpp,
	  /NSIS/trunk/Contrib/Makensisw/makensisw.h,
	  /NSIS/trunk/Contrib/Makensisw/Readme.txt,
	  /NSIS/trunk/Contrib/Makensisw/resource.rc,
	  /NSIS/trunk/Contrib/Makensisw/SConscript,
	  /NSIS/trunk/Contrib/Makensisw/update.cpp,
	  /NSIS/trunk/Contrib/Makensisw/update.h,
	  /NSIS/trunk/Contrib/Makensisw/utils.cpp,
	  /NSIS/trunk/Contrib/Makensisw/utils.h,
	  /NSIS/trunk/Contrib/NSISdl/httpget.h,
	  /NSIS/trunk/Docs/src/history.but: MakeNSISW now uses WinInet when
	  checking for updates

2015-09-06 20:15  anders_k

	* /NSIS/trunk/Contrib/ExDLL/exdll.c,
	  /NSIS/trunk/Source/ResourceEditor.cpp:
	  CResourceDirectoryEntry::GetName() does not need to duplicate the
	  string

2015-09-06 20:03  anders_k

